--[[ ==

  Title: Insert Groups & Tracks per Colors
 Author: Raul [ulneiz]
Version: 1.0 (Renoise 3.1 compatible)
   Menu: Pattern Editor \ Insert Groups & Tracks per Colors \ ... 

 Colors: Aqua aq, Black bk, Blue bl, Brown br, Gold gl, Gray gy, Green gr, Orange or, Pale Pink pl, Pink pk, Pistachio ps, Red rd, Sky Blue sk, Violet vl, White wh, Yellow yl

== ]]--




--[[ ============================== TRACKS COLOLRS ======================================= ]]--

  --[[ == Tracks AQUA Color aq == ]]--
local aqua = {}
  aqua.zero = { 0x2A,0xAA,0x9D }
  aqua.one  = { 0x1A,0x9A,0x8D }
  aqua.two  = { 0x00,0x5A,0x4D }

local taq = {}
  taq.one   = { color = aqua.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "01 Aqua Track" }
  taq.two   = { color = aqua.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "02 Aqua Track" }
  taq.three = { color = aqua.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "03 Aqua Track" }
  taq.four  = { color = aqua.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "04 Aqua Track" }
  taq.five  = { color = aqua.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "05 Aqua Track" }
  taq.six   = { color = aqua.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "06 Aqua Track" }
  taq.seven = { color = aqua.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "07 Aqua Track" }
  taq.eight = { color = aqua.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "08 Aqua Track" }
  taq.a1    = { color = aqua.one , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Aqua Track" }
  taq.a2    = { color = aqua.two , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Aqua Track" }

local track_aqua = {}
  track_aqua.one   = { taq.one }
  track_aqua.two   = { taq.one , taq.two }
  track_aqua.three = { taq.one , taq.two , taq.a1 }
  track_aqua.four  = { taq.one , taq.two , taq.three , taq.a2 }
  track_aqua.five  = { taq.one , taq.two , taq.three , taq.four , taq.a1 }
  track_aqua.six   = { taq.one , taq.two , taq.three , taq.four , taq.five , taq.a2 }
  track_aqua.seven = { taq.one , taq.two , taq.three , taq.four , taq.five , taq.six , taq.a1 }
  track_aqua.eight = { taq.one , taq.two , taq.three , taq.four , taq.five , taq.six , taq.seven , taq.a2 }
 track_aqua.eight2 = { taq.one , taq.two , taq.three , taq.four , taq.five , taq.six , taq.seven , taq.eight }


  --[[ == Tracks BLACK Color bk == ]]--
local black = {}
  black.zero = { 0x00,0x00,0x00 }
  black.one  = { 0x54,0x54,0x54 }
  black.two  = { 0x20,0x20,0x20 }

local tbk = {}
  tbk.one   = { color = black.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "01 Black Track" }
  tbk.two   = { color = black.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "02 Black Track" }
  tbk.three = { color = black.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "03 Black Track" }
  tbk.four  = { color = black.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "04 Black Track" }
  tbk.five  = { color = black.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "05 Black Track" }
  tbk.six   = { color = black.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "06 Black Track" }
  tbk.seven = { color = black.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "07 Black Track" }
  tbk.eight = { color = black.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "08 Black Track" }
  tbk.a1    = { color = black.one , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Black Track" }
  tbk.a2    = { color = black.two , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Black Track" }

local track_black = {}
  track_black.one   = { tbk.one }
  track_black.two   = { tbk.one , tbk.two }
  track_black.three = { tbk.one , tbk.two , tbk.a1 }
  track_black.four  = { tbk.one , tbk.two , tbk.three , tbk.a2 }
  track_black.five  = { tbk.one , tbk.two , tbk.three , tbk.four , tbk.a1 }
  track_black.six   = { tbk.one , tbk.two , tbk.three , tbk.four , tbk.five , tbk.a2 }
  track_black.seven = { tbk.one , tbk.two , tbk.three , tbk.four , tbk.five , tbk.six , tbk.a1 }
  track_black.eight = { tbk.one , tbk.two , tbk.three , tbk.four , tbk.five , tbk.six , tbk.seven , tbk.a2 }
 track_black.eight2 = { tbk.one , tbk.two , tbk.three , tbk.four , tbk.five , tbk.six , tbk.seven , tbk.eight }


  --[[ == Tracks BLUE Color bl == ]]--
local blue = {}
  blue.zero = { 0x00,0x60,0xFF }
  blue.one  = { 0x00,0x44,0xFF }
  blue.two  = { 0x2A,0x3C,0xAA }

local tbl = {}
  tbl.one   = { color = blue.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "01 Blue Track" }
  tbl.two   = { color = blue.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "02 Blue Track" }
  tbl.three = { color = blue.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "03 Blue Track" }
  tbl.four  = { color = blue.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "04 Blue Track" }
  tbl.five  = { color = blue.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "05 Blue Track" }
  tbl.six   = { color = blue.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "06 Blue Track" }
  tbl.seven = { color = blue.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "07 Blue Track" }
  tbl.eight = { color = blue.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "08 Blue Track" }
  tbl.a1    = { color = blue.one , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Blue Track" }
  tbl.a2    = { color = blue.two , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Blue Track" }

local track_blue = {}
  track_blue.one   = { tbl.one }
  track_blue.two   = { tbl.one , tbl.two }
  track_blue.three = { tbl.one , tbl.two , tbl.a1 }
  track_blue.four  = { tbl.one , tbl.two , tbl.three , tbl.a2 }
  track_blue.five  = { tbl.one , tbl.two , tbl.three , tbl.four , tbl.a1 }
  track_blue.six   = { tbl.one , tbl.two , tbl.three , tbl.four , tbl.five , tbl.a2 }
  track_blue.seven = { tbl.one , tbl.two , tbl.three , tbl.four , tbl.five , tbl.six , tbl.a1 }
  track_blue.eight = { tbl.one , tbl.two , tbl.three , tbl.four , tbl.five , tbl.six , tbl.seven , tbl.a2 }
 track_blue.eight2 = { tbl.one , tbl.two , tbl.three , tbl.four , tbl.five , tbl.six , tbl.seven , tbl.eight }


  --[[ == Tracks BROWN Color br == ]]--
local brown = {}
  brown.zero = { 0xA9,0x5D,0x10 }
  brown.one  = { 0x99,0x4D,0x00 }
  brown.two  = { 0x40,0x00,0x00 }

local tbr = {}
  tbr.one   = { color = brown.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "01 Brown Track" }
  tbr.two   = { color = brown.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "02 Brown Track" }
  tbr.three = { color = brown.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "03 Brown Track" }
  tbr.four  = { color = brown.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "04 Brown Track" }
  tbr.five  = { color = brown.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "05 Brown Track" }
  tbr.six   = { color = brown.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "06 Brown Track" }
  tbr.seven = { color = brown.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "07 Brown Track" }
  tbr.eight = { color = brown.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "08 Brown Track" }
  tbr.a1    = { color = brown.one , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Brown Track" }
  tbr.a2    = { color = brown.two , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Brown Track" }

local track_brown = {}
  track_brown.one   = { tbr.one }
  track_brown.two   = { tbr.one , tbr.two }
  track_brown.three = { tbr.one , tbr.two , tbr.a1 }
  track_brown.four  = { tbr.one , tbr.two , tbr.three , tbr.a2 }
  track_brown.five  = { tbr.one , tbr.two , tbr.three , tbr.four , tbr.a1 }
  track_brown.six   = { tbr.one , tbr.two , tbr.three , tbr.four , tbr.five , tbr.a2 }
  track_brown.seven = { tbr.one , tbr.two , tbr.three , tbr.four , tbr.five , tbr.six , tbr.a1 }
  track_brown.eight = { tbr.one , tbr.two , tbr.three , tbr.four , tbr.five , tbr.six , tbr.seven , tbr.a2 }
 track_brown.eight2 = { tbr.one , tbr.two , tbr.three , tbr.four , tbr.five , tbr.six , tbr.seven , tbr.eight }


  --[[ == Tracks GOLD Color gl == ]]--
local gold = {}
  gold.zero = { 0xFF,0xB5,0x23 }
  gold.one  = { 0xEF,0xA5,0x13 }
  gold.two  = { 0xAF,0x5B,0x00 }

local tgl = {}
  tgl.one    = { color = gold.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "01 Gold Track" }
  tgl.two    = { color = gold.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "02 Gold Track" }
  tgl.three  = { color = gold.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "03 Gold Track" }
  tgl.four   = { color = gold.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "04 Gold Track" }
  tgl.five   = { color = gold.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "05 Gold Track" }
  tgl.six    = { color = gold.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "06 Gold Track" }
  tgl.seven  = { color = gold.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "07 Gold Track" }
  tgl.eight  = { color = gold.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "08 Gold Track" }
  tgl.a1     = { color = gold.one , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Gold Track" }
  tgl.a2     = { color = gold.two , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Gold Track" }

local track_gold = {}
  track_gold.one   = { tgl.one }
  track_gold.two   = { tgl.one , tgl.two }
  track_gold.three = { tgl.one , tgl.two , tgl.a1 }
  track_gold.four  = { tgl.one , tgl.two , tgl.three , tgl.a2 }
  track_gold.five  = { tgl.one , tgl.two , tgl.three , tgl.four , tgl.a1 }
  track_gold.six   = { tgl.one , tgl.two , tgl.three , tgl.four , tgl.five , tgl.a2 }
  track_gold.seven = { tgl.one , tgl.two , tgl.three , tgl.four , tgl.five , tgl.six , tgl.a1 }
  track_gold.eight = { tgl.one , tgl.two , tgl.three , tgl.four , tgl.five , tgl.six , tgl.seven , tgl.a2 }
 track_gold.eight2 = { tgl.one , tgl.two , tgl.three , tgl.four , tgl.five , tgl.six , tgl.seven , tgl.eight }


  --[[ == Tracks GRAY Color gy ==]]--
local gray = {}
  gray.zero = { 0x80,0x80,0x80 }
  gray.one  = { 0x70,0x70,0x70 }
  gray.two  = { 0x40,0x40,0x40 }

local tgy = {}
  tgy.one   = { color = gray.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "01 Gray Track" }
  tgy.two   = { color = gray.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "02 Gray Track" }
  tgy.three = { color = gray.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "03 Gray Track" }
  tgy.four  = { color = gray.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "04 Gray Track" }
  tgy.five  = { color = gray.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "05 Gray Track" }
  tgy.six   = { color = gray.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "06 Gray Track" }
  tgy.seven = { color = gray.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "07 Gray Track" }
  tgy.eight = { color = gray.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "08 Gray Track" }
  tgy.a1    = { color = gray.one , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Gray Track" }
  tgy.a2    = { color = gray.two , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Gray Track" }

local track_gray = {}
  track_gray.one   = { tgy.one }
  track_gray.two   = { tgy.one , tgy.two }
  track_gray.three = { tgy.one , tgy.two , tgy.a1 }
  track_gray.four  = { tgy.one , tgy.two , tgy.three , tgy.a2 }
  track_gray.five  = { tgy.one , tgy.two , tgy.three , tgy.four , tgy.a1 }
  track_gray.six   = { tgy.one , tgy.two , tgy.three , tgy.four , tgy.five , tgy.a2 }
  track_gray.seven = { tgy.one , tgy.two , tgy.three , tgy.four , tgy.five , tgy.six , tgy.a1 }
  track_gray.eight = { tgy.one , tgy.two , tgy.three , tgy.four , tgy.five , tgy.six , tgy.seven , tgy.a2 }
 track_gray.eight2 = { tgy.one , tgy.two , tgy.three , tgy.four , tgy.five , tgy.six , tgy.seven , tgy.eight }


  --[[ == Tracks GREEN Color gr == ]]--
local green = {}
  green.zero = { 0x00,0xFF,0x2A }
  green.one  = { 0x00,0x99,0x19 }
  green.two  = { 0x00,0x40,0x19 }

local tgr = {}
  tgr.one   = { color = green.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "01 Green Track" }
  tgr.two   = { color = green.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "02 Green Track" }
  tgr.three = { color = green.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "03 Green Track" }
  tgr.four  = { color = green.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "04 Green Track" }
  tgr.five  = { color = green.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "05 Green Track" }
  tgr.six   = { color = green.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "06 Green Track" }
  tgr.seven = { color = green.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "07 Green Track" }
  tgr.eight = { color = green.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "08 Green Track" }
  tgr.a1    = { color = green.one , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Green Track" }
  tgr.a2    = { color = green.two , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Green Track" }

local track_green = {}
  track_green.one   = { tgr.one }
  track_green.two   = { tgr.one , tgr.two }
  track_green.three = { tgr.one , tgr.two , tgr.a1 }
  track_green.four  = { tgr.one , tgr.two , tgr.three , tgr.a2 }
  track_green.five  = { tgr.one , tgr.two , tgr.three , tgr.four , tgr.a1 }
  track_green.six   = { tgr.one , tgr.two , tgr.three , tgr.four , tgr.five , tgr.a2 }
  track_green.seven = { tgr.one , tgr.two , tgr.three , tgr.four , tgr.five , tgr.six , tgr.a1 }
  track_green.eight = { tgr.one , tgr.two , tgr.three , tgr.four , tgr.five , tgr.six , tgr.seven , tgr.a2 }
 track_green.eight2 = { tgr.one , tgr.two , tgr.three , tgr.four , tgr.five , tgr.six , tgr.seven , tgr.eight }


  --[[ == Tracks ORANGE Color or == ]]--
local orange = {}
  orange.zero = { 0xFF,0x80,0x00 }
  orange.one  = { 0xEE,0x70,0x00 }
  orange.two  = { 0x90,0x45,0x00 }

local tor = {}
  tor.one   = { color = orange.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "01 Orange Track" }
  tor.two   = { color = orange.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "02 Orange Track" }
  tor.three = { color = orange.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "03 Orange Track" }
  tor.four  = { color = orange.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "04 Orange Track" }
  tor.five  = { color = orange.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "05 Orange Track" }
  tor.six   = { color = orange.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "06 Orange Track" }
  tor.seven = { color = orange.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "07 Orange Track" }
  tor.eight = { color = orange.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "08 Orange Track" }
  tor.a1    = { color = orange.one , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Orange Track" }
  tor.a2    = { color = orange.two , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Orange Track" }

local track_orange = {}
  track_orange.one   = { tor.one }
  track_orange.two   = { tor.one , tor.two }
  track_orange.three = { tor.one , tor.two , tor.a1 }
  track_orange.four  = { tor.one , tor.two , tor.three , tor.a2 }
  track_orange.five  = { tor.one , tor.two , tor.three , tor.four , tor.a1 }
  track_orange.six   = { tor.one , tor.two , tor.three , tor.four , tor.five , tor.a2 }
  track_orange.seven = { tor.one , tor.two , tor.three , tor.four , tor.five , tor.six , tor.a1 }
  track_orange.eight = { tor.one , tor.two , tor.three , tor.four , tor.five , tor.six , tor.seven , tor.a2 }
 track_orange.eight2 = { tor.one , tor.two , tor.three , tor.four , tor.five , tor.six , tor.seven , tor.eight }


  --[[ == Tracks PALE PINK Color pl == ]]--
local pale = {}
  pale.zero = { 0xF4,0xA1,0xD9 }
  pale.one  = { 0xE4,0xB1,0xC9 }
  pale.two  = { 0xA4,0x61,0x79 }

local tpl = {}
  tpl.one   = { color = pale.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "01 Pale Pink Track" }
  tpl.two   = { color = pale.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "02 Pale Pink Track" }
  tpl.three = { color = pale.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "03 Pale Pink Track" }
  tpl.four  = { color = pale.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "04 Pale Pink Track" }
  tpl.five  = { color = pale.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "05 Pale Pink Track" }
  tpl. six  = { color = pale.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "06 Pale Pink Track" }
  tpl.seven = { color = pale.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "07 Pale Pink Track" }
  tpl.eight = { color = pale.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "08 Pale Pink Track" }
  tpl.a1    = { color = pale.one , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Pale Pink Track" }
  tpl.a2    = { color = pale.two , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Pale Pink Track" }

local track_pale = {}
  track_pale.one   = { tpl.one }
  track_pale.two   = { tpl.one , tpl.two }
  track_pale.three = { tpl.one , tpl.two , tpl.a1 }
  track_pale.four  = { tpl.one , tpl.two , tpl.three , tpl.a2 }
  track_pale.five  = { tpl.one , tpl.two , tpl.three , tpl.four , tpl.a1 }
  track_pale.six   = { tpl.one , tpl.two , tpl.three , tpl.four , tpl.five , tpl.a2 }
  track_pale.seven = { tpl.one , tpl.two , tpl.three , tpl.four , tpl.five , tpl.six , tpl.a1 }
  track_pale.eight = { tpl.one , tpl.two , tpl.three , tpl.four , tpl.five , tpl.six , tpl.seven , tpl.a2 }
 track_pale.eight2 = { tpl.one , tpl.two , tpl.three , tpl.four , tpl.five , tpl.six , tpl.seven , tpl.eight }


  --[[ == Tracks PINK Color pn == ]]--
local pink = {}
  pink.zero = { 0xFF,0x00,0xAA }
  pink.one  = { 0xE0,0x00,0x90 }
  pink.two  = { 0x5D,0x00,0x27 }

local tpn = {}
  tpn.one   = { color = pink.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "01 Pink Track" }
  tpn.two   = { color = pink.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "02 Pink Track" }
  tpn.three = { color = pink.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "03 Pink Track" }
  tpn.four  = { color = pink.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "04 Pink Track" }
  tpn.five  = { color = pink.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "05 Pink Track" }
  tpn. six  = { color = pink.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "06 Pink Track" }
  tpn.seven = { color = pink.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "07 Pink Track" }
  tpn.eight = { color = pink.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "08 Pink Track" }
  tpn.a1    = { color = pink.one , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Pink Track" }
  tpn.a2    = { color = pink.two , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Pink Track" }

local track_pink = {}
  track_pink.one   = { tpn.one }
  track_pink.two   = { tpn.one , tpn.two }
  track_pink.three = { tpn.one , tpn.two , tpn.a1 }
  track_pink.four  = { tpn.one , tpn.two , tpn.three , tpn.a2 }
  track_pink.five  = { tpn.one , tpn.two , tpn.three , tpn.four , tpn.a1 }
  track_pink.six   = { tpn.one , tpn.two , tpn.three , tpn.four , tpn.five , tpn.a2 }
  track_pink.seven = { tpn.one , tpn.two , tpn.three , tpn.four , tpn.five , tpn.six , tpn.a1 }
  track_pink.eight = { tpn.one , tpn.two , tpn.three , tpn.four , tpn.five , tpn.six , tpn.seven , tpn.a2 }
 track_pink.eight2 = { tpn.one , tpn.two , tpn.three , tpn.four , tpn.five , tpn.six , tpn.seven , tpn.eight }


  --[[ == Tracks PISTACHIO Color ps == ]]--
local pistachio = {}
  pistachio.zero = { 0x80,0xFF,0x95 }
  pistachio.one  = { 0x70,0xEF,0x85 }
  pistachio.two  = { 0x20,0x9F,0x35 }

local tps = {}
  tps.one   = { color = pistachio.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "01 Pistachio Track" }
  tps.two   = { color = pistachio.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "02 Pistachio Track" }
  tps.three = { color = pistachio.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "03 Pistachio Track" }
  tps.four  = { color = pistachio.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "04 Pistachio Track" }
  tps.five  = { color = pistachio.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "05 Pistachio Track" }
  tps.six   = { color = pistachio.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "06 Pistachio Track" }
  tps.seven = { color = pistachio.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "07 Pistachio Track" }
  tps.eight = { color = pistachio.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "08 Pistachio Track" }
  tps.a1    = { color = pistachio.one , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Pistachio Track" }
  tps.a2    = { color = pistachio.two , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Pistachio Track" }

local track_pistachio = {}
  track_pistachio.one   = { tps.one }
  track_pistachio.two   = { tps.one , tps.two }
  track_pistachio.three = { tps.one , tps.two , tps.a1 }
  track_pistachio.four  = { tps.one , tps.two , tps.three , tps.a2 }
  track_pistachio.five  = { tps.one , tps.two , tps.three , tps.four , tps.a1 }
  track_pistachio.six   = { tps.one , tps.two , tps.three , tps.four , tps.five , tps.a2 }
  track_pistachio.seven = { tps.one , tps.two , tps.three , tps.four , tps.five , tps.six , tps.a1 }
  track_pistachio.eight = { tps.one , tps.two , tps.three , tps.four , tps.five , tps.six , tps.seven , tps.a2 }
 track_pistachio.eight2 = { tps.one , tps.two , tps.three , tps.four , tps.five , tps.six , tps.seven , tps.eight }


  --[[ == Tracks RED Color rd == ]]--
local red = {}
  red.zero = { 0xFF,0x00,0x00 }
  red.one  = { 0xCC,0x00,0x00 }
  red.two  = { 0x60,0x00,0x00 }

local trd = {}
  -- panning_column_visible , delay_column_visible , sample_effects_column_visible (true / false)
  trd.one   = { color = red.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "01 Red Track" }
  trd.two   = { color = red.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "02 Red Track" }
  trd.three = { color = red.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "03 Red Track" }
  trd.four  = { color = red.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "04 Red Track" }
  trd.five  = { color = red.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "05 Red Track" }
  trd.six   = { color = red.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "06 Red Track" }
  trd.seven = { color = red.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "07 Red Track" }
  trd.eight = { color = red.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "08 Red Track" }
  trd.a1    = { color = red.one , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Red Track" }
  trd.a2    = { color = red.two , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Red Track" }

local track_red = {}
  track_red.one   = { trd.one }
  track_red.two   = { trd.one , trd.two }
  track_red.three = { trd.one , trd.two , trd.a1 }
  track_red.four  = { trd.one , trd.two , trd.three , trd.a2 }
  track_red.five  = { trd.one , trd.two , trd.three , trd.four , trd.a1 }
  track_red.six   = { trd.one , trd.two , trd.three , trd.four , trd.five , trd.a2 }
  track_red.seven = { trd.one , trd.two , trd.three , trd.four , trd.five , trd.six , trd.a1 }
  track_red.eight = { trd.one , trd.two , trd.three , trd.four , trd.five , trd.six , trd.seven , trd.a2 }
 track_red.eight2 = { trd.one , trd.two , trd.three , trd.four , trd.five , trd.six , trd.seven , trd.eight }


  --[[ == Tracks SKY BLUE Color sk == ]]--
local sky = {}
  sky.zero = { 0x00,0xCC,0xFF }
  sky.one  = { 0x00,0xDD,0xEE }
  sky.two  = { 0x00,0x89,0x9A }

local tsk = {}
  -- panning_column_visible , delay_column_visible , sample_effects_column_visible (true / false)
  tsk.one   = { color = sky.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "01 Sky Blue Track" }
  tsk.two   = { color = sky.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "02 Sky Blue Track" }
  tsk.three = { color = sky.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "03 Sky Blue Track" }
  tsk.four  = { color = sky.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "04 Sky Blue Track" }
  tsk.five  = { color = sky.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "05 Sky Blue Track" }
  tsk.six   = { color = sky.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "06 Sky Blue Track" }
  tsk.seven = { color = sky.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "07 Sky Blue Track" }
  tsk.eight = { color = sky.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "08 Sky Blue Track" }
  tsk.a1    = { color = sky.one , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Sky Blue Track" }
  tsk.a2    = { color = sky.two , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Sky Blue Track" }

local track_sky = {}
  track_sky.one   = { tsk.one }
  track_sky.two   = { tsk.one , tsk.two }
  track_sky.three = { tsk.one , tsk.two , tsk.a1 }
  track_sky.four  = { tsk.one , tsk.two , tsk.three , tsk.a2 }
  track_sky.five  = { tsk.one , tsk.two , tsk.three , tsk.four , tsk.a1 }
  track_sky.six   = { tsk.one , tsk.two , tsk.three , tsk.four , tsk.five , tsk.a2 }
  track_sky.seven = { tsk.one , tsk.two , tsk.three , tsk.four , tsk.five , tsk.six , tsk.a1 }
  track_sky.eight = { tsk.one , tsk.two , tsk.three , tsk.four , tsk.five , tsk.six , tsk.seven , tsk.a2 }
 track_sky.eight2 = { tsk.one , tsk.two , tsk.three , tsk.four , tsk.five , tsk.six , tsk.seven , tsk.eight }



  --[[ == Tracks VIOLET Color vl == ]]--
local violet = {}
  violet.zero = { 0x8C,0x00,0xFF }
  violet.one  = { 0x81,0x00,0xEB }
  violet.two  = { 0x4C,0x00,0x90 }

local tvl = {}
  tvl.one   = { color = violet.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "01 Violet Track" }
  tvl.two   = { color = violet.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "02 Violet Track" }
  tvl.three = { color = violet.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "03 Violet Track" }
  tvl.four  = { color = violet.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "04 Violet Track" }
  tvl.five  = { color = violet.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "05 Violet Track" }
  tvl.six   = { color = violet.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "06 Violet Track" }
  tvl.seven = { color = violet.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "07 Violet Track" }
  tvl.eight = { color = violet.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "08 Violet Track" }
  tvl.a1    = { color = violet.one , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Violet Track" }
  tvl.a2    = { color = violet.two , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Violet Track" }

local track_violet = {}
  track_violet.one   = { tvl.one }
  track_violet.two   = { tvl.one , tvl.two }
  track_violet.three = { tvl.one , tvl.two , tvl.a1 }
  track_violet.four  = { tvl.one , tvl.two , tvl.three , tvl.a2 }
  track_violet.five  = { tvl.one , tvl.two , tvl.three , tvl.four , tvl.a1 }
  track_violet.six   = { tvl.one , tvl.two , tvl.three , tvl.four , tvl.five , tvl.a2 }
  track_violet.seven = { tvl.one , tvl.two , tvl.three , tvl.four , tvl.five , tvl.six , tvl.a1 }
  track_violet.eight = { tvl.one , tvl.two , tvl.three , tvl.four , tvl.five , tvl.six , tvl.seven , tvl.a2 }
 track_violet.eight2 = { tvl.one , tvl.two , tvl.three , tvl.four , tvl.five , tvl.six , tvl.seven , tvl.eight }


  --[[ == Tracks WHITE Color wh == ]]--
local white = {}
  white.zero = { 0xFF,0xFF,0xFF }
  white.one  = { 0xF1,0xF1,0xF1 }
  white.two  = { 0x60,0x60,0x60 }

local twh = {}
  twh.one   = { color = white.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "01 White Track" }
  twh.two   = { color = white.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "02 White Track" }
  twh.three = { color = white.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "03 White Track" }
  twh.four  = { color = white.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "04 White Track" }
  twh.five  = { color = white.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "05 White Track" }
  twh.six   = { color = white.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "06 White Track" }
  twh.seven = { color = white.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "07 White Track" }
  twh.eight = { color = white.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "08 White Track" }
  twh.a1    = { color = white.one , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux White Track" }
  twh.a2    = { color = white.two , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux White Track" }

local track_white = {}
  track_white.one   = { twh.one }
  track_white.two   = { twh.one , twh.two }
  track_white.three = { twh.one , twh.two , twh.a1 }
  track_white.four  = { twh.one , twh.two , twh.three , twh.a2 }
  track_white.five  = { twh.one , twh.two , twh.three , twh.four , twh.a1 }
  track_white.six   = { twh.one , twh.two , twh.three , twh.four , twh.five , twh.a2 }
  track_white.seven = { twh.one , twh.two , twh.three , twh.four , twh.five , twh.six , twh.a1 }
  track_white.eight = { twh.one , twh.two , twh.three , twh.four , twh.five , twh.six , twh.seven , twh.a2 }
 track_white.eight2 = { twh.one , twh.two , twh.three , twh.four , twh.five , twh.six , twh.seven , twh.eight }


  --[[ == Tracks YELLOW Color yl == ]]--
local yellow = {}
  yellow.zero = { 0xFF,0xFF,0x00 }
  yellow.one  = { 0xD1,0xD1,0x00 }
  yellow.two  = { 0x61,0x61,0x00 }

local tyl = {}
  tyl.one   = { color = yellow.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "01 Yellow Track" }
  tyl.two   = { color = yellow.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "02 Yellow Track" }
  tyl.three = { color = yellow.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "03 Yellow Track" }
  tyl.four  = { color = yellow.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "04 Yellow Track" }
  tyl.five  = { color = yellow.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "05 Yellow Track" }
  tyl.six   = { color = yellow.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "06 Yellow Track" }
  tyl.seven = { color = yellow.one , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "07 Yellow Track" }
  tyl.eight = { color = yellow.two , color_blend = 10 , volume_column_visible = true , collapsed = false , name = "08 Yellow Track" }
  tyl.a1    = { color = yellow.one , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Yellow Track" }
  tyl.a2    = { color = yellow.two , color_blend = 10 , volume_column_visible = true , collapsed = true ,  name = "Aux Yellow Track" }

local track_yellow = {}
  track_yellow.one   = { tyl.one }
  track_yellow.two   = { tyl.one , tyl.two }
  track_yellow.three = { tyl.one , tyl.two , tyl.a1 }
  track_yellow.four  = { tyl.one , tyl.two , tyl.three , tyl.a2 }
  track_yellow.five  = { tyl.one , tyl.two , tyl.three , tyl.four , tyl.a1 }
  track_yellow.six   = { tyl.one , tyl.two , tyl.three , tyl.four , tyl.five , tyl.a2 }
  track_yellow.seven = { tyl.one , tyl.two , tyl.three , tyl.four , tyl.five , tyl.six , tyl.a1 }
  track_yellow.eight = { tyl.one , tyl.two , tyl.three , tyl.four , tyl.five , tyl.six , tyl.seven , tyl.a2 }
 track_yellow.eight2 = { tyl.one , tyl.two , tyl.three , tyl.four , tyl.five , tyl.six , tyl.seven , tyl.eight }




--[[ ============================== SUBGROUPS COLOLRS ======================================= ]]--

local sgroup_settings = {

  --[[ == SubGroups AQUA Color aq == ]]--
    sgroup_one_aqua = { color = aqua.zero , color_blend = 23 , collapsed = false , name = "SubGroup x1 Aqua Track" ,  tracks = track_aqua.one } ,
    sgroup_two_aqua = { color = aqua.zero , color_blend = 23 , collapsed = false , name = "SubGroup x2 Aqua Tracks" , tracks = track_aqua.two } ,
  sgroup_three_aqua = { color = aqua.zero , color_blend = 23 , collapsed = false , name = "SubGroup x3 Aqua Tracks" , tracks = track_aqua.three } ,
   sgroup_four_aqua = { color = aqua.zero , color_blend = 23 , collapsed = false , name = "SubGroup x4 Aqua Tracks" , tracks = track_aqua.four } ,
   sgroup_five_aqua = { color = aqua.zero , color_blend = 23 , collapsed = false , name = "SubGroup x5 Aqua Tracks" , tracks = track_aqua.five } ,
    sgroup_six_aqua = { color = aqua.zero , color_blend = 23 , collapsed = false , name = "SubGroup x6 Aqua Tracks" , tracks = track_aqua.six } ,
  sgroup_seven_aqua = { color = aqua.zero , color_blend = 23 , collapsed = false , name = "SubGroup x7 Aqua Tracks" , tracks = track_aqua.seven } ,
  sgroup_eight_aqua = { color = aqua.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Aqua Tracks" , tracks = track_aqua.eight } ,
 sgroup_eight2_aqua = { color = aqua.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Aqua Tracks" , tracks = track_aqua.eight2 } ,

  --[[ == SubGroups BLACK Color bk == ]]--
    sgroup_one_black = { color = black.zero , color_blend = 23 , collapsed = false , name = "SubGroup x1 Black Track" ,  tracks = track_black.one } ,
    sgroup_two_black = { color = black.zero , color_blend = 23 , collapsed = false , name = "SubGroup x2 Black Tracks" , tracks = track_black.two } ,
  sgroup_three_black = { color = black.zero , color_blend = 23 , collapsed = false , name = "SubGroup x3 Black Tracks" , tracks = track_black.three } ,
   sgroup_four_black = { color = black.zero , color_blend = 23 , collapsed = false , name = "SubGroup x4 Black Tracks" , tracks = track_black.four } ,
   sgroup_five_black = { color = black.zero , color_blend = 23 , collapsed = false , name = "SubGroup x5 Black Tracks" , tracks = track_black.five } ,
    sgroup_six_black = { color = black.zero , color_blend = 23 , collapsed = false , name = "SubGroup x6 Black Tracks" , tracks = track_black.six } ,
  sgroup_seven_black = { color = black.zero , color_blend = 23 , collapsed = false , name = "SubGroup x7 Black Tracks" , tracks = track_black.seven } ,
  sgroup_eight_black = { color = black.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Black Tracks" , tracks = track_black.eight } ,
 sgroup_eight2_black = { color = black.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Black Tracks" , tracks = track_black.eight2 } ,

  --[[ == SubGroups BLUE Color bl == ]]--
    sgroup_one_blue = { color = blue.zero , color_blend = 23 , collapsed = false , name = "SubGroup x1 Blue Track" ,  tracks = track_blue.one } ,
    sgroup_two_blue = { color = blue.zero , color_blend = 23 , collapsed = false , name = "SubGroup x2 Blue Tracks" , tracks = track_blue.two } ,
  sgroup_three_blue = { color = blue.zero , color_blend = 23 , collapsed = false , name = "SubGroup x3 Blue Tracks" , tracks = track_blue.three } ,
   sgroup_four_blue = { color = blue.zero , color_blend = 23 , collapsed = false , name = "SubGroup x4 Blue Tracks" , tracks = track_blue.four } ,
   sgroup_five_blue = { color = blue.zero , color_blend = 23 , collapsed = false , name = "SubGroup x5 Blue Tracks" , tracks = track_blue.five } ,
    sgroup_six_blue = { color = blue.zero , color_blend = 23 , collapsed = false , name = "SubGroup x6 Blue Tracks" , tracks = track_blue.six } ,
  sgroup_seven_blue = { color = blue.zero , color_blend = 23 , collapsed = false , name = "SubGroup x7 Blue Tracks" , tracks = track_blue.seven } ,
  sgroup_eight_blue = { color = blue.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Blue Tracks" , tracks = track_blue.eight } ,
 sgroup_eight2_blue = { color = blue.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Blue Tracks" , tracks = track_blue.eight2 } ,

  --[[ == SubGroups BROWN Color br == ]]--
    sgroup_one_brown = { color = brown.zero , color_blend = 23 , collapsed = false , name = "SubGroup x1 Brown Track" ,  tracks = track_brown.one } ,
    sgroup_two_brown = { color = brown.zero , color_blend = 23 , collapsed = false , name = "SubGroup x2 Brown Tracks" , tracks = track_brown.two } ,
  sgroup_three_brown = { color = brown.zero , color_blend = 23 , collapsed = false , name = "SubGroup x3 Brown Tracks" , tracks = track_brown.three } ,
   sgroup_four_brown = { color = brown.zero , color_blend = 23 , collapsed = false , name = "SubGroup x4 Brown Tracks" , tracks = track_brown.four } ,
   sgroup_five_brown = { color = brown.zero , color_blend = 23 , collapsed = false , name = "SubGroup x5 Brown Tracks" , tracks = track_brown.five } ,
    sgroup_six_brown = { color = brown.zero , color_blend = 23 , collapsed = false , name = "SubGroup x6 Brown Tracks" , tracks = track_brown.six } ,
  sgroup_seven_brown = { color = brown.zero , color_blend = 23 , collapsed = false , name = "SubGroup x7 Brown Tracks" , tracks = track_brown.seven } ,
  sgroup_eight_brown = { color = brown.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Brown Tracks" , tracks = track_brown.eight } ,
 sgroup_eight2_brown = { color = brown.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Brown Tracks" , tracks = track_brown.eight2 } ,

  --[[ == SubGroups GOLD Color gl == ]]--
    sgroup_one_gold = { color = gold.zero , color_blend = 23 , collapsed = false , name = "SubGroup x1 Gold Track" ,  tracks = track_gold.one } ,
    sgroup_two_gold = { color = gold.zero , color_blend = 23 , collapsed = false , name = "SubGroup x2 Gold Tracks" , tracks = track_gold.two } ,
  sgroup_three_gold = { color = gold.zero , color_blend = 23 , collapsed = false , name = "SubGroup x3 Gold Tracks" , tracks = track_gold.three } ,
   sgroup_four_gold = { color = gold.zero , color_blend = 23 , collapsed = false , name = "SubGroup x4 Gold Tracks" , tracks = track_gold.four } ,
   sgroup_five_gold = { color = gold.zero , color_blend = 23 , collapsed = false , name = "SubGroup x5 Gold Tracks" , tracks = track_gold.five } ,
    sgroup_six_gold = { color = gold.zero , color_blend = 23 , collapsed = false , name = "SubGroup x6 Gold Tracks" , tracks = track_gold.six } ,
  sgroup_seven_gold = { color = gold.zero , color_blend = 23 , collapsed = false , name = "SubGroup x7 Gold Tracks" , tracks = track_gold.seven } ,
  sgroup_eight_gold = { color = gold.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Gold Tracks" , tracks = track_gold.eight } ,
 sgroup_eight2_gold = { color = gold.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Gold Tracks" , tracks = track_gold.eight2 } ,

  --[[ == SubGroups GRAY Color gy ==]]--
    sgroup_one_gray = { color = gray.zero , color_blend = 23 , collapsed = false , name = "SubGroup x1 Gray Track" ,  tracks = track_gray.one } ,
    sgroup_two_gray = { color = gray.zero , color_blend = 23 , collapsed = false , name = "SubGroup x2 Gray Tracks" , tracks = track_gray.two } ,
  sgroup_three_gray = { color = gray.zero , color_blend = 23 , collapsed = false , name = "SubGroup x3 Gray Tracks" , tracks = track_gray.three } ,
   sgroup_four_gray = { color = gray.zero , color_blend = 23 , collapsed = false , name = "SubGroup x4 Gray Tracks" , tracks = track_gray.four } ,
   sgroup_five_gray = { color = gray.zero , color_blend = 23 , collapsed = false , name = "SubGroup x5 Gray Tracks" , tracks = track_gray.five } ,
    sgroup_six_gray = { color = gray.zero , color_blend = 23 , collapsed = false , name = "SubGroup x6 Gray Tracks" , tracks = track_gray.six } ,
  sgroup_seven_gray = { color = gray.zero , color_blend = 23 , collapsed = false , name = "SubGroup x7 Gray Tracks" , tracks = track_gray.seven } ,
  sgroup_eight_gray = { color = gray.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Gray Tracks" , tracks = track_gray.eight } ,
 sgroup_eight2_gray = { color = gray.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Gray Tracks" , tracks = track_gray.eight2 } ,

  --[[ == SubGroups GREEN Color gr == ]]--
    sgroup_one_green = { color = green.zero , color_blend = 23 , collapsed = false , name = "SubGroup x1 Green Track" ,  tracks = track_green.one } ,
    sgroup_two_green = { color = green.zero , color_blend = 23 , collapsed = false , name = "SubGroup x2 Green Tracks" , tracks = track_green.two } ,
  sgroup_three_green = { color = green.zero , color_blend = 23 , collapsed = false , name = "SubGroup x3 Green Tracks" , tracks = track_green.three } ,
   sgroup_four_green = { color = green.zero , color_blend = 23 , collapsed = false , name = "SubGroup x4 Green Tracks" , tracks = track_green.four } ,
   sgroup_five_green = { color = green.zero , color_blend = 23 , collapsed = false , name = "SubGroup x5 Green Tracks" , tracks = track_green.five } ,
    sgroup_six_green = { color = green.zero , color_blend = 23 , collapsed = false , name = "SubGroup x6 Green Tracks" , tracks = track_green.six } ,
  sgroup_seven_green = { color = green.zero , color_blend = 23 , collapsed = false , name = "SubGroup x7 Green Tracks" , tracks = track_green.seven } ,
  sgroup_eight_green = { color = green.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Green Tracks" , tracks = track_green.eight } ,
 sgroup_eight2_green = { color = green.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Green Tracks" , tracks = track_green.eight2 } ,

  --[[ == SubGroups ORANGE Color or == ]]--
    sgroup_one_orange = { color = orange.zero , color_blend = 23 , collapsed = false , name = "SubGroup x1 Orange Track" ,  tracks = track_orange.one } ,
    sgroup_two_orange = { color = orange.zero , color_blend = 23 , collapsed = false , name = "SubGroup x2 Orange Tracks" , tracks = track_orange.two } ,
  sgroup_three_orange = { color = orange.zero , color_blend = 23 , collapsed = false , name = "SubGroup x3 Orange Tracks" , tracks = track_orange.three } ,
   sgroup_four_orange = { color = orange.zero , color_blend = 23 , collapsed = false , name = "SubGroup x4 Orange Tracks" , tracks = track_orange.four } ,
   sgroup_five_orange = { color = orange.zero , color_blend = 23 , collapsed = false , name = "SubGroup x5 Orange Tracks" , tracks = track_orange.five } ,
    sgroup_six_orange = { color = orange.zero , color_blend = 23 , collapsed = false , name = "SubGroup x6 Orange Tracks" , tracks = track_orange.six } ,
  sgroup_seven_orange = { color = orange.zero , color_blend = 23 , collapsed = false , name = "SubGroup x7 Orange Tracks" , tracks = track_orange.seven } ,
  sgroup_eight_orange = { color = orange.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Orange Tracks" , tracks = track_orange.eight } ,
 sgroup_eight2_orange = { color = orange.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Orange Tracks" , tracks = track_orange.eight2 } ,

  --[[ == SubGroups PALE PINK Color pl == ]]--
    sgroup_one_pale = { color = pale.zero , color_blend = 23 , collapsed = false , name = "SubGroup x1 Pale Pink Track" ,  tracks = track_pale.one } ,
    sgroup_two_pale = { color = pale.zero , color_blend = 23 , collapsed = false , name = "SubGroup x2 Pale Pink Tracks" , tracks = track_pale.two } ,
  sgroup_three_pale = { color = pale.zero , color_blend = 23 , collapsed = false , name = "SubGroup x3 Pale Pink Tracks" , tracks = track_pale.three } ,
   sgroup_four_pale = { color = pale.zero , color_blend = 23 , collapsed = false , name = "SubGroup x4 Pale Pink Tracks" , tracks = track_pale.four } ,
   sgroup_five_pale = { color = pale.zero , color_blend = 23 , collapsed = false , name = "SubGroup x5 Pale Pink Tracks" , tracks = track_pale.five } ,
    sgroup_six_pale = { color = pale.zero , color_blend = 23 , collapsed = false , name = "SubGroup x6 Pale Pink Tracks" , tracks = track_pale.six } ,
  sgroup_seven_pale = { color = pale.zero , color_blend = 23 , collapsed = false , name = "SubGroup x7 Pale Pink Tracks" , tracks = track_pale.seven } ,
  sgroup_eight_pale = { color = pale.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Pale Pink Tracks" , tracks = track_pale.eight } ,
 sgroup_eight2_pale = { color = pale.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Pale Pink Tracks" , tracks = track_pale.eight2 } ,

  --[[ == SubGroups PINK Color pn == ]]--
    sgroup_one_pink = { color = pink.zero , color_blend = 23 , collapsed = false , name = "SubGroup x1 Pink Track" ,  tracks = track_pink.one } ,
    sgroup_two_pink = { color = pink.zero , color_blend = 23 , collapsed = false , name = "SubGroup x2 Pink Tracks" , tracks = track_pink.two } ,
  sgroup_three_pink = { color = pink.zero , color_blend = 23 , collapsed = false , name = "SubGroup x3 Pink Tracks" , tracks = track_pink.three } ,
   sgroup_four_pink = { color = pink.zero , color_blend = 23 , collapsed = false , name = "SubGroup x4 Pink Tracks" , tracks = track_pink.four } ,
   sgroup_five_pink = { color = pink.zero , color_blend = 23 , collapsed = false , name = "SubGroup x5 Pink Tracks" , tracks = track_pink.five } ,
    sgroup_six_pink = { color = pink.zero , color_blend = 23 , collapsed = false , name = "SubGroup x6 Pink Tracks" , tracks = track_pink.six } ,
  sgroup_seven_pink = { color = pink.zero , color_blend = 23 , collapsed = false , name = "SubGroup x7 Pink Tracks" , tracks = track_pink.seven } ,
  sgroup_eight_pink = { color = pink.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Pink Tracks" , tracks = track_pink.eight } ,
 sgroup_eight2_pink = { color = pink.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Pink Tracks" , tracks = track_pink.eight2 } ,

  --[[ == SubGroups PISTACHIO Color ps == ]]--
    sgroup_one_pistachio = { color = pistachio.zero , color_blend = 23 , collapsed = false , name = "SubGroup x1 Pistachio Track" ,  tracks = track_pistachio.one } ,
    sgroup_two_pistachio = { color = pistachio.zero , color_blend = 23 , collapsed = false , name = "SubGroup x2 Pistachio Tracks" , tracks = track_pistachio.two } ,
  sgroup_three_pistachio = { color = pistachio.zero , color_blend = 23 , collapsed = false , name = "SubGroup x3 Pistachio Tracks" , tracks = track_pistachio.three } ,
   sgroup_four_pistachio = { color = pistachio.zero , color_blend = 23 , collapsed = false , name = "SubGroup x4 Pistachio Tracks" , tracks = track_pistachio.four } ,
   sgroup_five_pistachio = { color = pistachio.zero , color_blend = 23 , collapsed = false , name = "SubGroup x5 Pistachio Tracks" , tracks = track_pistachio.five } ,
    sgroup_six_pistachio = { color = pistachio.zero , color_blend = 23 , collapsed = false , name = "SubGroup x6 Pistachio Tracks" , tracks = track_pistachio.six } ,
  sgroup_seven_pistachio = { color = pistachio.zero , color_blend = 23 , collapsed = false , name = "SubGroup x7 Pistachio Tracks" , tracks = track_pistachio.seven } ,
  sgroup_eight_pistachio = { color = pistachio.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Pistachio Tracks" , tracks = track_pistachio.eight } ,
 sgroup_eight2_pistachio = { color = pistachio.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Pistachio Tracks" , tracks = track_pistachio.eight2 } ,

  --[[ == SubGroups RED Color rd == ]]--
    sgroup_one_red = { color = red.zero , color_blend = 23 , collapsed = false , name = "SubGroup x1 Red Track" ,  tracks = track_red.one } ,
    sgroup_two_red = { color = red.zero , color_blend = 23 , collapsed = false , name = "SubGroup x2 Red Tracks" , tracks = track_red.two } ,
  sgroup_three_red = { color = red.zero , color_blend = 23 , collapsed = false , name = "SubGroup x3 Red Tracks" , tracks = track_red.three } ,
   sgroup_four_red = { color = red.zero , color_blend = 23 , collapsed = false , name = "SubGroup x4 Red Tracks" , tracks = track_red.four } ,
   sgroup_five_red = { color = red.zero , color_blend = 23 , collapsed = false , name = "SubGroup x5 Red Tracks" , tracks = track_red.five } ,
    sgroup_six_red = { color = red.zero , color_blend = 23 , collapsed = false , name = "SubGroup x6 Red Tracks" , tracks = track_red.six } ,
  sgroup_seven_red = { color = red.zero , color_blend = 23 , collapsed = false , name = "SubGroup x7 Red Tracks" , tracks = track_red.seven } ,
  sgroup_eight_red = { color = red.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Red Tracks" , tracks = track_red.eight } ,
 sgroup_eight2_red = { color = red.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Red Tracks" , tracks = track_red.eight2 } ,

  --[[ == SubGroups SKY BLUE Color sk == ]]--
    sgroup_one_sky = { color = sky.zero , color_blend = 23 , collapsed = false , name = "SubGroup x1 Sky Blue Track" ,  tracks = track_sky.one } ,
    sgroup_two_sky = { color = sky.zero , color_blend = 23 , collapsed = false , name = "SubGroup x2 Sky Blue Tracks" , tracks = track_sky.two } ,
  sgroup_three_sky = { color = sky.zero , color_blend = 23 , collapsed = false , name = "SubGroup x3 Sky Blue Tracks" , tracks = track_sky.three } ,
   sgroup_four_sky = { color = sky.zero , color_blend = 23 , collapsed = false , name = "SubGroup x4 Sky Blue Tracks" , tracks = track_sky.four } ,
   sgroup_five_sky = { color = sky.zero , color_blend = 23 , collapsed = false , name = "SubGroup x5 Sky Blue Tracks" , tracks = track_sky.five } ,
    sgroup_six_sky = { color = sky.zero , color_blend = 23 , collapsed = false , name = "SubGroup x6 Sky Blue Tracks" , tracks = track_sky.six } ,
  sgroup_seven_sky = { color = sky.zero , color_blend = 23 , collapsed = false , name = "SubGroup x7 Sky Blue Tracks" , tracks = track_sky.seven } ,
  sgroup_eight_sky = { color = sky.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Sky Blue Tracks" , tracks = track_sky.eight } ,
 sgroup_eight2_sky = { color = sky.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Sky Blue Tracks" , tracks = track_red.eight2 } ,

  --[[ == SubGroups VIOLET Color vl == ]]--
    sgroup_one_violet = { color = violet.zero , color_blend = 23 , collapsed = false , name = "SubGroup x1 Violet Track" ,  tracks = track_violet.one } ,
    sgroup_two_violet = { color = violet.zero , color_blend = 23 , collapsed = false , name = "SubGroup x2 Violet Tracks" , tracks = track_violet.two } ,
  sgroup_three_violet = { color = violet.zero , color_blend = 23 , collapsed = false , name = "SubGroup x3 Violet Tracks" , tracks = track_violet.three } ,
   sgroup_four_violet = { color = violet.zero , color_blend = 23 , collapsed = false , name = "SubGroup x4 Violet Tracks" , tracks = track_violet.four } ,
   sgroup_five_violet = { color = violet.zero , color_blend = 23 , collapsed = false , name = "SubGroup x5 Violet Tracks" , tracks = track_violet.five } ,
    sgroup_six_violet = { color = violet.zero , color_blend = 23 , collapsed = false , name = "SubGroup x6 Violet Tracks" , tracks = track_violet.six } ,
  sgroup_seven_violet = { color = violet.zero , color_blend = 23 , collapsed = false , name = "SubGroup x7 Violet Tracks" , tracks = track_violet.seven } ,
  sgroup_eight_violet = { color = violet.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Violet Tracks" , tracks = track_violet.eight } ,
 sgroup_eight2_violet = { color = violet.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Violet Tracks" , tracks = track_violet.eight2 } ,

  --[[ == SubGroups WHITE Color wh == ]]--
    sgroup_one_white = { color = white.zero , color_blend = 23 , collapsed = false , name = "SubGroup x1 White Track" ,  tracks = track_white.one } ,
    sgroup_two_white = { color = white.zero , color_blend = 23 , collapsed = false , name = "SubGroup x2 White Tracks" , tracks = track_white.two } ,
  sgroup_three_white = { color = white.zero , color_blend = 23 , collapsed = false , name = "SubGroup x3 White Tracks" , tracks = track_white.three } ,
   sgroup_four_white = { color = white.zero , color_blend = 23 , collapsed = false , name = "SubGroup x4 White Tracks" , tracks = track_white.four } ,
   sgroup_five_white = { color = white.zero , color_blend = 23 , collapsed = false , name = "SubGroup x5 White Tracks" , tracks = track_white.five } ,
    sgroup_six_white = { color = white.zero , color_blend = 23 , collapsed = false , name = "SubGroup x6 White Tracks" , tracks = track_white.six } ,
  sgroup_seven_white = { color = white.zero , color_blend = 23 , collapsed = false , name = "SubGroup x7 White Tracks" , tracks = track_white.seven } ,
  sgroup_eight_white = { color = white.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 White Tracks" , tracks = track_white.eight } ,
 sgroup_eight2_white = { color = white.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 White Tracks" , tracks = track_white.eight2 } ,

  --[[ == SubGroups YELLOW Color yl == ]]--
    sgroup_one_yellow = { color = yellow.zero , color_blend = 23 , collapsed = false , name = "SubGroup x1 Yellow Track" ,  tracks = track_yellow.one } ,
    sgroup_two_yellow = { color = yellow.zero , color_blend = 23 , collapsed = false , name = "SubGroup x2 Yellow Tracks" , tracks = track_yellow.two } ,
  sgroup_three_yellow = { color = yellow.zero , color_blend = 23 , collapsed = false , name = "SubGroup x3 Yellow Tracks" , tracks = track_yellow.three } ,
   sgroup_four_yellow = { color = yellow.zero , color_blend = 23 , collapsed = false , name = "SubGroup x4 Yellow Tracks" , tracks = track_yellow.four } ,
   sgroup_five_yellow = { color = yellow.zero , color_blend = 23 , collapsed = false , name = "SubGroup x5 Yellow Tracks" , tracks = track_yellow.five } ,
    sgroup_six_yellow = { color = yellow.zero , color_blend = 23 , collapsed = false , name = "SubGroup x6 Yellow Tracks" , tracks = track_yellow.six } ,
  sgroup_seven_yellow = { color = yellow.zero , color_blend = 23 , collapsed = false , name = "SubGroup x7 Yellow Tracks" , tracks = track_yellow.seven } ,
  sgroup_eight_yellow = { color = yellow.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Yellow Tracks" , tracks = track_yellow.eight } ,
 sgroup_eight2_yellow = { color = yellow.zero , color_blend = 23 , collapsed = false , name = "SubGroup x8 Yellow Tracks" , tracks = track_yellow.eight2 } ,

}




--[[ ============================== GROUPS & MAIN GROUP ======================================= ]]--

local group_settings = {

  --[[ == Group & Main Group AQUA Color aq == ]]--
    group_one_aqua = { color = aqua.zero , color_blend = 32 , collapsed = false , name = "GROUP AQUA 01" } ,
    group_two_aqua = { color = aqua.zero , color_blend = 32 , collapsed = false , name = "GROUP AQUA 02" } ,
  group_three_aqua = { color = aqua.zero , color_blend = 32 , collapsed = false , name = "GROUP AQUA 03" } ,
   group_four_aqua = { color = aqua.zero , color_blend = 32 , collapsed = false , name = "GROUP AQUA 04" } ,
   group_five_aqua = { color = aqua.zero , color_blend = 32 , collapsed = false , name = "GROUP AQUA 05" } ,
   main_group_aqua = { color = aqua.zero , color_blend = 42 , collapsed = false , name = "MAIN GROUP AQUA" } ,

  --[[ == Group & Main Group BLACK Color bk == ]]--
    group_one_black = { color = black.zero , color_blend = 32 , collapsed = false , name = "GROUP BLACK 01" } ,
    group_two_black = { color = black.zero , color_blend = 32 , collapsed = false , name = "GROUP BLACK 02" } ,
  group_three_black = { color = black.zero , color_blend = 32 , collapsed = false , name = "GROUP BLACK 03" } ,
   group_four_black = { color = black.zero , color_blend = 32 , collapsed = false , name = "GROUP BLACK 04" } ,
   group_five_black = { color = black.zero , color_blend = 32 , collapsed = false , name = "GROUP BLACK 05" } ,
   main_group_black = { color = black.zero , color_blend = 42 , collapsed = false , name = "MAIN GROUP BLACK" } ,

  --[[ == Group & Main Group BLUE Color bl == ]]--
    group_one_blue = { color = blue.zero , color_blend = 32 , collapsed = false , name = "GROUP BLUE 01" } ,
    group_two_blue = { color = blue.zero , color_blend = 32 , collapsed = false , name = "GROUP BLUE 02" } ,
  group_three_blue = { color = blue.zero , color_blend = 32 , collapsed = false , name = "GROUP BLUE 03" } ,
   group_four_blue = { color = blue.zero , color_blend = 32 , collapsed = false , name = "GROUP BLUE 04" } ,
   group_five_blue = { color = blue.zero , color_blend = 32 , collapsed = false , name = "GROUP BLUE 05" } ,
   main_group_blue = { color = blue.zero , color_blend = 42 , collapsed = false , name = "MAIN GROUP BLUE" } ,

  --[[ == Group & Main Group BROWN Color br == ]]--
    group_one_brown = { color = brown.zero , color_blend = 32 , collapsed = false , name = "GROUP BROWN 01" } ,
    group_two_brown = { color = brown.zero , color_blend = 32 , collapsed = false , name = "GROUP BROWN 02" } ,
  group_three_brown = { color = brown.zero , color_blend = 32 , collapsed = false , name = "GROUP BROWN 03" } ,
   group_four_brown = { color = brown.zero , color_blend = 32 , collapsed = false , name = "GROUP BROWN 04" } ,
   group_five_brown = { color = brown.zero , color_blend = 32 , collapsed = false , name = "GROUP BROWN 05" } ,
   main_group_brown = { color = brown.zero , color_blend = 42 , collapsed = false , name = "MAIN GROUP BROWN" } ,

  --[[ == Group & Main Group GOLD Color gl == ]]--
    group_one_gold = { color = gold.zero , color_blend = 32 , collapsed = false , name = "GROUP GOLD 01" } ,
    group_two_gold = { color = gold.zero , color_blend = 32 , collapsed = false , name = "GROUP GOLD 02" } ,
  group_three_gold = { color = gold.zero , color_blend = 32 , collapsed = false , name = "GROUP GOLD 03" } ,
   group_four_gold = { color = gold.zero , color_blend = 32 , collapsed = false , name = "GROUP GOLD 04" } ,
   group_five_gold = { color = gold.zero , color_blend = 32 , collapsed = false , name = "GROUP GOLD 05" } ,
   main_group_gold = { color = gold.zero , color_blend = 42 , collapsed = false , name = "MAIN GROUP GOLD" } ,

  --[[ == Group & Main Group GRAY Color gy ==]]--
    group_one_gray = { color = gray.zero , color_blend = 32 , collapsed = false , name = "GROUP GRAY 01" } ,
    group_two_gray = { color = gray.zero , color_blend = 32 , collapsed = false , name = "GROUP GRAY 02" } ,
  group_three_gray = { color = gray.zero , color_blend = 32 , collapsed = false , name = "GROUP GRAY 03" } ,
   group_four_gray = { color = gray.zero , color_blend = 32 , collapsed = false , name = "GROUP GRAY 04" } ,
   group_five_gray = { color = gray.zero , color_blend = 32 , collapsed = false , name = "GROUP GRAY 05" } ,
   main_group_gray = { color = gray.zero , color_blend = 42 , collapsed = false , name = "MAIN GROUP GRAY" } ,

  --[[ == Group & Main Group GREEN Color gr == ]]--
    group_one_green = { color = green.zero , color_blend = 32 , collapsed = false , name = "GROUP GREEN 01" } ,
    group_two_green = { color = green.zero , color_blend = 32 , collapsed = false , name = "GROUP GREEN 02" } ,
  group_three_green = { color = green.zero , color_blend = 32 , collapsed = false , name = "GROUP GREEN 03" } ,
   group_four_green = { color = green.zero , color_blend = 32 , collapsed = false , name = "GROUP GREEN 04" } ,
   group_five_green = { color = green.zero , color_blend = 32 , collapsed = false , name = "GROUP GREEN 05" } ,
   main_group_green = { color = green.zero , color_blend = 42 , collapsed = false , name = "MAIN GROUP GREEN" } ,

  --[[ == Group & Main Group ORANGE Color or == ]]--
    group_one_orange = { color = orange.zero , color_blend = 32 , collapsed = false , name = "GROUP ORANGE 01" } ,
    group_two_orange = { color = orange.zero , color_blend = 32 , collapsed = false , name = "GROUP ORANGE 02" } ,
  group_three_orange = { color = orange.zero , color_blend = 32 , collapsed = false , name = "GROUP ORANGE 03" } ,
   group_four_orange = { color = orange.zero , color_blend = 32 , collapsed = false , name = "GROUP ORANGE 04" } ,
   group_five_orange = { color = orange.zero , color_blend = 32 , collapsed = false , name = "GROUP ORANGE 05" } ,
   main_group_orange = { color = orange.zero , color_blend = 42 , collapsed = false , name = "MAIN GROUP ORANGE" } ,

  --[[ == Group & Main Group PALE PINK Color pl == ]]--
    group_one_pale = { color = pale.zero , color_blend = 32 , collapsed = false , name = "GROUP PALE PINK 01" } ,
    group_two_pale = { color = pale.zero , color_blend = 32 , collapsed = false , name = "GROUP PALE PINK 02" } ,
  group_three_pale = { color = pale.zero , color_blend = 32 , collapsed = false , name = "GROUP PALE PINK 03" } ,
   group_four_pale = { color = pale.zero , color_blend = 32 , collapsed = false , name = "GROUP PALE PINK 04" } ,
   group_five_pale = { color = pale.zero , color_blend = 32 , collapsed = false , name = "GROUP PALE PINK 05" } ,
   main_group_pale = { color = pale.zero , color_blend = 42 , collapsed = false , name = "MAIN GROUP PALE PINK" } ,

  --[[ == Group & Main Group PINK Color pn == ]]--
    group_one_pink = { color = pink.zero , color_blend = 32 , collapsed = false , name = "GROUP PINK 01" } ,
    group_two_pink = { color = pink.zero , color_blend = 32 , collapsed = false , name = "GROUP PINK 02" } ,
  group_three_pink = { color = pink.zero , color_blend = 32 , collapsed = false , name = "GROUP PINK 03" } ,
   group_four_pink = { color = pink.zero , color_blend = 32 , collapsed = false , name = "GROUP PINK 04" } ,
   group_five_pink = { color = pink.zero , color_blend = 32 , collapsed = false , name = "GROUP PINK 05" } ,
   main_group_pink = { color = pink.zero , color_blend = 42 , collapsed = false , name = "MAIN GROUP PINK" } ,

  --[[ == Group & Main Group PISTACHIO Color ps == ]]--
    group_one_pistachio = { color = pistachio.zero , color_blend = 32 , collapsed = false , name = "GROUP PISTACHIO 01" } ,
    group_two_pistachio = { color = pistachio.zero , color_blend = 32 , collapsed = false , name = "GROUP PISTACHIO 02" } ,
  group_three_pistachio = { color = pistachio.zero , color_blend = 32 , collapsed = false , name = "GROUP PISTACHIO 03" } ,
   group_four_pistachio = { color = pistachio.zero , color_blend = 32 , collapsed = false , name = "GROUP PISTACHIO 04" } ,
   group_five_pistachio = { color = pistachio.zero , color_blend = 32 , collapsed = false , name = "GROUP PISTACHIO 05" } ,
   main_group_pistachio = { color = pistachio.zero , color_blend = 42 , collapsed = false , name = "MAIN GROUP PISTACHIO" } ,

  --[[ == Group & Main Group RED Color rd == ]]--
    group_one_red = { color = red.zero , color_blend = 32 , collapsed = false , name = "GROUP RED 01" } ,
    group_two_red = { color = red.zero , color_blend = 32 , collapsed = false , name = "GROUP RED 02" } ,
  group_three_red = { color = red.zero , color_blend = 32 , collapsed = false , name = "GROUP RED 03" } ,
   group_four_red = { color = red.zero , color_blend = 32 , collapsed = false , name = "GROUP RED 04" } ,
   group_five_red = { color = red.zero , color_blend = 32 , collapsed = false , name = "GROUP RED 05" } ,
   main_group_red = { color = red.zero , color_blend = 42 , collapsed = false , name = "MAIN GROUP RED" } ,

  --[[ == Group & Main Group SKY BLUE Color sk == ]]--
    group_one_sky = { color = sky.zero , color_blend = 32 , collapsed = false , name = "GROUP SKY BLUE 01" } ,
    group_two_sky = { color = sky.zero , color_blend = 32 , collapsed = false , name = "GROUP SKY BLUE 02" } ,
  group_three_sky = { color = sky.zero , color_blend = 32 , collapsed = false , name = "GROUP SKY BLUE 03" } ,
   group_four_sky = { color = sky.zero , color_blend = 32 , collapsed = false , name = "GROUP SKY BLUE 04" } ,
   group_five_sky = { color = sky.zero , color_blend = 32 , collapsed = false , name = "GROUP SKY BLUE 05" } ,
   main_group_sky = { color = sky.zero , color_blend = 42 , collapsed = false , name = "MAIN GROUP SKY BLUE" } ,

  --[[ == Group & Main Group VIOLET Color vl == ]]--
    group_one_violet = { color = violet.zero , color_blend = 32 , collapsed = false , name = "GROUP VIOLET 01" } ,
    group_two_violet = { color = violet.zero , color_blend = 32 , collapsed = false , name = "GROUP VIOLET 02" } ,
  group_three_violet = { color = violet.zero , color_blend = 32 , collapsed = false , name = "GROUP VIOLET 03" } ,
   group_four_violet = { color = violet.zero , color_blend = 32 , collapsed = false , name = "GROUP VIOLET 04" } ,
   group_five_violet = { color = violet.zero , color_blend = 32 , collapsed = false , name = "GROUP VIOLET 05" } ,
   main_group_violet = { color = violet.zero , color_blend = 42 , collapsed = false , name = "MAIN GROUP VIOLET" } ,

  --[[ == Group & Main Group WHITE Color wh == ]]--
    group_one_white = { color = white.zero , color_blend = 32 , collapsed = false , name = "GROUP WHITE 01" } ,
    group_two_white = { color = white.zero , color_blend = 32 , collapsed = false , name = "GROUP WHITE 02" } ,
  group_three_white = { color = white.zero , color_blend = 32 , collapsed = false , name = "GROUP WHITE 03" } ,
   group_four_white = { color = white.zero , color_blend = 32 , collapsed = false , name = "GROUP WHITE 04" } ,
   group_five_white = { color = white.zero , color_blend = 32 , collapsed = false , name = "GROUP WHITE 05" } ,
   main_group_white = { color = white.zero , color_blend = 42 , collapsed = false , name = "MAIN GROUP WHITE" } ,

  --[[ == Group & Main Group YELLOW Color yl == ]]--
    group_one_yellow = { color = yellow.zero , color_blend = 32 , collapsed = false , name = "GROUP YELLOW 01" } ,
    group_two_yellow = { color = yellow.zero , color_blend = 32 , collapsed = false , name = "GROUP YELLOW 02" } ,
  group_three_yellow = { color = yellow.zero , color_blend = 32 , collapsed = false , name = "GROUP YELLOW 03" } ,
   group_four_yellow = { color = yellow.zero , color_blend = 32 , collapsed = false , name = "GROUP YELLOW 04" } ,
   group_five_yellow = { color = yellow.zero , color_blend = 32 , collapsed = false , name = "GROUP YELLOW 05" } ,
   main_group_yellow = { color = yellow.zero , color_blend = 42 , collapsed = false , name = "MAIN GROUP YELLOW" } ,

}




--[[ ============================== INSERT TRACKS ONLY ======================================= ]]--

function insert_track_only(track_index , track_setting)
  renoise.song():insert_track_at(track_index)
  local track = renoise.song():track(track_index)
  track.visible_effect_columns = 0 , 1 , false
  for parameter_name , parameter_value in pairs(track_setting) do
   track[parameter_name] = parameter_value
  end
  --local column_names = { "C  do" , "C#" , "D  re" , "D#" , "E  mi" , "F  fa" , "F#" , "G  sol" , "G#" , "A  la" , "A#" , "B  si" }
  local column_names = { "Note 01" , "Note 02" , "Note 03" , "Note 04" , "Note 05" , "Note 06" , "Note 07" , "Note 08" , "Note 09" , "Note 10" , "Note 11" , "Note 12" }
  for note_column = 1 , 12 do
    track:set_column_name(note_column , column_names[note_column])
  end
end




--[[ ============================== INSERT TRACKS & SUBGROUP ======================================= ]]--

function insert_track(track_index , group_index , track_setting)
  renoise.song():insert_track_at(track_index)
  local track = renoise.song():track(track_index)
  track.visible_effect_columns = 0 , 1 , false  -- track.visible_note_columns, track.volume_column_visible
  for parameter_name , parameter_value in pairs(track_setting) do
   track[parameter_name] = parameter_value
  end
  --local column_names = { "C  do" , "C#" , "D  re" , "D#" , "E  mi" , "F  fa" , "F#" , "G  sol" , "G#" , "A  la" , "A#" , "B  si" }
  local column_names = { "Note 01" , "Note 02" , "Note 03" , "Note 04" , "Note 05" , "Note 06" , "Note 07" , "Note 08" , "Note 09" , "Note 10" , "Note 11" , "Note 12" }
  for note_column = 1 , 12 do
    track:set_column_name(note_column , column_names[note_column])
  end
  renoise.song():add_track_to_group(track_index , group_index)
end

function insert_sgroup(group_setting)
  local song = renoise.song()
  local i , group_index , group_setting = 1 , song.selected_track_index + 1 , sgroup_settings[group_setting]
  song:insert_group_at(group_index)
  for parameter_name , parameter_value in pairs(group_setting) do
    if not (parameter_name == "tracks") then
      song:track(group_index)[parameter_name] = parameter_value
    end
  end
  for _ , track_setting in ipairs(group_setting.tracks) do
    local group_index = group_index + i
    i = i + 1
    insert_track(song.selected_track_index , group_index , track_setting)
  end
  song.tracks[song.selected_track_index + 1].group_parent.collapsed = true  -- collapse FX in Group
end




--[[ ============================== INSTERT GROUP ======================================= ]]--

function insert_group(group_setting)
  local song = renoise.song()
  local i , group_index , group_setting = 1 , song.selected_track_index + 1 , group_settings[group_setting]
  song:insert_group_at(group_index)
  for parameter_name , parameter_value in pairs(group_setting) do
    if not (parameter_name == "tracks") then
      song:track(group_index)[parameter_name] = parameter_value
    end
  end
end




--[[ ============================== INSERT SUBGROUPS TO GROUP ======================================= ]]--

function instert_sgroups_to_group_2Gx2T()
  local song = renoise.song()
  song:add_track_to_group(song.selected_track_index +  4 ,  song.selected_track_index + 1) --  2 + 2     = 4
  song:add_track_to_group(song.selected_track_index +  7 ,  song.selected_track_index + 4) --  4 + 2 + 1 = 7
  song.tracks[song.selected_track_index + 6].group_parent.collapsed = true
end

function instert_sgroups_to_group_2Gx3T()
  local song = renoise.song()
  song:add_track_to_group(song.selected_track_index +  5 ,  song.selected_track_index + 1) --  3 + 2     = 5
  song:add_track_to_group(song.selected_track_index +  9 ,  song.selected_track_index + 5) --  5 + 3 + 1 = 9
  song.tracks[song.selected_track_index + 8].group_parent.collapsed = true
end

function instert_sgroups_to_group_2Gx4T()
  local song = renoise.song()
  song:add_track_to_group(song.selected_track_index +  6 ,  song.selected_track_index + 1) --  4 + 2     = 6
  song:add_track_to_group(song.selected_track_index + 11 ,  song.selected_track_index + 6) --  6 + 4 + 1 = 11
  song.tracks[song.selected_track_index + 10].group_parent.collapsed = true
end

function instert_sgroups_to_group_2Gx5T()
  local song = renoise.song()
  song:add_track_to_group(song.selected_track_index +  7 ,  song.selected_track_index + 1) --  5 + 2     = 7
  song:add_track_to_group(song.selected_track_index + 13 ,  song.selected_track_index + 7) --  7 + 5 + 1 = 13
  song.tracks[song.selected_track_index + 12].group_parent.collapsed = true
end

function instert_sgroups_to_group_2Gx6T()
  local song = renoise.song()
  song:add_track_to_group(song.selected_track_index +  8 ,  song.selected_track_index + 1) --  6 + 2     = 8
  song:add_track_to_group(song.selected_track_index + 15 ,  song.selected_track_index + 8) --  8 + 6 + 1 = 15
  song.tracks[song.selected_track_index + 14].group_parent.collapsed = true
end

function instert_sgroups_to_group_2Gx7T()
  local song = renoise.song()
  song:add_track_to_group(song.selected_track_index +  9 ,  song.selected_track_index + 1) --  7 + 2     = 9
  song:add_track_to_group(song.selected_track_index + 17 ,  song.selected_track_index + 9) --  9 + 7 + 1 = 17
  song.tracks[song.selected_track_index + 16].group_parent.collapsed = true
end

function instert_sgroups_to_group_2Gx8T()
  local song = renoise.song()
  song:add_track_to_group(song.selected_track_index + 10 ,  song.selected_track_index + 1) --  8 + 2     = 10
  song:add_track_to_group(song.selected_track_index + 19 , song.selected_track_index + 10) -- 10 + 8 + 1 = 19
  song.tracks[song.selected_track_index + 18].group_parent.collapsed = true
end




--[[ ============================== INSTERT MAIN GROUP ======================================= ]]--

function insert_main_group(group_setting)
  local song = renoise.song()
  local i , group_index , group_setting = 1 , song.selected_track_index + 1 , group_settings[group_setting]
  song:insert_group_at(group_index)
  for parameter_name , parameter_value in pairs(group_setting) do
    if not (parameter_name == "tracks") then
      song:track(group_index)[parameter_name] = parameter_value
    end
  end
end




--[[ ============================== INSERT GROUPS TO MAIN GROUP ======================================= ]]--

function instert_groups_to_main_group_2Gx2T()
  local song = renoise.song()
  song:add_track_to_group(song.selected_track_index +   8 ,  song.selected_track_index + 1) --  6 + 2     = 8
  song:add_track_to_group(song.selected_track_index +  15 ,  song.selected_track_index + 8) --  8 + 6 + 1 = 15
  song.tracks[song.selected_track_index + 14].group_parent.collapsed = true
end

function instert_groups_to_main_group_2Gx3T()
  local song = renoise.song()
  song:add_track_to_group(song.selected_track_index +  10 ,  song.selected_track_index +  1) --  8 + 2     = 10
  song:add_track_to_group(song.selected_track_index +  19 ,  song.selected_track_index + 10) -- 10 + 8 + 1 = 19
  song.tracks[song.selected_track_index + 18].group_parent.collapsed = true
end

function instert_groups_to_main_group_2Gx4T()
  local song = renoise.song()
  song:add_track_to_group(song.selected_track_index +  12 ,  song.selected_track_index +  1) --  10 +  2     = 12
  song:add_track_to_group(song.selected_track_index +  23 ,  song.selected_track_index + 12) --  12 + 10 + 1 = 23
  song.tracks[song.selected_track_index + 22].group_parent.collapsed = true
end

function instert_groups_to_main_group_2Gx5T()
  local song = renoise.song()
  song:add_track_to_group(song.selected_track_index +  14 ,  song.selected_track_index +  1) --  12 + 2      = 14
  song:add_track_to_group(song.selected_track_index +  27 ,  song.selected_track_index + 14) --  14 + 12 + 1 = 27
  song.tracks[song.selected_track_index + 26].group_parent.collapsed = true
end

function instert_groups_to_main_group_2Gx6T()
  local song = renoise.song()
  song:add_track_to_group(song.selected_track_index +  16 ,  song.selected_track_index +  1) --  14 +  2     = 16
  song:add_track_to_group(song.selected_track_index +  31 ,  song.selected_track_index + 16) --  16 + 14 + 1 = 31
  song.tracks[song.selected_track_index + 30].group_parent.collapsed = true
end

function instert_groups_to_main_group_2Gx7T()
  local song = renoise.song()
  song:add_track_to_group(song.selected_track_index +  18 ,  song.selected_track_index +  1) --  16 +  2     = 18
  song:add_track_to_group(song.selected_track_index +  35 ,  song.selected_track_index + 18) --  18 + 16 + 1 = 35
  song.tracks[song.selected_track_index + 34].group_parent.collapsed = true
end

function instert_groups_to_main_group_2Gx8T()
  local song = renoise.song()
  song:add_track_to_group(song.selected_track_index +  20 ,  song.selected_track_index +  1) --  18 +  2     = 20
  song:add_track_to_group(song.selected_track_index +  39 ,  song.selected_track_index + 20) --  20 + 18 + 1 = 39
  song.tracks[song.selected_track_index + 38].group_parent.collapsed = true
end




--[[ ============================== MENU & INVOKE ======================================= ]]--

function rebuild_menu()

  local song, rt, menu_entry = renoise.song(), renoise.tool(), {}
    --Has & Remove Menu AQUA aq
    menu_entry.aq01 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:1.-Main Group:Aqua 1MGr x 2Gr [2SGr x 2Tr]"  if rt:has_menu_entry(menu_entry.aq01) then rt:remove_menu_entry(menu_entry.aq01) end
    menu_entry.aq02 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:1.-Main Group:Aqua 1MGr x 2Gr [2SGr x 3Tr]"  if rt:has_menu_entry(menu_entry.aq02) then rt:remove_menu_entry(menu_entry.aq02) end
    menu_entry.aq03 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:1.-Main Group:Aqua 1MGr x 2Gr [2SGr x 4Tr]"  if rt:has_menu_entry(menu_entry.aq03) then rt:remove_menu_entry(menu_entry.aq03) end
    menu_entry.aq04 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:1.-Main Group:Aqua 1MGr x 2Gr [2SGr x 5Tr]"  if rt:has_menu_entry(menu_entry.aq04) then rt:remove_menu_entry(menu_entry.aq04) end
    menu_entry.aq05 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:1.-Main Group:Aqua 1MGr x 2Gr [2SGr x 6Tr]"  if rt:has_menu_entry(menu_entry.aq05) then rt:remove_menu_entry(menu_entry.aq05) end
    menu_entry.aq06 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:1.-Main Group:Aqua 1MGr x 2Gr [2SGr x 7Tr]"  if rt:has_menu_entry(menu_entry.aq06) then rt:remove_menu_entry(menu_entry.aq06) end
    menu_entry.aq07 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:1.-Main Group:Aqua 1MGr x 2Gr [2SGr x 8Tr]"  if rt:has_menu_entry(menu_entry.aq07) then rt:remove_menu_entry(menu_entry.aq07) end
    menu_entry.aq08 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:1.-Main Group:Aqua 1 Main Group"             if rt:has_menu_entry(menu_entry.aq08) then rt:remove_menu_entry(menu_entry.aq08) end

    menu_entry.aq09 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:2.-Groups:Aqua 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.aq09) then rt:remove_menu_entry(menu_entry.aq09) end
    menu_entry.aq10 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:2.-Groups:Aqua 4Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.aq10) then rt:remove_menu_entry(menu_entry.aq10) end
    menu_entry.aq11 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:2.-Groups:Aqua 2Gr [2SGr x 3Tr]"             if rt:has_menu_entry(menu_entry.aq11) then rt:remove_menu_entry(menu_entry.aq11) end
    menu_entry.aq12 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:2.-Groups:Aqua 2Gr [2SGr x 4Tr]"             if rt:has_menu_entry(menu_entry.aq12) then rt:remove_menu_entry(menu_entry.aq12) end
    menu_entry.aq13 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:2.-Groups:Aqua 2Gr [2SGr x 5Tr]"             if rt:has_menu_entry(menu_entry.aq13) then rt:remove_menu_entry(menu_entry.aq13) end
    menu_entry.aq14 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:2.-Groups:Aqua 2Gr [2SGr x 6Tr]"             if rt:has_menu_entry(menu_entry.aq14) then rt:remove_menu_entry(menu_entry.aq14) end
    menu_entry.aq15 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:2.-Groups:Aqua 2Gr [2SGr x 7Tr]"             if rt:has_menu_entry(menu_entry.aq15) then rt:remove_menu_entry(menu_entry.aq15) end
    menu_entry.aq16 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:2.-Groups:Aqua 2Gr [2SGr x 8Tr]"             if rt:has_menu_entry(menu_entry.aq16) then rt:remove_menu_entry(menu_entry.aq16) end
    menu_entry.aq17 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:2.-Groups:Aqua 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.aq17) then rt:remove_menu_entry(menu_entry.aq17) end
    menu_entry.aq18 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:2.-Groups:Aqua 1 Group"                      if rt:has_menu_entry(menu_entry.aq18) then rt:remove_menu_entry(menu_entry.aq18) end

    menu_entry.aq19 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:3.-SubGroups:Aqua 4SGr x 2Tr"                if rt:has_menu_entry(menu_entry.aq19) then rt:remove_menu_entry(menu_entry.aq19) end
    menu_entry.aq20 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:3.-SubGroups:Aqua 4SGr x 3Tr"                if rt:has_menu_entry(menu_entry.aq20) then rt:remove_menu_entry(menu_entry.aq20) end
    menu_entry.aq21 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:3.-SubGroups:Aqua 4SGr x 4Tr"                if rt:has_menu_entry(menu_entry.aq21) then rt:remove_menu_entry(menu_entry.aq21) end
    menu_entry.aq22 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:3.-SubGroups:Aqua 4SGr x 5Tr"                if rt:has_menu_entry(menu_entry.aq22) then rt:remove_menu_entry(menu_entry.aq22) end
    menu_entry.aq23 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:3.-SubGroups:Aqua 4SGr x 6Tr"                if rt:has_menu_entry(menu_entry.aq23) then rt:remove_menu_entry(menu_entry.aq23) end
    menu_entry.aq24 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:3.-SubGroups:Aqua 2SGr x 6Tr"                if rt:has_menu_entry(menu_entry.aq24) then rt:remove_menu_entry(menu_entry.aq24) end
    menu_entry.aq25 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:3.-SubGroups:Aqua 4SGr x 7Tr"                if rt:has_menu_entry(menu_entry.aq25) then rt:remove_menu_entry(menu_entry.aq25) end
    menu_entry.aq26 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:3.-SubGroups:Aqua 4SGr x 8Tr"                if rt:has_menu_entry(menu_entry.aq26) then rt:remove_menu_entry(menu_entry.aq26) end
    menu_entry.aq27 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:3.-SubGroups:Aqua 2SGr x 8Tr"                if rt:has_menu_entry(menu_entry.aq27) then rt:remove_menu_entry(menu_entry.aq27) end
    menu_entry.aq28 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:3.-SubGroups:Aqua 1SGr x 8Tr"                if rt:has_menu_entry(menu_entry.aq28) then rt:remove_menu_entry(menu_entry.aq28) end

    menu_entry.aq29 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:4.-Tracks:Aqua 2Tr"                          if rt:has_menu_entry(menu_entry.aq29) then rt:remove_menu_entry(menu_entry.aq29) end
    menu_entry.aq30 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:4.-Tracks:Aqua 4Tr"                          if rt:has_menu_entry(menu_entry.aq30) then rt:remove_menu_entry(menu_entry.aq30) end
    menu_entry.aq31 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:4.-Tracks:Aqua 4Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.aq31) then rt:remove_menu_entry(menu_entry.aq31) end
    menu_entry.aq32 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:4.-Tracks:Aqua 6Tr"                          if rt:has_menu_entry(menu_entry.aq32) then rt:remove_menu_entry(menu_entry.aq32) end
    menu_entry.aq33 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:4.-Tracks:Aqua 8Tr"                          if rt:has_menu_entry(menu_entry.aq33) then rt:remove_menu_entry(menu_entry.aq33) end
    menu_entry.aq34 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:4.-Tracks:Aqua 8Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.aq34) then rt:remove_menu_entry(menu_entry.aq34) end
    menu_entry.aq35 = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:4.-Tracks:Aqua 1AuxTr"                       if rt:has_menu_entry(menu_entry.aq35) then rt:remove_menu_entry(menu_entry.aq35) end


    --Has & Remove Menu BLACK bk
    menu_entry.bk01 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:1.-Main Group:Black 1MGr x 2Gr [2SGr x 2Tr]"  if rt:has_menu_entry(menu_entry.bk01) then rt:remove_menu_entry(menu_entry.bk01) end
    menu_entry.bk02 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:1.-Main Group:Black 1MGr x 2Gr [2SGr x 3Tr]"  if rt:has_menu_entry(menu_entry.bk02) then rt:remove_menu_entry(menu_entry.bk02) end
    menu_entry.bk03 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:1.-Main Group:Black 1MGr x 2Gr [2SGr x 4Tr]"  if rt:has_menu_entry(menu_entry.bk03) then rt:remove_menu_entry(menu_entry.bk03) end
    menu_entry.bk04 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:1.-Main Group:Black 1MGr x 2Gr [2SGr x 5Tr]"  if rt:has_menu_entry(menu_entry.bk04) then rt:remove_menu_entry(menu_entry.bk04) end
    menu_entry.bk05 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:1.-Main Group:Black 1MGr x 2Gr [2SGr x 6Tr]"  if rt:has_menu_entry(menu_entry.bk05) then rt:remove_menu_entry(menu_entry.bk05) end
    menu_entry.bk06 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:1.-Main Group:Black 1MGr x 2Gr [2SGr x 7Tr]"  if rt:has_menu_entry(menu_entry.bk06) then rt:remove_menu_entry(menu_entry.bk06) end
    menu_entry.bk07 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:1.-Main Group:Black 1MGr x 2Gr [2SGr x 8Tr]"  if rt:has_menu_entry(menu_entry.bk07) then rt:remove_menu_entry(menu_entry.bk07) end
    menu_entry.bk08 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:1.-Main Group:Black 1 Main Group"             if rt:has_menu_entry(menu_entry.bk08) then rt:remove_menu_entry(menu_entry.bk08) end

    menu_entry.bk09 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:2.-Groups:Black 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.bk09) then rt:remove_menu_entry(menu_entry.bk09) end
    menu_entry.bk10 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:2.-Groups:Black 4Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.bk10) then rt:remove_menu_entry(menu_entry.bk10) end
    menu_entry.bk11 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:2.-Groups:Black 2Gr [2SGr x 3Tr]"             if rt:has_menu_entry(menu_entry.bk11) then rt:remove_menu_entry(menu_entry.bk11) end
    menu_entry.bk12 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:2.-Groups:Black 2Gr [2SGr x 4Tr]"             if rt:has_menu_entry(menu_entry.bk12) then rt:remove_menu_entry(menu_entry.bk12) end
    menu_entry.bk13 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:2.-Groups:Black 2Gr [2SGr x 5Tr]"             if rt:has_menu_entry(menu_entry.bk13) then rt:remove_menu_entry(menu_entry.bk13) end
    menu_entry.bk14 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:2.-Groups:Black 2Gr [2SGr x 6Tr]"             if rt:has_menu_entry(menu_entry.bk14) then rt:remove_menu_entry(menu_entry.bk14) end
    menu_entry.bk15 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:2.-Groups:Black 2Gr [2SGr x 7Tr]"             if rt:has_menu_entry(menu_entry.bk15) then rt:remove_menu_entry(menu_entry.bk15) end
    menu_entry.bk16 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:2.-Groups:Black 2Gr [2SGr x 8Tr]"             if rt:has_menu_entry(menu_entry.bk16) then rt:remove_menu_entry(menu_entry.bk16) end
    menu_entry.bk17 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:2.-Groups:Black 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.bk17) then rt:remove_menu_entry(menu_entry.bk17) end
    menu_entry.bk18 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:2.-Groups:Black 1 Group"                      if rt:has_menu_entry(menu_entry.bk18) then rt:remove_menu_entry(menu_entry.bk18) end

    menu_entry.bk19 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:3.-SubGroups:Black 4SGr x 2Tr"                if rt:has_menu_entry(menu_entry.bk19) then rt:remove_menu_entry(menu_entry.bk19) end
    menu_entry.bk20 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:3.-SubGroups:Black 4SGr x 3Tr"                if rt:has_menu_entry(menu_entry.bk20) then rt:remove_menu_entry(menu_entry.bk20) end
    menu_entry.bk21 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:3.-SubGroups:Black 4SGr x 4Tr"                if rt:has_menu_entry(menu_entry.bk21) then rt:remove_menu_entry(menu_entry.bk21) end
    menu_entry.bk22 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:3.-SubGroups:Black 4SGr x 5Tr"                if rt:has_menu_entry(menu_entry.bk22) then rt:remove_menu_entry(menu_entry.bk22) end
    menu_entry.bk23 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:3.-SubGroups:Black 4SGr x 6Tr"                if rt:has_menu_entry(menu_entry.bk23) then rt:remove_menu_entry(menu_entry.bk23) end
    menu_entry.bk24 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:3.-SubGroups:Black 2SGr x 6Tr"                if rt:has_menu_entry(menu_entry.bk24) then rt:remove_menu_entry(menu_entry.bk24) end
    menu_entry.bk25 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:3.-SubGroups:Black 4SGr x 7Tr"                if rt:has_menu_entry(menu_entry.bk25) then rt:remove_menu_entry(menu_entry.bk25) end
    menu_entry.bk26 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:3.-SubGroups:Black 4SGr x 8Tr"                if rt:has_menu_entry(menu_entry.bk26) then rt:remove_menu_entry(menu_entry.bk26) end
    menu_entry.bk27 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:3.-SubGroups:Black 2SGr x 8Tr"                if rt:has_menu_entry(menu_entry.bk27) then rt:remove_menu_entry(menu_entry.bk27) end
    menu_entry.bk28 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:3.-SubGroups:Black 1SGr x 8Tr"                if rt:has_menu_entry(menu_entry.bk28) then rt:remove_menu_entry(menu_entry.bk28) end

    menu_entry.bk29 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:4.-Tracks:Black 2Tr"                          if rt:has_menu_entry(menu_entry.bk29) then rt:remove_menu_entry(menu_entry.bk29) end
    menu_entry.bk30 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:4.-Tracks:Black 4Tr"                          if rt:has_menu_entry(menu_entry.bk30) then rt:remove_menu_entry(menu_entry.bk30) end
    menu_entry.bk31 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:4.-Tracks:Black 4Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.bk31) then rt:remove_menu_entry(menu_entry.bk31) end
    menu_entry.bk32 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:4.-Tracks:Black 6Tr"                          if rt:has_menu_entry(menu_entry.bk32) then rt:remove_menu_entry(menu_entry.bk32) end
    menu_entry.bk33 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:4.-Tracks:Black 8Tr"                          if rt:has_menu_entry(menu_entry.bk33) then rt:remove_menu_entry(menu_entry.bk33) end
    menu_entry.bk34 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:4.-Tracks:Black 8Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.bk34) then rt:remove_menu_entry(menu_entry.bk34) end
    menu_entry.bk35 = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:4.-Tracks:Black 1AuxTr"                       if rt:has_menu_entry(menu_entry.bk35) then rt:remove_menu_entry(menu_entry.bk35) end


    --Has & Remove Menu BLUE bl
    menu_entry.bl01 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:1.-Main Group:Blue 1MGr x 2Gr [2SGr x 2Tr]"  if rt:has_menu_entry(menu_entry.bl01) then rt:remove_menu_entry(menu_entry.bl01) end
    menu_entry.bl02 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:1.-Main Group:Blue 1MGr x 2Gr [2SGr x 3Tr]"  if rt:has_menu_entry(menu_entry.bl02) then rt:remove_menu_entry(menu_entry.bl02) end
    menu_entry.bl03 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:1.-Main Group:Blue 1MGr x 2Gr [2SGr x 4Tr]"  if rt:has_menu_entry(menu_entry.bl03) then rt:remove_menu_entry(menu_entry.bl03) end
    menu_entry.bl04 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:1.-Main Group:Blue 1MGr x 2Gr [2SGr x 5Tr]"  if rt:has_menu_entry(menu_entry.bl04) then rt:remove_menu_entry(menu_entry.bl04) end
    menu_entry.bl05 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:1.-Main Group:Blue 1MGr x 2Gr [2SGr x 6Tr]"  if rt:has_menu_entry(menu_entry.bl05) then rt:remove_menu_entry(menu_entry.bl05) end
    menu_entry.bl06 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:1.-Main Group:Blue 1MGr x 2Gr [2SGr x 7Tr]"  if rt:has_menu_entry(menu_entry.bl06) then rt:remove_menu_entry(menu_entry.bl06) end
    menu_entry.bl07 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:1.-Main Group:Blue 1MGr x 2Gr [2SGr x 8Tr]"  if rt:has_menu_entry(menu_entry.bl07) then rt:remove_menu_entry(menu_entry.bl07) end
    menu_entry.bl08 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:1.-Main Group:Blue 1 Main Group"             if rt:has_menu_entry(menu_entry.bl08) then rt:remove_menu_entry(menu_entry.bl08) end

    menu_entry.bl09 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:2.-Groups:Blue 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.bl09) then rt:remove_menu_entry(menu_entry.bl09) end
    menu_entry.bl10 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:2.-Groups:Blue 4Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.bl10) then rt:remove_menu_entry(menu_entry.bl10) end
    menu_entry.bl11 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:2.-Groups:Blue 2Gr [2SGr x 3Tr]"             if rt:has_menu_entry(menu_entry.bl11) then rt:remove_menu_entry(menu_entry.bl11) end
    menu_entry.bl12 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:2.-Groups:Blue 2Gr [2SGr x 4Tr]"             if rt:has_menu_entry(menu_entry.bl12) then rt:remove_menu_entry(menu_entry.bl12) end
    menu_entry.bl13 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:2.-Groups:Blue 2Gr [2SGr x 5Tr]"             if rt:has_menu_entry(menu_entry.bl13) then rt:remove_menu_entry(menu_entry.bl13) end
    menu_entry.bl14 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:2.-Groups:Blue 2Gr [2SGr x 6Tr]"             if rt:has_menu_entry(menu_entry.bl14) then rt:remove_menu_entry(menu_entry.bl14) end
    menu_entry.bl15 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:2.-Groups:Blue 2Gr [2SGr x 7Tr]"             if rt:has_menu_entry(menu_entry.bl15) then rt:remove_menu_entry(menu_entry.bl15) end
    menu_entry.bl16 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:2.-Groups:Blue 2Gr [2SGr x 8Tr]"             if rt:has_menu_entry(menu_entry.bl16) then rt:remove_menu_entry(menu_entry.bl16) end
    menu_entry.bl17 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:2.-Groups:Blue 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.bl17) then rt:remove_menu_entry(menu_entry.bl17) end
    menu_entry.bl18 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:2.-Groups:Blue 1 Group"                      if rt:has_menu_entry(menu_entry.bl18) then rt:remove_menu_entry(menu_entry.bl18) end

    menu_entry.bl19 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:3.-SubGroups:Blue 4SGr x 2Tr"                if rt:has_menu_entry(menu_entry.bl19) then rt:remove_menu_entry(menu_entry.bl19) end
    menu_entry.bl20 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:3.-SubGroups:Blue 4SGr x 3Tr"                if rt:has_menu_entry(menu_entry.bl20) then rt:remove_menu_entry(menu_entry.bl20) end
    menu_entry.bl21 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:3.-SubGroups:Blue 4SGr x 4Tr"                if rt:has_menu_entry(menu_entry.bl21) then rt:remove_menu_entry(menu_entry.bl21) end
    menu_entry.bl22 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:3.-SubGroups:Blue 4SGr x 5Tr"                if rt:has_menu_entry(menu_entry.bl22) then rt:remove_menu_entry(menu_entry.bl22) end
    menu_entry.bl23 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:3.-SubGroups:Blue 4SGr x 6Tr"                if rt:has_menu_entry(menu_entry.bl23) then rt:remove_menu_entry(menu_entry.bl23) end
    menu_entry.bl24 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:3.-SubGroups:Blue 2SGr x 6Tr"                if rt:has_menu_entry(menu_entry.bl24) then rt:remove_menu_entry(menu_entry.bl24) end
    menu_entry.bl25 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:3.-SubGroups:Blue 4SGr x 7Tr"                if rt:has_menu_entry(menu_entry.bl25) then rt:remove_menu_entry(menu_entry.bl25) end
    menu_entry.bl26 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:3.-SubGroups:Blue 4SGr x 8Tr"                if rt:has_menu_entry(menu_entry.bl26) then rt:remove_menu_entry(menu_entry.bl26) end
    menu_entry.bl27 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:3.-SubGroups:Blue 2SGr x 8Tr"                if rt:has_menu_entry(menu_entry.bl27) then rt:remove_menu_entry(menu_entry.bl27) end
    menu_entry.bl28 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:3.-SubGroups:Blue 1SGr x 8Tr"                if rt:has_menu_entry(menu_entry.bl28) then rt:remove_menu_entry(menu_entry.bl28) end

    menu_entry.bl29 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:4.-Tracks:Blue 2Tr"                          if rt:has_menu_entry(menu_entry.bl29) then rt:remove_menu_entry(menu_entry.bl29) end
    menu_entry.bl30 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:4.-Tracks:Blue 4Tr"                          if rt:has_menu_entry(menu_entry.bl30) then rt:remove_menu_entry(menu_entry.bl30) end
    menu_entry.bl31 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:4.-Tracks:Blue 4Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.bl31) then rt:remove_menu_entry(menu_entry.bl31) end
    menu_entry.bl32 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:4.-Tracks:Blue 6Tr"                          if rt:has_menu_entry(menu_entry.bl32) then rt:remove_menu_entry(menu_entry.bl32) end
    menu_entry.bl33 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:4.-Tracks:Blue 8Tr"                          if rt:has_menu_entry(menu_entry.bl33) then rt:remove_menu_entry(menu_entry.bl33) end
    menu_entry.bl34 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:4.-Tracks:Blue 8Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.bl34) then rt:remove_menu_entry(menu_entry.bl34) end
    menu_entry.bl35 = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:4.-Tracks:Blue 1AuxTr"                       if rt:has_menu_entry(menu_entry.bl35) then rt:remove_menu_entry(menu_entry.bl35) end


    --Has & Remove Menu BROWN br
    menu_entry.br01 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:1.-Main Group:Brown 1MGr x 2Gr [2SGr x 2Tr]"  if rt:has_menu_entry(menu_entry.br01) then rt:remove_menu_entry(menu_entry.br01) end
    menu_entry.br02 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:1.-Main Group:Brown 1MGr x 2Gr [2SGr x 3Tr]"  if rt:has_menu_entry(menu_entry.br02) then rt:remove_menu_entry(menu_entry.br02) end
    menu_entry.br03 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:1.-Main Group:Brown 1MGr x 2Gr [2SGr x 4Tr]"  if rt:has_menu_entry(menu_entry.br03) then rt:remove_menu_entry(menu_entry.br03) end
    menu_entry.br04 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:1.-Main Group:Brown 1MGr x 2Gr [2SGr x 5Tr]"  if rt:has_menu_entry(menu_entry.br04) then rt:remove_menu_entry(menu_entry.br04) end
    menu_entry.br05 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:1.-Main Group:Brown 1MGr x 2Gr [2SGr x 6Tr]"  if rt:has_menu_entry(menu_entry.br05) then rt:remove_menu_entry(menu_entry.br05) end
    menu_entry.br06 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:1.-Main Group:Brown 1MGr x 2Gr [2SGr x 7Tr]"  if rt:has_menu_entry(menu_entry.br06) then rt:remove_menu_entry(menu_entry.br06) end
    menu_entry.br07 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:1.-Main Group:Brown 1MGr x 2Gr [2SGr x 8Tr]"  if rt:has_menu_entry(menu_entry.br07) then rt:remove_menu_entry(menu_entry.br07) end
    menu_entry.br08 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:1.-Main Group:Brown 1 Main Group"             if rt:has_menu_entry(menu_entry.br08) then rt:remove_menu_entry(menu_entry.br08) end

    menu_entry.br09 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:2.-Groups:Brown 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.br09) then rt:remove_menu_entry(menu_entry.br09) end
    menu_entry.br10 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:2.-Groups:Brown 4Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.br10) then rt:remove_menu_entry(menu_entry.br10) end
    menu_entry.br11 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:2.-Groups:Brown 2Gr [2SGr x 3Tr]"             if rt:has_menu_entry(menu_entry.br11) then rt:remove_menu_entry(menu_entry.br11) end
    menu_entry.br12 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:2.-Groups:Brown 2Gr [2SGr x 4Tr]"             if rt:has_menu_entry(menu_entry.br12) then rt:remove_menu_entry(menu_entry.br12) end
    menu_entry.br13 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:2.-Groups:Brown 2Gr [2SGr x 5Tr]"             if rt:has_menu_entry(menu_entry.br13) then rt:remove_menu_entry(menu_entry.br13) end
    menu_entry.br14 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:2.-Groups:Brown 2Gr [2SGr x 6Tr]"             if rt:has_menu_entry(menu_entry.br14) then rt:remove_menu_entry(menu_entry.br14) end
    menu_entry.br15 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:2.-Groups:Brown 2Gr [2SGr x 7Tr]"             if rt:has_menu_entry(menu_entry.br15) then rt:remove_menu_entry(menu_entry.br15) end
    menu_entry.br16 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:2.-Groups:Brown 2Gr [2SGr x 8Tr]"             if rt:has_menu_entry(menu_entry.br16) then rt:remove_menu_entry(menu_entry.br16) end
    menu_entry.br17 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:2.-Groups:Brown 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.br17) then rt:remove_menu_entry(menu_entry.br17) end
    menu_entry.br18 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:2.-Groups:Brown 1 Group"                      if rt:has_menu_entry(menu_entry.br18) then rt:remove_menu_entry(menu_entry.br18) end

    menu_entry.br19 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:3.-SubGroups:Brown 4SGr x 2Tr"                if rt:has_menu_entry(menu_entry.br19) then rt:remove_menu_entry(menu_entry.br19) end
    menu_entry.br20 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:3.-SubGroups:Brown 4SGr x 3Tr"                if rt:has_menu_entry(menu_entry.br20) then rt:remove_menu_entry(menu_entry.br20) end
    menu_entry.br21 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:3.-SubGroups:Brown 4SGr x 4Tr"                if rt:has_menu_entry(menu_entry.br21) then rt:remove_menu_entry(menu_entry.br21) end
    menu_entry.br22 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:3.-SubGroups:Brown 4SGr x 5Tr"                if rt:has_menu_entry(menu_entry.br22) then rt:remove_menu_entry(menu_entry.br22) end
    menu_entry.br23 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:3.-SubGroups:Brown 4SGr x 6Tr"                if rt:has_menu_entry(menu_entry.br23) then rt:remove_menu_entry(menu_entry.br23) end
    menu_entry.br24 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:3.-SubGroups:Brown 2SGr x 6Tr"                if rt:has_menu_entry(menu_entry.br24) then rt:remove_menu_entry(menu_entry.br24) end
    menu_entry.br25 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:3.-SubGroups:Brown 4SGr x 7Tr"                if rt:has_menu_entry(menu_entry.br25) then rt:remove_menu_entry(menu_entry.br25) end
    menu_entry.br26 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:3.-SubGroups:Brown 4SGr x 8Tr"                if rt:has_menu_entry(menu_entry.br26) then rt:remove_menu_entry(menu_entry.br26) end
    menu_entry.br27 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:3.-SubGroups:Brown 2SGr x 8Tr"                if rt:has_menu_entry(menu_entry.br27) then rt:remove_menu_entry(menu_entry.br27) end
    menu_entry.br28 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:3.-SubGroups:Brown 1SGr x 8Tr"                if rt:has_menu_entry(menu_entry.br28) then rt:remove_menu_entry(menu_entry.br28) end

    menu_entry.br29 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:4.-Tracks:Brown 2Tr"                          if rt:has_menu_entry(menu_entry.br29) then rt:remove_menu_entry(menu_entry.br29) end
    menu_entry.br30 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:4.-Tracks:Brown 4Tr"                          if rt:has_menu_entry(menu_entry.br30) then rt:remove_menu_entry(menu_entry.br30) end
    menu_entry.br31 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:4.-Tracks:Brown 4Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.br31) then rt:remove_menu_entry(menu_entry.br31) end
    menu_entry.br32 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:4.-Tracks:Brown 6Tr"                          if rt:has_menu_entry(menu_entry.br32) then rt:remove_menu_entry(menu_entry.br32) end
    menu_entry.br33 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:4.-Tracks:Brown 8Tr"                          if rt:has_menu_entry(menu_entry.br33) then rt:remove_menu_entry(menu_entry.br33) end
    menu_entry.br34 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:4.-Tracks:Brown 8Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.br34) then rt:remove_menu_entry(menu_entry.br34) end
    menu_entry.br35 = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:4.-Tracks:Brown 1AuxTr"                       if rt:has_menu_entry(menu_entry.br35) then rt:remove_menu_entry(menu_entry.br35) end


    --Has & Remove Menu GOLD gl
    menu_entry.gl01 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:1.-Main Group:Gold 1MGr x 2Gr [2SGr x 2Tr]"  if rt:has_menu_entry(menu_entry.gl01) then rt:remove_menu_entry(menu_entry.gl01) end
    menu_entry.gl02 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:1.-Main Group:Gold 1MGr x 2Gr [2SGr x 3Tr]"  if rt:has_menu_entry(menu_entry.gl02) then rt:remove_menu_entry(menu_entry.gl02) end
    menu_entry.gl03 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:1.-Main Group:Gold 1MGr x 2Gr [2SGr x 4Tr]"  if rt:has_menu_entry(menu_entry.gl03) then rt:remove_menu_entry(menu_entry.gl03) end
    menu_entry.gl04 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:1.-Main Group:Gold 1MGr x 2Gr [2SGr x 5Tr]"  if rt:has_menu_entry(menu_entry.gl04) then rt:remove_menu_entry(menu_entry.gl04) end
    menu_entry.gl05 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:1.-Main Group:Gold 1MGr x 2Gr [2SGr x 6Tr]"  if rt:has_menu_entry(menu_entry.gl05) then rt:remove_menu_entry(menu_entry.gl05) end
    menu_entry.gl06 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:1.-Main Group:Gold 1MGr x 2Gr [2SGr x 7Tr]"  if rt:has_menu_entry(menu_entry.gl06) then rt:remove_menu_entry(menu_entry.gl06) end
    menu_entry.gl07 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:1.-Main Group:Gold 1MGr x 2Gr [2SGr x 8Tr]"  if rt:has_menu_entry(menu_entry.gl07) then rt:remove_menu_entry(menu_entry.gl07) end
    menu_entry.gl08 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:1.-Main Group:Gold 1 Main Group"             if rt:has_menu_entry(menu_entry.gl08) then rt:remove_menu_entry(menu_entry.gl08) end

    menu_entry.gl09 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:2.-Groups:Gold 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.gl09) then rt:remove_menu_entry(menu_entry.gl09) end
    menu_entry.gl10 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:2.-Groups:Gold 4Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.gl10) then rt:remove_menu_entry(menu_entry.gl10) end
    menu_entry.gl11 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:2.-Groups:Gold 2Gr [2SGr x 3Tr]"             if rt:has_menu_entry(menu_entry.gl11) then rt:remove_menu_entry(menu_entry.gl11) end
    menu_entry.gl12 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:2.-Groups:Gold 2Gr [2SGr x 4Tr]"             if rt:has_menu_entry(menu_entry.gl12) then rt:remove_menu_entry(menu_entry.gl12) end
    menu_entry.gl13 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:2.-Groups:Gold 2Gr [2SGr x 5Tr]"             if rt:has_menu_entry(menu_entry.gl13) then rt:remove_menu_entry(menu_entry.gl13) end
    menu_entry.gl14 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:2.-Groups:Gold 2Gr [2SGr x 6Tr]"             if rt:has_menu_entry(menu_entry.gl14) then rt:remove_menu_entry(menu_entry.gl14) end
    menu_entry.gl15 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:2.-Groups:Gold 2Gr [2SGr x 7Tr]"             if rt:has_menu_entry(menu_entry.gl15) then rt:remove_menu_entry(menu_entry.gl15) end
    menu_entry.gl16 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:2.-Groups:Gold 2Gr [2SGr x 8Tr]"             if rt:has_menu_entry(menu_entry.gl16) then rt:remove_menu_entry(menu_entry.gl16) end
    menu_entry.gl17 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:2.-Groups:Gold 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.gl17) then rt:remove_menu_entry(menu_entry.gl17) end
    menu_entry.gl18 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:2.-Groups:Gold 1 Group"                      if rt:has_menu_entry(menu_entry.gl18) then rt:remove_menu_entry(menu_entry.gl18) end

    menu_entry.gl19 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:3.-SubGroups:Gold 4SGr x 2Tr"                if rt:has_menu_entry(menu_entry.gl19) then rt:remove_menu_entry(menu_entry.gl19) end
    menu_entry.gl20 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:3.-SubGroups:Gold 4SGr x 3Tr"                if rt:has_menu_entry(menu_entry.gl20) then rt:remove_menu_entry(menu_entry.gl20) end
    menu_entry.gl21 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:3.-SubGroups:Gold 4SGr x 4Tr"                if rt:has_menu_entry(menu_entry.gl21) then rt:remove_menu_entry(menu_entry.gl21) end
    menu_entry.gl22 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:3.-SubGroups:Gold 4SGr x 5Tr"                if rt:has_menu_entry(menu_entry.gl22) then rt:remove_menu_entry(menu_entry.gl22) end
    menu_entry.gl23 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:3.-SubGroups:Gold 4SGr x 6Tr"                if rt:has_menu_entry(menu_entry.gl23) then rt:remove_menu_entry(menu_entry.gl23) end
    menu_entry.gl24 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:3.-SubGroups:Gold 2SGr x 6Tr"                if rt:has_menu_entry(menu_entry.gl24) then rt:remove_menu_entry(menu_entry.gl24) end
    menu_entry.gl25 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:3.-SubGroups:Gold 4SGr x 7Tr"                if rt:has_menu_entry(menu_entry.gl25) then rt:remove_menu_entry(menu_entry.gl25) end
    menu_entry.gl26 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:3.-SubGroups:Gold 4SGr x 8Tr"                if rt:has_menu_entry(menu_entry.gl26) then rt:remove_menu_entry(menu_entry.gl26) end
    menu_entry.gl27 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:3.-SubGroups:Gold 2SGr x 8Tr"                if rt:has_menu_entry(menu_entry.gl27) then rt:remove_menu_entry(menu_entry.gl27) end
    menu_entry.gl28 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:3.-SubGroups:Gold 1SGr x 8Tr"                if rt:has_menu_entry(menu_entry.gl28) then rt:remove_menu_entry(menu_entry.gl28) end

    menu_entry.gl29 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:4.-Tracks:Gold 2Tr"                          if rt:has_menu_entry(menu_entry.gl29) then rt:remove_menu_entry(menu_entry.gl29) end
    menu_entry.gl30 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:4.-Tracks:Gold 4Tr"                          if rt:has_menu_entry(menu_entry.gl30) then rt:remove_menu_entry(menu_entry.gl30) end
    menu_entry.gl31 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:4.-Tracks:Gold 4Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.gl31) then rt:remove_menu_entry(menu_entry.gl31) end
    menu_entry.gl32 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:4.-Tracks:Gold 6Tr"                          if rt:has_menu_entry(menu_entry.gl32) then rt:remove_menu_entry(menu_entry.gl32) end
    menu_entry.gl33 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:4.-Tracks:Gold 8Tr"                          if rt:has_menu_entry(menu_entry.gl33) then rt:remove_menu_entry(menu_entry.gl33) end
    menu_entry.gl34 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:4.-Tracks:Gold 8Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.gl34) then rt:remove_menu_entry(menu_entry.gl34) end
    menu_entry.gl35 = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:4.-Tracks:Gold 1AuxTr"                       if rt:has_menu_entry(menu_entry.gl35) then rt:remove_menu_entry(menu_entry.gl35) end


    --Has & Remove Menu GRAY gy
    menu_entry.gy01 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:1.-Main Group:Gray 1MGr x 2Gr [2SGr x 2Tr]"  if rt:has_menu_entry(menu_entry.gy01) then rt:remove_menu_entry(menu_entry.gy01) end
    menu_entry.gy02 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:1.-Main Group:Gray 1MGr x 2Gr [2SGr x 3Tr]"  if rt:has_menu_entry(menu_entry.gy02) then rt:remove_menu_entry(menu_entry.gy02) end
    menu_entry.gy03 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:1.-Main Group:Gray 1MGr x 2Gr [2SGr x 4Tr]"  if rt:has_menu_entry(menu_entry.gy03) then rt:remove_menu_entry(menu_entry.gy03) end
    menu_entry.gy04 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:1.-Main Group:Gray 1MGr x 2Gr [2SGr x 5Tr]"  if rt:has_menu_entry(menu_entry.gy04) then rt:remove_menu_entry(menu_entry.gy04) end
    menu_entry.gy05 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:1.-Main Group:Gray 1MGr x 2Gr [2SGr x 6Tr]"  if rt:has_menu_entry(menu_entry.gy05) then rt:remove_menu_entry(menu_entry.gy05) end
    menu_entry.gy06 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:1.-Main Group:Gray 1MGr x 2Gr [2SGr x 7Tr]"  if rt:has_menu_entry(menu_entry.gy06) then rt:remove_menu_entry(menu_entry.gy06) end
    menu_entry.gy07 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:1.-Main Group:Gray 1MGr x 2Gr [2SGr x 8Tr]"  if rt:has_menu_entry(menu_entry.gy07) then rt:remove_menu_entry(menu_entry.gy07) end
    menu_entry.gy08 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:1.-Main Group:Gray 1 Main Group"             if rt:has_menu_entry(menu_entry.gy08) then rt:remove_menu_entry(menu_entry.gy08) end

    menu_entry.gy09 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:2.-Groups:Gray 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.gy09) then rt:remove_menu_entry(menu_entry.gy09) end
    menu_entry.gy10 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:2.-Groups:Gray 4Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.gy10) then rt:remove_menu_entry(menu_entry.gy10) end
    menu_entry.gy11 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:2.-Groups:Gray 2Gr [2SGr x 3Tr]"             if rt:has_menu_entry(menu_entry.gy11) then rt:remove_menu_entry(menu_entry.gy11) end
    menu_entry.gy12 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:2.-Groups:Gray 2Gr [2SGr x 4Tr]"             if rt:has_menu_entry(menu_entry.gy12) then rt:remove_menu_entry(menu_entry.gy12) end
    menu_entry.gy13 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:2.-Groups:Gray 2Gr [2SGr x 5Tr]"             if rt:has_menu_entry(menu_entry.gy13) then rt:remove_menu_entry(menu_entry.gy13) end
    menu_entry.gy14 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:2.-Groups:Gray 2Gr [2SGr x 6Tr]"             if rt:has_menu_entry(menu_entry.gy14) then rt:remove_menu_entry(menu_entry.gy14) end
    menu_entry.gy15 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:2.-Groups:Gray 2Gr [2SGr x 7Tr]"             if rt:has_menu_entry(menu_entry.gy15) then rt:remove_menu_entry(menu_entry.gy15) end
    menu_entry.gy16 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:2.-Groups:Gray 2Gr [2SGr x 8Tr]"             if rt:has_menu_entry(menu_entry.gy16) then rt:remove_menu_entry(menu_entry.gy16) end
    menu_entry.gy17 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:2.-Groups:Gray 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.gy17) then rt:remove_menu_entry(menu_entry.gy17) end
    menu_entry.gy18 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:2.-Groups:Gray 1 Group"                      if rt:has_menu_entry(menu_entry.gy18) then rt:remove_menu_entry(menu_entry.gy18) end

    menu_entry.gy19 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:3.-SubGroups:Gray 4SGr x 2Tr"                if rt:has_menu_entry(menu_entry.gy19) then rt:remove_menu_entry(menu_entry.gy19) end
    menu_entry.gy20 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:3.-SubGroups:Gray 4SGr x 3Tr"                if rt:has_menu_entry(menu_entry.gy20) then rt:remove_menu_entry(menu_entry.gy20) end
    menu_entry.gy21 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:3.-SubGroups:Gray 4SGr x 4Tr"                if rt:has_menu_entry(menu_entry.gy21) then rt:remove_menu_entry(menu_entry.gy21) end
    menu_entry.gy22 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:3.-SubGroups:Gray 4SGr x 5Tr"                if rt:has_menu_entry(menu_entry.gy22) then rt:remove_menu_entry(menu_entry.gy22) end
    menu_entry.gy23 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:3.-SubGroups:Gray 4SGr x 6Tr"                if rt:has_menu_entry(menu_entry.gy23) then rt:remove_menu_entry(menu_entry.gy23) end
    menu_entry.gy24 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:3.-SubGroups:Gray 2SGr x 6Tr"                if rt:has_menu_entry(menu_entry.gy24) then rt:remove_menu_entry(menu_entry.gy24) end
    menu_entry.gy25 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:3.-SubGroups:Gray 4SGr x 7Tr"                if rt:has_menu_entry(menu_entry.gy25) then rt:remove_menu_entry(menu_entry.gy25) end
    menu_entry.gy26 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:3.-SubGroups:Gray 4SGr x 8Tr"                if rt:has_menu_entry(menu_entry.gy26) then rt:remove_menu_entry(menu_entry.gy26) end
    menu_entry.gy27 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:3.-SubGroups:Gray 2SGr x 8Tr"                if rt:has_menu_entry(menu_entry.gy27) then rt:remove_menu_entry(menu_entry.gy27) end
    menu_entry.gy28 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:3.-SubGroups:Gray 1SGr x 8Tr"                if rt:has_menu_entry(menu_entry.gy28) then rt:remove_menu_entry(menu_entry.gy28) end

    menu_entry.gy29 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:4.-Tracks:Gray 2Tr"                          if rt:has_menu_entry(menu_entry.gy29) then rt:remove_menu_entry(menu_entry.gy29) end
    menu_entry.gy30 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:4.-Tracks:Gray 4Tr"                          if rt:has_menu_entry(menu_entry.gy30) then rt:remove_menu_entry(menu_entry.gy30) end
    menu_entry.gy31 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:4.-Tracks:Gray 4Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.gy31) then rt:remove_menu_entry(menu_entry.gy31) end
    menu_entry.gy32 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:4.-Tracks:Gray 6Tr"                          if rt:has_menu_entry(menu_entry.gy32) then rt:remove_menu_entry(menu_entry.gy32) end
    menu_entry.gy33 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:4.-Tracks:Gray 8Tr"                          if rt:has_menu_entry(menu_entry.gy33) then rt:remove_menu_entry(menu_entry.gy33) end
    menu_entry.gy34 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:4.-Tracks:Gray 8Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.gy34) then rt:remove_menu_entry(menu_entry.gy34) end
    menu_entry.gy35 = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:4.-Tracks:Gray 1AuxTr"                       if rt:has_menu_entry(menu_entry.gy35) then rt:remove_menu_entry(menu_entry.gy35) end


    --Has & Remove Menu GREEN gr
    menu_entry.gr01 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:1.-Main Group:Green 1MGr x 2Gr [2SGr x 2Tr]"  if rt:has_menu_entry(menu_entry.gr01) then rt:remove_menu_entry(menu_entry.gr01) end
    menu_entry.gr02 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:1.-Main Group:Green 1MGr x 2Gr [2SGr x 3Tr]"  if rt:has_menu_entry(menu_entry.gr02) then rt:remove_menu_entry(menu_entry.gr02) end
    menu_entry.gr03 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:1.-Main Group:Green 1MGr x 2Gr [2SGr x 4Tr]"  if rt:has_menu_entry(menu_entry.gr03) then rt:remove_menu_entry(menu_entry.gr03) end
    menu_entry.gr04 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:1.-Main Group:Green 1MGr x 2Gr [2SGr x 5Tr]"  if rt:has_menu_entry(menu_entry.gr04) then rt:remove_menu_entry(menu_entry.gr04) end
    menu_entry.gr05 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:1.-Main Group:Green 1MGr x 2Gr [2SGr x 6Tr]"  if rt:has_menu_entry(menu_entry.gr05) then rt:remove_menu_entry(menu_entry.gr05) end
    menu_entry.gr06 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:1.-Main Group:Green 1MGr x 2Gr [2SGr x 7Tr]"  if rt:has_menu_entry(menu_entry.gr06) then rt:remove_menu_entry(menu_entry.gr06) end
    menu_entry.gr07 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:1.-Main Group:Green 1MGr x 2Gr [2SGr x 8Tr]"  if rt:has_menu_entry(menu_entry.gr07) then rt:remove_menu_entry(menu_entry.gr07) end
    menu_entry.gr08 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:1.-Main Group:Green 1 Main Group"             if rt:has_menu_entry(menu_entry.gr08) then rt:remove_menu_entry(menu_entry.gr08) end

    menu_entry.gr09 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:2.-Groups:Green 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.gr09) then rt:remove_menu_entry(menu_entry.gr09) end
    menu_entry.gr10 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:2.-Groups:Green 4Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.gr10) then rt:remove_menu_entry(menu_entry.gr10) end
    menu_entry.gr11 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:2.-Groups:Green 2Gr [2SGr x 3Tr]"             if rt:has_menu_entry(menu_entry.gr11) then rt:remove_menu_entry(menu_entry.gr11) end
    menu_entry.gr12 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:2.-Groups:Green 2Gr [2SGr x 4Tr]"             if rt:has_menu_entry(menu_entry.gr12) then rt:remove_menu_entry(menu_entry.gr12) end
    menu_entry.gr13 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:2.-Groups:Green 2Gr [2SGr x 5Tr]"             if rt:has_menu_entry(menu_entry.gr13) then rt:remove_menu_entry(menu_entry.gr13) end
    menu_entry.gr14 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:2.-Groups:Green 2Gr [2SGr x 6Tr]"             if rt:has_menu_entry(menu_entry.gr14) then rt:remove_menu_entry(menu_entry.gr14) end
    menu_entry.gr15 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:2.-Groups:Green 2Gr [2SGr x 7Tr]"             if rt:has_menu_entry(menu_entry.gr15) then rt:remove_menu_entry(menu_entry.gr15) end
    menu_entry.gr16 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:2.-Groups:Green 2Gr [2SGr x 8Tr]"             if rt:has_menu_entry(menu_entry.gr16) then rt:remove_menu_entry(menu_entry.gr16) end
    menu_entry.gr17 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:2.-Groups:Green 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.gr17) then rt:remove_menu_entry(menu_entry.gr17) end
    menu_entry.gr18 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:2.-Groups:Green 1 Group"                      if rt:has_menu_entry(menu_entry.gr18) then rt:remove_menu_entry(menu_entry.gr18) end

    menu_entry.gr19 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:3.-SubGroups:Green 4SGr x 2Tr"                if rt:has_menu_entry(menu_entry.gr19) then rt:remove_menu_entry(menu_entry.gr19) end
    menu_entry.gr20 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:3.-SubGroups:Green 4SGr x 3Tr"                if rt:has_menu_entry(menu_entry.gr20) then rt:remove_menu_entry(menu_entry.gr20) end
    menu_entry.gr21 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:3.-SubGroups:Green 4SGr x 4Tr"                if rt:has_menu_entry(menu_entry.gr21) then rt:remove_menu_entry(menu_entry.gr21) end
    menu_entry.gr22 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:3.-SubGroups:Green 4SGr x 5Tr"                if rt:has_menu_entry(menu_entry.gr22) then rt:remove_menu_entry(menu_entry.gr22) end
    menu_entry.gr23 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:3.-SubGroups:Green 4SGr x 6Tr"                if rt:has_menu_entry(menu_entry.gr23) then rt:remove_menu_entry(menu_entry.gr23) end
    menu_entry.gr24 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:3.-SubGroups:Green 2SGr x 6Tr"                if rt:has_menu_entry(menu_entry.gr24) then rt:remove_menu_entry(menu_entry.gr24) end
    menu_entry.gr25 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:3.-SubGroups:Green 4SGr x 7Tr"                if rt:has_menu_entry(menu_entry.gr25) then rt:remove_menu_entry(menu_entry.gr25) end
    menu_entry.gr26 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:3.-SubGroups:Green 4SGr x 8Tr"                if rt:has_menu_entry(menu_entry.gr26) then rt:remove_menu_entry(menu_entry.gr26) end
    menu_entry.gr27 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:3.-SubGroups:Green 2SGr x 8Tr"                if rt:has_menu_entry(menu_entry.gr27) then rt:remove_menu_entry(menu_entry.gr27) end
    menu_entry.gr28 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:3.-SubGroups:Green 1SGr x 8Tr"                if rt:has_menu_entry(menu_entry.gr28) then rt:remove_menu_entry(menu_entry.gr28) end

    menu_entry.gr29 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:4.-Tracks:Green 2Tr"                          if rt:has_menu_entry(menu_entry.gr29) then rt:remove_menu_entry(menu_entry.gr29) end
    menu_entry.gr30 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:4.-Tracks:Green 4Tr"                          if rt:has_menu_entry(menu_entry.gr30) then rt:remove_menu_entry(menu_entry.gr30) end
    menu_entry.gr31 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:4.-Tracks:Green 4Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.gr31) then rt:remove_menu_entry(menu_entry.gr31) end
    menu_entry.gr32 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:4.-Tracks:Green 6Tr"                          if rt:has_menu_entry(menu_entry.gr32) then rt:remove_menu_entry(menu_entry.gr32) end
    menu_entry.gr33 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:4.-Tracks:Green 8Tr"                          if rt:has_menu_entry(menu_entry.gr33) then rt:remove_menu_entry(menu_entry.gr33) end
    menu_entry.gr34 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:4.-Tracks:Green 8Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.gr34) then rt:remove_menu_entry(menu_entry.gr34) end
    menu_entry.gr35 = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:4.-Tracks:Green 1AuxTr"                       if rt:has_menu_entry(menu_entry.gr35) then rt:remove_menu_entry(menu_entry.gr35) end


    --Has & Remove Menu ORANGE or
    menu_entry.or01 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:1.-Main Group:Orange 1MGr x 2Gr [2SGr x 2Tr]"  if rt:has_menu_entry(menu_entry.or01) then rt:remove_menu_entry(menu_entry.or01) end
    menu_entry.or02 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:1.-Main Group:Orange 1MGr x 2Gr [2SGr x 3Tr]"  if rt:has_menu_entry(menu_entry.or02) then rt:remove_menu_entry(menu_entry.or02) end
    menu_entry.or03 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:1.-Main Group:Orange 1MGr x 2Gr [2SGr x 4Tr]"  if rt:has_menu_entry(menu_entry.or03) then rt:remove_menu_entry(menu_entry.or03) end
    menu_entry.or04 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:1.-Main Group:Orange 1MGr x 2Gr [2SGr x 5Tr]"  if rt:has_menu_entry(menu_entry.or04) then rt:remove_menu_entry(menu_entry.or04) end
    menu_entry.or05 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:1.-Main Group:Orange 1MGr x 2Gr [2SGr x 6Tr]"  if rt:has_menu_entry(menu_entry.or05) then rt:remove_menu_entry(menu_entry.or05) end
    menu_entry.or06 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:1.-Main Group:Orange 1MGr x 2Gr [2SGr x 7Tr]"  if rt:has_menu_entry(menu_entry.or06) then rt:remove_menu_entry(menu_entry.or06) end
    menu_entry.or07 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:1.-Main Group:Orange 1MGr x 2Gr [2SGr x 8Tr]"  if rt:has_menu_entry(menu_entry.or07) then rt:remove_menu_entry(menu_entry.or07) end
    menu_entry.or08 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:1.-Main Group:Orange 1 Main Group"             if rt:has_menu_entry(menu_entry.or08) then rt:remove_menu_entry(menu_entry.or08) end

    menu_entry.or09 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:2.-Groups:Orange 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.or09) then rt:remove_menu_entry(menu_entry.or09) end
    menu_entry.or10 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:2.-Groups:Orange 4Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.or10) then rt:remove_menu_entry(menu_entry.or10) end
    menu_entry.or11 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:2.-Groups:Orange 2Gr [2SGr x 3Tr]"             if rt:has_menu_entry(menu_entry.or11) then rt:remove_menu_entry(menu_entry.or11) end
    menu_entry.or12 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:2.-Groups:Orange 2Gr [2SGr x 4Tr]"             if rt:has_menu_entry(menu_entry.or12) then rt:remove_menu_entry(menu_entry.or12) end
    menu_entry.or13 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:2.-Groups:Orange 2Gr [2SGr x 5Tr]"             if rt:has_menu_entry(menu_entry.or13) then rt:remove_menu_entry(menu_entry.or13) end
    menu_entry.or14 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:2.-Groups:Orange 2Gr [2SGr x 6Tr]"             if rt:has_menu_entry(menu_entry.or14) then rt:remove_menu_entry(menu_entry.or14) end
    menu_entry.or15 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:2.-Groups:Orange 2Gr [2SGr x 7Tr]"             if rt:has_menu_entry(menu_entry.or15) then rt:remove_menu_entry(menu_entry.or15) end
    menu_entry.or16 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:2.-Groups:Orange 2Gr [2SGr x 8Tr]"             if rt:has_menu_entry(menu_entry.or16) then rt:remove_menu_entry(menu_entry.or16) end
    menu_entry.or17 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:2.-Groups:Orange 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.or17) then rt:remove_menu_entry(menu_entry.or17) end
    menu_entry.or18 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:2.-Groups:Orange 1 Group"                      if rt:has_menu_entry(menu_entry.or18) then rt:remove_menu_entry(menu_entry.or18) end

    menu_entry.or19 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:3.-SubGroups:Orange 4SGr x 2Tr"                if rt:has_menu_entry(menu_entry.or19) then rt:remove_menu_entry(menu_entry.or19) end
    menu_entry.or20 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:3.-SubGroups:Orange 4SGr x 3Tr"                if rt:has_menu_entry(menu_entry.or20) then rt:remove_menu_entry(menu_entry.or20) end
    menu_entry.or21 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:3.-SubGroups:Orange 4SGr x 4Tr"                if rt:has_menu_entry(menu_entry.or21) then rt:remove_menu_entry(menu_entry.or21) end
    menu_entry.or22 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:3.-SubGroups:Orange 4SGr x 5Tr"                if rt:has_menu_entry(menu_entry.or22) then rt:remove_menu_entry(menu_entry.or22) end
    menu_entry.or23 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:3.-SubGroups:Orange 4SGr x 6Tr"                if rt:has_menu_entry(menu_entry.or23) then rt:remove_menu_entry(menu_entry.or23) end
    menu_entry.or24 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:3.-SubGroups:Orange 2SGr x 6Tr"                if rt:has_menu_entry(menu_entry.or24) then rt:remove_menu_entry(menu_entry.or24) end
    menu_entry.or25 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:3.-SubGroups:Orange 4SGr x 7Tr"                if rt:has_menu_entry(menu_entry.or25) then rt:remove_menu_entry(menu_entry.or25) end
    menu_entry.or26 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:3.-SubGroups:Orange 4SGr x 8Tr"                if rt:has_menu_entry(menu_entry.or26) then rt:remove_menu_entry(menu_entry.or26) end
    menu_entry.or27 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:3.-SubGroups:Orange 2SGr x 8Tr"                if rt:has_menu_entry(menu_entry.or27) then rt:remove_menu_entry(menu_entry.or27) end
    menu_entry.or28 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:3.-SubGroups:Orange 1SGr x 8Tr"                if rt:has_menu_entry(menu_entry.or28) then rt:remove_menu_entry(menu_entry.or28) end

    menu_entry.or29 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:4.-Tracks:Orange 2Tr"                          if rt:has_menu_entry(menu_entry.or29) then rt:remove_menu_entry(menu_entry.or29) end
    menu_entry.or30 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:4.-Tracks:Orange 4Tr"                          if rt:has_menu_entry(menu_entry.or30) then rt:remove_menu_entry(menu_entry.or30) end
    menu_entry.or31 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:4.-Tracks:Orange 4Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.or31) then rt:remove_menu_entry(menu_entry.or31) end
    menu_entry.or32 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:4.-Tracks:Orange 6Tr"                          if rt:has_menu_entry(menu_entry.or32) then rt:remove_menu_entry(menu_entry.or32) end
    menu_entry.or33 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:4.-Tracks:Orange 8Tr"                          if rt:has_menu_entry(menu_entry.or33) then rt:remove_menu_entry(menu_entry.or33) end
    menu_entry.or34 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:4.-Tracks:Orange 8Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.or34) then rt:remove_menu_entry(menu_entry.or34) end
    menu_entry.or35 = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:4.-Tracks:Orange 1AuxTr"                       if rt:has_menu_entry(menu_entry.or35) then rt:remove_menu_entry(menu_entry.or35) end


    --Has & Remove Menu PALE PINK pl
    menu_entry.pl01 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:1.-Main Group:Pale Pink 1MGr x 2Gr [2SGr x 2Tr]"  if rt:has_menu_entry(menu_entry.pl01) then rt:remove_menu_entry(menu_entry.pl01) end
    menu_entry.pl02 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:1.-Main Group:Pale Pink 1MGr x 2Gr [2SGr x 3Tr]"  if rt:has_menu_entry(menu_entry.pl02) then rt:remove_menu_entry(menu_entry.pl02) end
    menu_entry.pl03 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:1.-Main Group:Pale Pink 1MGr x 2Gr [2SGr x 4Tr]"  if rt:has_menu_entry(menu_entry.pl03) then rt:remove_menu_entry(menu_entry.pl03) end
    menu_entry.pl04 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:1.-Main Group:Pale Pink 1MGr x 2Gr [2SGr x 5Tr]"  if rt:has_menu_entry(menu_entry.pl04) then rt:remove_menu_entry(menu_entry.pl04) end
    menu_entry.pl05 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:1.-Main Group:Pale Pink 1MGr x 2Gr [2SGr x 6Tr]"  if rt:has_menu_entry(menu_entry.pl05) then rt:remove_menu_entry(menu_entry.pl05) end
    menu_entry.pl06 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:1.-Main Group:Pale Pink 1MGr x 2Gr [2SGr x 7Tr]"  if rt:has_menu_entry(menu_entry.pl06) then rt:remove_menu_entry(menu_entry.pl06) end
    menu_entry.pl07 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:1.-Main Group:Pale Pink 1MGr x 2Gr [2SGr x 8Tr]"  if rt:has_menu_entry(menu_entry.pl07) then rt:remove_menu_entry(menu_entry.pl07) end
    menu_entry.pl08 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:1.-Main Group:Pale Pink 1 Main Group"             if rt:has_menu_entry(menu_entry.pl08) then rt:remove_menu_entry(menu_entry.pl08) end

    menu_entry.pl09 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:2.-Groups:Pale Pink 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.pl09) then rt:remove_menu_entry(menu_entry.pl09) end
    menu_entry.pl10 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:2.-Groups:Pale Pink 4Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.pl10) then rt:remove_menu_entry(menu_entry.pl10) end
    menu_entry.pl11 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:2.-Groups:Pale Pink 2Gr [2SGr x 3Tr]"             if rt:has_menu_entry(menu_entry.pl11) then rt:remove_menu_entry(menu_entry.pl11) end
    menu_entry.pl12 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:2.-Groups:Pale Pink 2Gr [2SGr x 4Tr]"             if rt:has_menu_entry(menu_entry.pl12) then rt:remove_menu_entry(menu_entry.pl12) end
    menu_entry.pl13 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:2.-Groups:Pale Pink 2Gr [2SGr x 5Tr]"             if rt:has_menu_entry(menu_entry.pl13) then rt:remove_menu_entry(menu_entry.pl13) end
    menu_entry.pl14 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:2.-Groups:Pale Pink 2Gr [2SGr x 6Tr]"             if rt:has_menu_entry(menu_entry.pl14) then rt:remove_menu_entry(menu_entry.pl14) end
    menu_entry.pl15 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:2.-Groups:Pale Pink 2Gr [2SGr x 7Tr]"             if rt:has_menu_entry(menu_entry.pl15) then rt:remove_menu_entry(menu_entry.pl15) end
    menu_entry.pl16 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:2.-Groups:Pale Pink 2Gr [2SGr x 8Tr]"             if rt:has_menu_entry(menu_entry.pl16) then rt:remove_menu_entry(menu_entry.pl16) end
    menu_entry.pl17 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:2.-Groups:Pale Pink 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.pl17) then rt:remove_menu_entry(menu_entry.pl17) end
    menu_entry.pl18 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:2.-Groups:Pale Pink 1 Group"                      if rt:has_menu_entry(menu_entry.pl18) then rt:remove_menu_entry(menu_entry.pl18) end

    menu_entry.pl19 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:3.-SubGroups:Pale Pink 4SGr x 2Tr"                if rt:has_menu_entry(menu_entry.pl19) then rt:remove_menu_entry(menu_entry.pl19) end
    menu_entry.pl20 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:3.-SubGroups:Pale Pink 4SGr x 3Tr"                if rt:has_menu_entry(menu_entry.pl20) then rt:remove_menu_entry(menu_entry.pl20) end
    menu_entry.pl21 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:3.-SubGroups:Pale Pink 4SGr x 4Tr"                if rt:has_menu_entry(menu_entry.pl21) then rt:remove_menu_entry(menu_entry.pl21) end
    menu_entry.pl22 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:3.-SubGroups:Pale Pink 4SGr x 5Tr"                if rt:has_menu_entry(menu_entry.pl22) then rt:remove_menu_entry(menu_entry.pl22) end
    menu_entry.pl23 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:3.-SubGroups:Pale Pink 4SGr x 6Tr"                if rt:has_menu_entry(menu_entry.pl23) then rt:remove_menu_entry(menu_entry.pl23) end
    menu_entry.pl24 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:3.-SubGroups:Pale Pink 2SGr x 6Tr"                if rt:has_menu_entry(menu_entry.pl24) then rt:remove_menu_entry(menu_entry.pl24) end
    menu_entry.pl25 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:3.-SubGroups:Pale Pink 4SGr x 7Tr"                if rt:has_menu_entry(menu_entry.pl25) then rt:remove_menu_entry(menu_entry.pl25) end
    menu_entry.pl26 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:3.-SubGroups:Pale Pink 4SGr x 8Tr"                if rt:has_menu_entry(menu_entry.pl26) then rt:remove_menu_entry(menu_entry.pl26) end
    menu_entry.pl27 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:3.-SubGroups:Pale Pink 2SGr x 8Tr"                if rt:has_menu_entry(menu_entry.pl27) then rt:remove_menu_entry(menu_entry.pl27) end
    menu_entry.pl28 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:3.-SubGroups:Pale Pink 1SGr x 8Tr"                if rt:has_menu_entry(menu_entry.pl28) then rt:remove_menu_entry(menu_entry.pl28) end

    menu_entry.pl29 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:4.-Tracks:Pale Pink 2Tr"                          if rt:has_menu_entry(menu_entry.pl29) then rt:remove_menu_entry(menu_entry.pl29) end
    menu_entry.pl30 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:4.-Tracks:Pale Pink 4Tr"                          if rt:has_menu_entry(menu_entry.pl30) then rt:remove_menu_entry(menu_entry.pl30) end
    menu_entry.pl31 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:4.-Tracks:Pale Pink 4Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.pl31) then rt:remove_menu_entry(menu_entry.pl31) end
    menu_entry.pl32 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:4.-Tracks:Pale Pink 6Tr"                          if rt:has_menu_entry(menu_entry.pl32) then rt:remove_menu_entry(menu_entry.pl32) end
    menu_entry.pl33 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:4.-Tracks:Pale Pink 8Tr"                          if rt:has_menu_entry(menu_entry.pl33) then rt:remove_menu_entry(menu_entry.pl33) end
    menu_entry.pl34 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:4.-Tracks:Pale Pink 8Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.pl34) then rt:remove_menu_entry(menu_entry.pl34) end
    menu_entry.pl35 = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:4.-Tracks:Pale Pink 1AuxTr"                       if rt:has_menu_entry(menu_entry.pl35) then rt:remove_menu_entry(menu_entry.pl35) end


    --Has & Remove Menu PINK pn
    menu_entry.pn01 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:1.-Main Group:Pink 1MGr x 2Gr [2SGr x 2Tr]"  if rt:has_menu_entry(menu_entry.pn01) then rt:remove_menu_entry(menu_entry.pn01) end
    menu_entry.pn02 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:1.-Main Group:Pink 1MGr x 2Gr [2SGr x 3Tr]"  if rt:has_menu_entry(menu_entry.pn02) then rt:remove_menu_entry(menu_entry.pn02) end
    menu_entry.pn03 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:1.-Main Group:Pink 1MGr x 2Gr [2SGr x 4Tr]"  if rt:has_menu_entry(menu_entry.pn03) then rt:remove_menu_entry(menu_entry.pn03) end
    menu_entry.pn04 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:1.-Main Group:Pink 1MGr x 2Gr [2SGr x 5Tr]"  if rt:has_menu_entry(menu_entry.pn04) then rt:remove_menu_entry(menu_entry.pn04) end
    menu_entry.pn05 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:1.-Main Group:Pink 1MGr x 2Gr [2SGr x 6Tr]"  if rt:has_menu_entry(menu_entry.pn05) then rt:remove_menu_entry(menu_entry.pn05) end
    menu_entry.pn06 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:1.-Main Group:Pink 1MGr x 2Gr [2SGr x 7Tr]"  if rt:has_menu_entry(menu_entry.pn06) then rt:remove_menu_entry(menu_entry.pn06) end
    menu_entry.pn07 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:1.-Main Group:Pink 1MGr x 2Gr [2SGr x 8Tr]"  if rt:has_menu_entry(menu_entry.pn07) then rt:remove_menu_entry(menu_entry.pn07) end
    menu_entry.pn08 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:1.-Main Group:Pink 1 Main Group"             if rt:has_menu_entry(menu_entry.pn08) then rt:remove_menu_entry(menu_entry.pn08) end

    menu_entry.pn09 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:2.-Groups:Pink 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.pn09) then rt:remove_menu_entry(menu_entry.pn09) end
    menu_entry.pn10 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:2.-Groups:Pink 4Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.pn10) then rt:remove_menu_entry(menu_entry.pn10) end
    menu_entry.pn11 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:2.-Groups:Pink 2Gr [2SGr x 3Tr]"             if rt:has_menu_entry(menu_entry.pn11) then rt:remove_menu_entry(menu_entry.pn11) end
    menu_entry.pn12 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:2.-Groups:Pink 2Gr [2SGr x 4Tr]"             if rt:has_menu_entry(menu_entry.pn12) then rt:remove_menu_entry(menu_entry.pn12) end
    menu_entry.pn13 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:2.-Groups:Pink 2Gr [2SGr x 5Tr]"             if rt:has_menu_entry(menu_entry.pn13) then rt:remove_menu_entry(menu_entry.pn13) end
    menu_entry.pn14 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:2.-Groups:Pink 2Gr [2SGr x 6Tr]"             if rt:has_menu_entry(menu_entry.pn14) then rt:remove_menu_entry(menu_entry.pn14) end
    menu_entry.pn15 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:2.-Groups:Pink 2Gr [2SGr x 7Tr]"             if rt:has_menu_entry(menu_entry.pn15) then rt:remove_menu_entry(menu_entry.pn15) end
    menu_entry.pn16 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:2.-Groups:Pink 2Gr [2SGr x 8Tr]"             if rt:has_menu_entry(menu_entry.pn16) then rt:remove_menu_entry(menu_entry.pn16) end
    menu_entry.pn17 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:2.-Groups:Pink 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.pn17) then rt:remove_menu_entry(menu_entry.pn17) end
    menu_entry.pn18 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:2.-Groups:Pink 1 Group"                      if rt:has_menu_entry(menu_entry.pn18) then rt:remove_menu_entry(menu_entry.pn18) end

    menu_entry.pn19 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:3.-SubGroups:Pink 4SGr x 2Tr"                if rt:has_menu_entry(menu_entry.pn19) then rt:remove_menu_entry(menu_entry.pn19) end
    menu_entry.pn20 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:3.-SubGroups:Pink 4SGr x 3Tr"                if rt:has_menu_entry(menu_entry.pn20) then rt:remove_menu_entry(menu_entry.pn20) end
    menu_entry.pn21 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:3.-SubGroups:Pink 4SGr x 4Tr"                if rt:has_menu_entry(menu_entry.pn21) then rt:remove_menu_entry(menu_entry.pn21) end
    menu_entry.pn22 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:3.-SubGroups:Pink 4SGr x 5Tr"                if rt:has_menu_entry(menu_entry.pn22) then rt:remove_menu_entry(menu_entry.pn22) end
    menu_entry.pn23 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:3.-SubGroups:Pink 4SGr x 6Tr"                if rt:has_menu_entry(menu_entry.pn23) then rt:remove_menu_entry(menu_entry.pn23) end
    menu_entry.pn24 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:3.-SubGroups:Pink 2SGr x 6Tr"                if rt:has_menu_entry(menu_entry.pn24) then rt:remove_menu_entry(menu_entry.pn24) end
    menu_entry.pn25 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:3.-SubGroups:Pink 4SGr x 7Tr"                if rt:has_menu_entry(menu_entry.pn25) then rt:remove_menu_entry(menu_entry.pn25) end
    menu_entry.pn26 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:3.-SubGroups:Pink 4SGr x 8Tr"                if rt:has_menu_entry(menu_entry.pn26) then rt:remove_menu_entry(menu_entry.pn26) end
    menu_entry.pn27 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:3.-SubGroups:Pink 2SGr x 8Tr"                if rt:has_menu_entry(menu_entry.pn27) then rt:remove_menu_entry(menu_entry.pn27) end
    menu_entry.pn28 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:3.-SubGroups:Pink 1SGr x 8Tr"                if rt:has_menu_entry(menu_entry.pn28) then rt:remove_menu_entry(menu_entry.pn28) end

    menu_entry.pn29 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:4.-Tracks:Pink 2Tr"                          if rt:has_menu_entry(menu_entry.pn29) then rt:remove_menu_entry(menu_entry.pn29) end
    menu_entry.pn30 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:4.-Tracks:Pink 4Tr"                          if rt:has_menu_entry(menu_entry.pn30) then rt:remove_menu_entry(menu_entry.pn30) end
    menu_entry.pn31 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:4.-Tracks:Pink 4Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.pn31) then rt:remove_menu_entry(menu_entry.pn31) end
    menu_entry.pn32 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:4.-Tracks:Pink 6Tr"                          if rt:has_menu_entry(menu_entry.pn32) then rt:remove_menu_entry(menu_entry.pn32) end
    menu_entry.pn33 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:4.-Tracks:Pink 8Tr"                          if rt:has_menu_entry(menu_entry.pn33) then rt:remove_menu_entry(menu_entry.pn33) end
    menu_entry.pn34 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:4.-Tracks:Pink 8Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.pn34) then rt:remove_menu_entry(menu_entry.pn34) end
    menu_entry.pn35 = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:4.-Tracks:Pink 1AuxTr"                       if rt:has_menu_entry(menu_entry.pn35) then rt:remove_menu_entry(menu_entry.pn35) end


    --Has & Remove Menu PISTACHIO ps
    menu_entry.ps01 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:1.-Main Group:Pistachio 1MGr x 2Gr [2SGr x 2Tr]"  if rt:has_menu_entry(menu_entry.ps01) then rt:remove_menu_entry(menu_entry.ps01) end
    menu_entry.ps02 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:1.-Main Group:Pistachio 1MGr x 2Gr [2SGr x 3Tr]"  if rt:has_menu_entry(menu_entry.ps02) then rt:remove_menu_entry(menu_entry.ps02) end
    menu_entry.ps03 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:1.-Main Group:Pistachio 1MGr x 2Gr [2SGr x 4Tr]"  if rt:has_menu_entry(menu_entry.ps03) then rt:remove_menu_entry(menu_entry.ps03) end
    menu_entry.ps04 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:1.-Main Group:Pistachio 1MGr x 2Gr [2SGr x 5Tr]"  if rt:has_menu_entry(menu_entry.ps04) then rt:remove_menu_entry(menu_entry.ps04) end
    menu_entry.ps05 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:1.-Main Group:Pistachio 1MGr x 2Gr [2SGr x 6Tr]"  if rt:has_menu_entry(menu_entry.ps05) then rt:remove_menu_entry(menu_entry.ps05) end
    menu_entry.ps06 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:1.-Main Group:Pistachio 1MGr x 2Gr [2SGr x 7Tr]"  if rt:has_menu_entry(menu_entry.ps06) then rt:remove_menu_entry(menu_entry.ps06) end
    menu_entry.ps07 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:1.-Main Group:Pistachio 1MGr x 2Gr [2SGr x 8Tr]"  if rt:has_menu_entry(menu_entry.ps07) then rt:remove_menu_entry(menu_entry.ps07) end
    menu_entry.ps08 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:1.-Main Group:Pistachio 1 Main Group"             if rt:has_menu_entry(menu_entry.ps08) then rt:remove_menu_entry(menu_entry.ps08) end

    menu_entry.ps09 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:2.-Groups:Pistachio 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.ps09) then rt:remove_menu_entry(menu_entry.ps09) end
    menu_entry.ps10 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:2.-Groups:Pistachio 4Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.ps10) then rt:remove_menu_entry(menu_entry.ps10) end
    menu_entry.ps11 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:2.-Groups:Pistachio 2Gr [2SGr x 3Tr]"             if rt:has_menu_entry(menu_entry.ps11) then rt:remove_menu_entry(menu_entry.ps11) end
    menu_entry.ps12 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:2.-Groups:Pistachio 2Gr [2SGr x 4Tr]"             if rt:has_menu_entry(menu_entry.ps12) then rt:remove_menu_entry(menu_entry.ps12) end
    menu_entry.ps13 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:2.-Groups:Pistachio 2Gr [2SGr x 5Tr]"             if rt:has_menu_entry(menu_entry.ps13) then rt:remove_menu_entry(menu_entry.ps13) end
    menu_entry.ps14 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:2.-Groups:Pistachio 2Gr [2SGr x 6Tr]"             if rt:has_menu_entry(menu_entry.ps14) then rt:remove_menu_entry(menu_entry.ps14) end
    menu_entry.ps15 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:2.-Groups:Pistachio 2Gr [2SGr x 7Tr]"             if rt:has_menu_entry(menu_entry.ps15) then rt:remove_menu_entry(menu_entry.ps15) end
    menu_entry.ps16 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:2.-Groups:Pistachio 2Gr [2SGr x 8Tr]"             if rt:has_menu_entry(menu_entry.ps16) then rt:remove_menu_entry(menu_entry.ps16) end
    menu_entry.ps17 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:2.-Groups:Pistachio 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.ps17) then rt:remove_menu_entry(menu_entry.ps17) end
    menu_entry.ps18 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:2.-Groups:Pistachio 1 Group"                      if rt:has_menu_entry(menu_entry.ps18) then rt:remove_menu_entry(menu_entry.ps18) end

    menu_entry.ps19 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:3.-SubGroups:Pistachio 4SGr x 2Tr"                if rt:has_menu_entry(menu_entry.ps19) then rt:remove_menu_entry(menu_entry.ps19) end
    menu_entry.ps20 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:3.-SubGroups:Pistachio 4SGr x 3Tr"                if rt:has_menu_entry(menu_entry.ps20) then rt:remove_menu_entry(menu_entry.ps20) end
    menu_entry.ps21 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:3.-SubGroups:Pistachio 4SGr x 4Tr"                if rt:has_menu_entry(menu_entry.ps21) then rt:remove_menu_entry(menu_entry.ps21) end
    menu_entry.ps22 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:3.-SubGroups:Pistachio 4SGr x 5Tr"                if rt:has_menu_entry(menu_entry.ps22) then rt:remove_menu_entry(menu_entry.ps22) end
    menu_entry.ps23 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:3.-SubGroups:Pistachio 4SGr x 6Tr"                if rt:has_menu_entry(menu_entry.ps23) then rt:remove_menu_entry(menu_entry.ps23) end
    menu_entry.ps24 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:3.-SubGroups:Pistachio 2SGr x 6Tr"                if rt:has_menu_entry(menu_entry.ps24) then rt:remove_menu_entry(menu_entry.ps24) end
    menu_entry.ps25 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:3.-SubGroups:Pistachio 4SGr x 7Tr"                if rt:has_menu_entry(menu_entry.ps25) then rt:remove_menu_entry(menu_entry.ps25) end
    menu_entry.ps26 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:3.-SubGroups:Pistachio 4SGr x 8Tr"                if rt:has_menu_entry(menu_entry.ps26) then rt:remove_menu_entry(menu_entry.ps26) end
    menu_entry.ps27 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:3.-SubGroups:Pistachio 2SGr x 8Tr"                if rt:has_menu_entry(menu_entry.ps27) then rt:remove_menu_entry(menu_entry.ps27) end
    menu_entry.ps28 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:3.-SubGroups:Pistachio 1SGr x 8Tr"                if rt:has_menu_entry(menu_entry.ps28) then rt:remove_menu_entry(menu_entry.ps28) end

    menu_entry.ps29 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:4.-Tracks:Pistachio 2Tr"                          if rt:has_menu_entry(menu_entry.ps29) then rt:remove_menu_entry(menu_entry.ps29) end
    menu_entry.ps30 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:4.-Tracks:Pistachio 4Tr"                          if rt:has_menu_entry(menu_entry.ps30) then rt:remove_menu_entry(menu_entry.ps30) end
    menu_entry.ps31 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:4.-Tracks:Pistachio 4Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.ps31) then rt:remove_menu_entry(menu_entry.ps31) end
    menu_entry.ps32 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:4.-Tracks:Pistachio 6Tr"                          if rt:has_menu_entry(menu_entry.ps32) then rt:remove_menu_entry(menu_entry.ps32) end
    menu_entry.ps33 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:4.-Tracks:Pistachio 8Tr"                          if rt:has_menu_entry(menu_entry.ps33) then rt:remove_menu_entry(menu_entry.ps33) end
    menu_entry.ps34 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:4.-Tracks:Pistachio 8Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.ps34) then rt:remove_menu_entry(menu_entry.ps34) end
    menu_entry.ps35 = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:4.-Tracks:Pistachio 1AuxTr"                       if rt:has_menu_entry(menu_entry.ps35) then rt:remove_menu_entry(menu_entry.ps35) end


    --Has & Remove Menu RED rd
    menu_entry.rd01 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:1.-Main Group:Red 1MGr x 2Gr [2SGr x 2Tr]"  if rt:has_menu_entry(menu_entry.rd01) then rt:remove_menu_entry(menu_entry.rd01) end
    menu_entry.rd02 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:1.-Main Group:Red 1MGr x 2Gr [2SGr x 3Tr]"  if rt:has_menu_entry(menu_entry.rd02) then rt:remove_menu_entry(menu_entry.rd02) end
    menu_entry.rd03 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:1.-Main Group:Red 1MGr x 2Gr [2SGr x 4Tr]"  if rt:has_menu_entry(menu_entry.rd03) then rt:remove_menu_entry(menu_entry.rd03) end
    menu_entry.rd04 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:1.-Main Group:Red 1MGr x 2Gr [2SGr x 5Tr]"  if rt:has_menu_entry(menu_entry.rd04) then rt:remove_menu_entry(menu_entry.rd04) end
    menu_entry.rd05 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:1.-Main Group:Red 1MGr x 2Gr [2SGr x 6Tr]"  if rt:has_menu_entry(menu_entry.rd05) then rt:remove_menu_entry(menu_entry.rd05) end
    menu_entry.rd06 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:1.-Main Group:Red 1MGr x 2Gr [2SGr x 7Tr]"  if rt:has_menu_entry(menu_entry.rd06) then rt:remove_menu_entry(menu_entry.rd06) end
    menu_entry.rd07 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:1.-Main Group:Red 1MGr x 2Gr [2SGr x 8Tr]"  if rt:has_menu_entry(menu_entry.rd07) then rt:remove_menu_entry(menu_entry.rd07) end
    menu_entry.rd08 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:1.-Main Group:Red 1 Main Group"             if rt:has_menu_entry(menu_entry.rd08) then rt:remove_menu_entry(menu_entry.rd08) end

    menu_entry.rd09 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:2.-Groups:Red 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.rd09) then rt:remove_menu_entry(menu_entry.rd09) end
    menu_entry.rd10 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:2.-Groups:Red 4Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.rd10) then rt:remove_menu_entry(menu_entry.rd10) end
    menu_entry.rd11 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:2.-Groups:Red 2Gr [2SGr x 3Tr]"             if rt:has_menu_entry(menu_entry.rd11) then rt:remove_menu_entry(menu_entry.rd11) end
    menu_entry.rd12 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:2.-Groups:Red 2Gr [2SGr x 4Tr]"             if rt:has_menu_entry(menu_entry.rd12) then rt:remove_menu_entry(menu_entry.rd12) end
    menu_entry.rd13 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:2.-Groups:Red 2Gr [2SGr x 5Tr]"             if rt:has_menu_entry(menu_entry.rd13) then rt:remove_menu_entry(menu_entry.rd13) end
    menu_entry.rd14 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:2.-Groups:Red 2Gr [2SGr x 6Tr]"             if rt:has_menu_entry(menu_entry.rd14) then rt:remove_menu_entry(menu_entry.rd14) end
    menu_entry.rd15 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:2.-Groups:Red 2Gr [2SGr x 7Tr]"             if rt:has_menu_entry(menu_entry.rd15) then rt:remove_menu_entry(menu_entry.rd15) end
    menu_entry.rd16 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:2.-Groups:Red 2Gr [2SGr x 8Tr]"             if rt:has_menu_entry(menu_entry.rd16) then rt:remove_menu_entry(menu_entry.rd16) end
    menu_entry.rd17 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:2.-Groups:Red 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.rd17) then rt:remove_menu_entry(menu_entry.rd17) end
    menu_entry.rd18 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:2.-Groups:Red 1 Group"                      if rt:has_menu_entry(menu_entry.rd18) then rt:remove_menu_entry(menu_entry.rd18) end

    menu_entry.rd19 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:3.-SubGroups:Red 4SGr x 2Tr"                if rt:has_menu_entry(menu_entry.rd19) then rt:remove_menu_entry(menu_entry.rd19) end
    menu_entry.rd20 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:3.-SubGroups:Red 4SGr x 3Tr"                if rt:has_menu_entry(menu_entry.rd20) then rt:remove_menu_entry(menu_entry.rd20) end
    menu_entry.rd21 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:3.-SubGroups:Red 4SGr x 4Tr"                if rt:has_menu_entry(menu_entry.rd21) then rt:remove_menu_entry(menu_entry.rd21) end
    menu_entry.rd22 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:3.-SubGroups:Red 4SGr x 5Tr"                if rt:has_menu_entry(menu_entry.rd22) then rt:remove_menu_entry(menu_entry.rd22) end
    menu_entry.rd23 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:3.-SubGroups:Red 4SGr x 6Tr"                if rt:has_menu_entry(menu_entry.rd23) then rt:remove_menu_entry(menu_entry.rd23) end
    menu_entry.rd24 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:3.-SubGroups:Red 2SGr x 6Tr"                if rt:has_menu_entry(menu_entry.rd24) then rt:remove_menu_entry(menu_entry.rd24) end
    menu_entry.rd25 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:3.-SubGroups:Red 4SGr x 7Tr"                if rt:has_menu_entry(menu_entry.rd25) then rt:remove_menu_entry(menu_entry.rd25) end
    menu_entry.rd26 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:3.-SubGroups:Red 4SGr x 8Tr"                if rt:has_menu_entry(menu_entry.rd26) then rt:remove_menu_entry(menu_entry.rd26) end
    menu_entry.rd27 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:3.-SubGroups:Red 2SGr x 8Tr"                if rt:has_menu_entry(menu_entry.rd27) then rt:remove_menu_entry(menu_entry.rd27) end
    menu_entry.rd28 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:3.-SubGroups:Red 1SGr x 8Tr"                if rt:has_menu_entry(menu_entry.rd28) then rt:remove_menu_entry(menu_entry.rd28) end

    menu_entry.rd29 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:4.-Tracks:Red 2Tr"                          if rt:has_menu_entry(menu_entry.rd29) then rt:remove_menu_entry(menu_entry.rd29) end
    menu_entry.rd30 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:4.-Tracks:Red 4Tr"                          if rt:has_menu_entry(menu_entry.rd30) then rt:remove_menu_entry(menu_entry.rd30) end
    menu_entry.rd31 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:4.-Tracks:Red 4Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.rd31) then rt:remove_menu_entry(menu_entry.rd31) end
    menu_entry.rd32 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:4.-Tracks:Red 6Tr"                          if rt:has_menu_entry(menu_entry.rd32) then rt:remove_menu_entry(menu_entry.rd32) end
    menu_entry.rd33 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:4.-Tracks:Red 8Tr"                          if rt:has_menu_entry(menu_entry.rd33) then rt:remove_menu_entry(menu_entry.rd33) end
    menu_entry.rd34 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:4.-Tracks:Red 8Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.rd34) then rt:remove_menu_entry(menu_entry.rd34) end
    menu_entry.rd35 = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:4.-Tracks:Red 1AuxTr"                       if rt:has_menu_entry(menu_entry.rd35) then rt:remove_menu_entry(menu_entry.rd35) end


    --Has & Remove Menu SKY BLUE sk
    menu_entry.sk01 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:1.-Main Group:Sky Blue 1MGr x 2Gr [2SGr x 2Tr]"  if rt:has_menu_entry(menu_entry.sk01) then rt:remove_menu_entry(menu_entry.sk01) end
    menu_entry.sk02 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:1.-Main Group:Sky Blue 1MGr x 2Gr [2SGr x 3Tr]"  if rt:has_menu_entry(menu_entry.sk02) then rt:remove_menu_entry(menu_entry.sk02) end
    menu_entry.sk03 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:1.-Main Group:Sky Blue 1MGr x 2Gr [2SGr x 4Tr]"  if rt:has_menu_entry(menu_entry.sk03) then rt:remove_menu_entry(menu_entry.sk03) end
    menu_entry.sk04 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:1.-Main Group:Sky Blue 1MGr x 2Gr [2SGr x 5Tr]"  if rt:has_menu_entry(menu_entry.sk04) then rt:remove_menu_entry(menu_entry.sk04) end
    menu_entry.sk05 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:1.-Main Group:Sky Blue 1MGr x 2Gr [2SGr x 6Tr]"  if rt:has_menu_entry(menu_entry.sk05) then rt:remove_menu_entry(menu_entry.sk05) end
    menu_entry.sk06 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:1.-Main Group:Sky Blue 1MGr x 2Gr [2SGr x 7Tr]"  if rt:has_menu_entry(menu_entry.sk06) then rt:remove_menu_entry(menu_entry.sk06) end
    menu_entry.sk07 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:1.-Main Group:Sky Blue 1MGr x 2Gr [2SGr x 8Tr]"  if rt:has_menu_entry(menu_entry.sk07) then rt:remove_menu_entry(menu_entry.sk07) end
    menu_entry.sk08 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:1.-Main Group:Sky Blue 1 Main Group"             if rt:has_menu_entry(menu_entry.sk08) then rt:remove_menu_entry(menu_entry.sk08) end

    menu_entry.sk09 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:2.-Groups:Sky Blue 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.sk09) then rt:remove_menu_entry(menu_entry.sk09) end
    menu_entry.sk10 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:2.-Groups:Sky Blue 4Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.sk10) then rt:remove_menu_entry(menu_entry.sk10) end
    menu_entry.sk11 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:2.-Groups:Sky Blue 2Gr [2SGr x 3Tr]"             if rt:has_menu_entry(menu_entry.sk11) then rt:remove_menu_entry(menu_entry.sk11) end
    menu_entry.sk12 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:2.-Groups:Sky Blue 2Gr [2SGr x 4Tr]"             if rt:has_menu_entry(menu_entry.sk12) then rt:remove_menu_entry(menu_entry.sk12) end
    menu_entry.sk13 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:2.-Groups:Sky Blue 2Gr [2SGr x 5Tr]"             if rt:has_menu_entry(menu_entry.sk13) then rt:remove_menu_entry(menu_entry.sk13) end
    menu_entry.sk14 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:2.-Groups:Sky Blue 2Gr [2SGr x 6Tr]"             if rt:has_menu_entry(menu_entry.sk14) then rt:remove_menu_entry(menu_entry.sk14) end
    menu_entry.sk15 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:2.-Groups:Sky Blue 2Gr [2SGr x 7Tr]"             if rt:has_menu_entry(menu_entry.sk15) then rt:remove_menu_entry(menu_entry.sk15) end
    menu_entry.sk16 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:2.-Groups:Sky Blue 2Gr [2SGr x 8Tr]"             if rt:has_menu_entry(menu_entry.sk16) then rt:remove_menu_entry(menu_entry.sk16) end
    menu_entry.sk17 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:2.-Groups:Sky Blue 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.sk17) then rt:remove_menu_entry(menu_entry.sk17) end
    menu_entry.sk18 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:2.-Groups:Sky Blue 1 Group"                      if rt:has_menu_entry(menu_entry.sk18) then rt:remove_menu_entry(menu_entry.sk18) end

    menu_entry.sk19 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:3.-SubGroups:Sky Blue 4SGr x 2Tr"                if rt:has_menu_entry(menu_entry.sk19) then rt:remove_menu_entry(menu_entry.sk19) end
    menu_entry.sk20 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:3.-SubGroups:Sky Blue 4SGr x 3Tr"                if rt:has_menu_entry(menu_entry.sk20) then rt:remove_menu_entry(menu_entry.sk20) end
    menu_entry.sk21 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:3.-SubGroups:Sky Blue 4SGr x 4Tr"                if rt:has_menu_entry(menu_entry.sk21) then rt:remove_menu_entry(menu_entry.sk21) end
    menu_entry.sk22 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:3.-SubGroups:Sky Blue 4SGr x 5Tr"                if rt:has_menu_entry(menu_entry.sk22) then rt:remove_menu_entry(menu_entry.sk22) end
    menu_entry.sk23 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:3.-SubGroups:Sky Blue 4SGr x 6Tr"                if rt:has_menu_entry(menu_entry.sk23) then rt:remove_menu_entry(menu_entry.sk23) end
    menu_entry.sk24 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:3.-SubGroups:Sky Blue 2SGr x 6Tr"                if rt:has_menu_entry(menu_entry.sk24) then rt:remove_menu_entry(menu_entry.sk24) end
    menu_entry.sk25 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:3.-SubGroups:Sky Blue 4SGr x 7Tr"                if rt:has_menu_entry(menu_entry.sk25) then rt:remove_menu_entry(menu_entry.sk25) end
    menu_entry.sk26 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:3.-SubGroups:Sky Blue 4SGr x 8Tr"                if rt:has_menu_entry(menu_entry.sk26) then rt:remove_menu_entry(menu_entry.sk26) end
    menu_entry.sk27 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:3.-SubGroups:Sky Blue 2SGr x 8Tr"                if rt:has_menu_entry(menu_entry.sk27) then rt:remove_menu_entry(menu_entry.sk27) end
    menu_entry.sk28 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:3.-SubGroups:Sky Blue 1SGr x 8Tr"                if rt:has_menu_entry(menu_entry.sk28) then rt:remove_menu_entry(menu_entry.sk28) end

    menu_entry.sk29 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:4.-Tracks:Sky Blue 2Tr"                          if rt:has_menu_entry(menu_entry.sk29) then rt:remove_menu_entry(menu_entry.sk29) end
    menu_entry.sk30 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:4.-Tracks:Sky Blue 4Tr"                          if rt:has_menu_entry(menu_entry.sk30) then rt:remove_menu_entry(menu_entry.sk30) end
    menu_entry.sk31 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:4.-Tracks:Sky Blue 4Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.sk31) then rt:remove_menu_entry(menu_entry.sk31) end
    menu_entry.sk32 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:4.-Tracks:Sky Blue 6Tr"                          if rt:has_menu_entry(menu_entry.sk32) then rt:remove_menu_entry(menu_entry.sk32) end
    menu_entry.sk33 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:4.-Tracks:Sky Blue 8Tr"                          if rt:has_menu_entry(menu_entry.sk33) then rt:remove_menu_entry(menu_entry.sk33) end
    menu_entry.sk34 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:4.-Tracks:Sky Blue 8Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.sk34) then rt:remove_menu_entry(menu_entry.sk34) end
    menu_entry.sk35 = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:4.-Tracks:Sky Blue 1AuxTr"                       if rt:has_menu_entry(menu_entry.sk35) then rt:remove_menu_entry(menu_entry.sk35) end


    --Has & Remove Menu VIOLET vl
    menu_entry.vl01 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:1.-Main Group:Violet 1MGr x 2Gr [2SGr x 2Tr]"  if rt:has_menu_entry(menu_entry.vl01) then rt:remove_menu_entry(menu_entry.vl01) end
    menu_entry.vl02 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:1.-Main Group:Violet 1MGr x 2Gr [2SGr x 3Tr]"  if rt:has_menu_entry(menu_entry.vl02) then rt:remove_menu_entry(menu_entry.vl02) end
    menu_entry.vl03 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:1.-Main Group:Violet 1MGr x 2Gr [2SGr x 4Tr]"  if rt:has_menu_entry(menu_entry.vl03) then rt:remove_menu_entry(menu_entry.vl03) end
    menu_entry.vl04 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:1.-Main Group:Violet 1MGr x 2Gr [2SGr x 5Tr]"  if rt:has_menu_entry(menu_entry.vl04) then rt:remove_menu_entry(menu_entry.vl04) end
    menu_entry.vl05 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:1.-Main Group:Violet 1MGr x 2Gr [2SGr x 6Tr]"  if rt:has_menu_entry(menu_entry.vl05) then rt:remove_menu_entry(menu_entry.vl05) end
    menu_entry.vl06 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:1.-Main Group:Violet 1MGr x 2Gr [2SGr x 7Tr]"  if rt:has_menu_entry(menu_entry.vl06) then rt:remove_menu_entry(menu_entry.vl06) end
    menu_entry.vl07 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:1.-Main Group:Violet 1MGr x 2Gr [2SGr x 8Tr]"  if rt:has_menu_entry(menu_entry.vl07) then rt:remove_menu_entry(menu_entry.vl07) end
    menu_entry.vl08 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:1.-Main Group:Violet 1 Main Group"             if rt:has_menu_entry(menu_entry.vl08) then rt:remove_menu_entry(menu_entry.vl08) end

    menu_entry.vl09 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:2.-Groups:Violet 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.vl09) then rt:remove_menu_entry(menu_entry.vl09) end
    menu_entry.vl10 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:2.-Groups:Violet 4Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.vl10) then rt:remove_menu_entry(menu_entry.vl10) end
    menu_entry.vl11 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:2.-Groups:Violet 2Gr [2SGr x 3Tr]"             if rt:has_menu_entry(menu_entry.vl11) then rt:remove_menu_entry(menu_entry.vl11) end
    menu_entry.vl12 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:2.-Groups:Violet 2Gr [2SGr x 4Tr]"             if rt:has_menu_entry(menu_entry.vl12) then rt:remove_menu_entry(menu_entry.vl12) end
    menu_entry.vl13 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:2.-Groups:Violet 2Gr [2SGr x 5Tr]"             if rt:has_menu_entry(menu_entry.vl13) then rt:remove_menu_entry(menu_entry.vl13) end
    menu_entry.vl14 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:2.-Groups:Violet 2Gr [2SGr x 6Tr]"             if rt:has_menu_entry(menu_entry.vl14) then rt:remove_menu_entry(menu_entry.vl14) end
    menu_entry.vl15 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:2.-Groups:Violet 2Gr [2SGr x 7Tr]"             if rt:has_menu_entry(menu_entry.vl15) then rt:remove_menu_entry(menu_entry.vl15) end
    menu_entry.vl16 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:2.-Groups:Violet 2Gr [2SGr x 8Tr]"             if rt:has_menu_entry(menu_entry.vl16) then rt:remove_menu_entry(menu_entry.vl16) end
    menu_entry.vl17 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:2.-Groups:Violet 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.vl17) then rt:remove_menu_entry(menu_entry.vl17) end
    menu_entry.vl18 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:2.-Groups:Violet 1 Group"                      if rt:has_menu_entry(menu_entry.vl18) then rt:remove_menu_entry(menu_entry.vl18) end

    menu_entry.vl19 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:3.-SubGroups:Violet 4SGr x 2Tr"                if rt:has_menu_entry(menu_entry.vl19) then rt:remove_menu_entry(menu_entry.vl19) end
    menu_entry.vl20 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:3.-SubGroups:Violet 4SGr x 3Tr"                if rt:has_menu_entry(menu_entry.vl20) then rt:remove_menu_entry(menu_entry.vl20) end
    menu_entry.vl21 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:3.-SubGroups:Violet 4SGr x 4Tr"                if rt:has_menu_entry(menu_entry.vl21) then rt:remove_menu_entry(menu_entry.vl21) end
    menu_entry.vl22 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:3.-SubGroups:Violet 4SGr x 5Tr"                if rt:has_menu_entry(menu_entry.vl22) then rt:remove_menu_entry(menu_entry.vl22) end
    menu_entry.vl23 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:3.-SubGroups:Violet 4SGr x 6Tr"                if rt:has_menu_entry(menu_entry.vl23) then rt:remove_menu_entry(menu_entry.vl23) end
    menu_entry.vl24 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:3.-SubGroups:Violet 2SGr x 6Tr"                if rt:has_menu_entry(menu_entry.vl24) then rt:remove_menu_entry(menu_entry.vl24) end
    menu_entry.vl25 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:3.-SubGroups:Violet 4SGr x 7Tr"                if rt:has_menu_entry(menu_entry.vl25) then rt:remove_menu_entry(menu_entry.vl25) end
    menu_entry.vl26 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:3.-SubGroups:Violet 4SGr x 8Tr"                if rt:has_menu_entry(menu_entry.vl26) then rt:remove_menu_entry(menu_entry.vl26) end
    menu_entry.vl27 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:3.-SubGroups:Violet 2SGr x 8Tr"                if rt:has_menu_entry(menu_entry.vl27) then rt:remove_menu_entry(menu_entry.vl27) end
    menu_entry.vl28 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:3.-SubGroups:Violet 1SGr x 8Tr"                if rt:has_menu_entry(menu_entry.vl28) then rt:remove_menu_entry(menu_entry.vl28) end

    menu_entry.vl29 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:4.-Tracks:Violet 2Tr"                          if rt:has_menu_entry(menu_entry.vl29) then rt:remove_menu_entry(menu_entry.vl29) end
    menu_entry.vl30 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:4.-Tracks:Violet 4Tr"                          if rt:has_menu_entry(menu_entry.vl30) then rt:remove_menu_entry(menu_entry.vl30) end
    menu_entry.vl31 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:4.-Tracks:Violet 4Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.vl31) then rt:remove_menu_entry(menu_entry.vl31) end
    menu_entry.vl32 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:4.-Tracks:Violet 6Tr"                          if rt:has_menu_entry(menu_entry.vl32) then rt:remove_menu_entry(menu_entry.vl32) end
    menu_entry.vl33 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:4.-Tracks:Violet 8Tr"                          if rt:has_menu_entry(menu_entry.vl33) then rt:remove_menu_entry(menu_entry.vl33) end
    menu_entry.vl34 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:4.-Tracks:Violet 8Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.vl34) then rt:remove_menu_entry(menu_entry.vl34) end
    menu_entry.vl35 = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:4.-Tracks:Violet 1AuxTr"                       if rt:has_menu_entry(menu_entry.vl35) then rt:remove_menu_entry(menu_entry.vl35) end


    --Has & Remove Menu WHITE wh
    menu_entry.wh01 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:1.-Main Group:White 1MGr x 2Gr [2SGr x 2Tr]"  if rt:has_menu_entry(menu_entry.wh01) then rt:remove_menu_entry(menu_entry.wh01) end
    menu_entry.wh02 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:1.-Main Group:White 1MGr x 2Gr [2SGr x 3Tr]"  if rt:has_menu_entry(menu_entry.wh02) then rt:remove_menu_entry(menu_entry.wh02) end
    menu_entry.wh03 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:1.-Main Group:White 1MGr x 2Gr [2SGr x 4Tr]"  if rt:has_menu_entry(menu_entry.wh03) then rt:remove_menu_entry(menu_entry.wh03) end
    menu_entry.wh04 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:1.-Main Group:White 1MGr x 2Gr [2SGr x 5Tr]"  if rt:has_menu_entry(menu_entry.wh04) then rt:remove_menu_entry(menu_entry.wh04) end
    menu_entry.wh05 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:1.-Main Group:White 1MGr x 2Gr [2SGr x 6Tr]"  if rt:has_menu_entry(menu_entry.wh05) then rt:remove_menu_entry(menu_entry.wh05) end
    menu_entry.wh06 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:1.-Main Group:White 1MGr x 2Gr [2SGr x 7Tr]"  if rt:has_menu_entry(menu_entry.wh06) then rt:remove_menu_entry(menu_entry.wh06) end
    menu_entry.wh07 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:1.-Main Group:White 1MGr x 2Gr [2SGr x 8Tr]"  if rt:has_menu_entry(menu_entry.wh07) then rt:remove_menu_entry(menu_entry.wh07) end
    menu_entry.wh08 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:1.-Main Group:White 1 Main Group"             if rt:has_menu_entry(menu_entry.wh08) then rt:remove_menu_entry(menu_entry.wh08) end

    menu_entry.wh09 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:2.-Groups:White 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.wh09) then rt:remove_menu_entry(menu_entry.wh09) end
    menu_entry.wh10 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:2.-Groups:White 4Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.wh10) then rt:remove_menu_entry(menu_entry.wh10) end
    menu_entry.wh11 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:2.-Groups:White 2Gr [2SGr x 3Tr]"             if rt:has_menu_entry(menu_entry.wh11) then rt:remove_menu_entry(menu_entry.wh11) end
    menu_entry.wh12 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:2.-Groups:White 2Gr [2SGr x 4Tr]"             if rt:has_menu_entry(menu_entry.wh12) then rt:remove_menu_entry(menu_entry.wh12) end
    menu_entry.wh13 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:2.-Groups:White 2Gr [2SGr x 5Tr]"             if rt:has_menu_entry(menu_entry.wh13) then rt:remove_menu_entry(menu_entry.wh13) end
    menu_entry.wh14 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:2.-Groups:White 2Gr [2SGr x 6Tr]"             if rt:has_menu_entry(menu_entry.wh14) then rt:remove_menu_entry(menu_entry.wh14) end
    menu_entry.wh15 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:2.-Groups:White 2Gr [2SGr x 7Tr]"             if rt:has_menu_entry(menu_entry.wh15) then rt:remove_menu_entry(menu_entry.wh15) end
    menu_entry.wh16 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:2.-Groups:White 2Gr [2SGr x 8Tr]"             if rt:has_menu_entry(menu_entry.wh16) then rt:remove_menu_entry(menu_entry.wh16) end
    menu_entry.wh17 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:2.-Groups:White 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.wh17) then rt:remove_menu_entry(menu_entry.wh17) end
    menu_entry.wh18 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:2.-Groups:White 1 Group"                      if rt:has_menu_entry(menu_entry.wh18) then rt:remove_menu_entry(menu_entry.wh18) end

    menu_entry.wh19 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:3.-SubGroups:White 4SGr x 2Tr"                if rt:has_menu_entry(menu_entry.wh19) then rt:remove_menu_entry(menu_entry.wh19) end
    menu_entry.wh20 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:3.-SubGroups:White 4SGr x 3Tr"                if rt:has_menu_entry(menu_entry.wh20) then rt:remove_menu_entry(menu_entry.wh20) end
    menu_entry.wh21 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:3.-SubGroups:White 4SGr x 4Tr"                if rt:has_menu_entry(menu_entry.wh21) then rt:remove_menu_entry(menu_entry.wh21) end
    menu_entry.wh22 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:3.-SubGroups:White 4SGr x 5Tr"                if rt:has_menu_entry(menu_entry.wh22) then rt:remove_menu_entry(menu_entry.wh22) end
    menu_entry.wh23 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:3.-SubGroups:White 4SGr x 6Tr"                if rt:has_menu_entry(menu_entry.wh23) then rt:remove_menu_entry(menu_entry.wh23) end
    menu_entry.wh24 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:3.-SubGroups:White 2SGr x 6Tr"                if rt:has_menu_entry(menu_entry.wh24) then rt:remove_menu_entry(menu_entry.wh24) end
    menu_entry.wh25 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:3.-SubGroups:White 4SGr x 7Tr"                if rt:has_menu_entry(menu_entry.wh25) then rt:remove_menu_entry(menu_entry.wh25) end
    menu_entry.wh26 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:3.-SubGroups:White 4SGr x 8Tr"                if rt:has_menu_entry(menu_entry.wh26) then rt:remove_menu_entry(menu_entry.wh26) end
    menu_entry.wh27 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:3.-SubGroups:White 2SGr x 8Tr"                if rt:has_menu_entry(menu_entry.wh27) then rt:remove_menu_entry(menu_entry.wh27) end
    menu_entry.wh28 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:3.-SubGroups:White 1SGr x 8Tr"                if rt:has_menu_entry(menu_entry.wh28) then rt:remove_menu_entry(menu_entry.wh28) end

    menu_entry.wh29 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:4.-Tracks:White 2Tr"                          if rt:has_menu_entry(menu_entry.wh29) then rt:remove_menu_entry(menu_entry.wh29) end
    menu_entry.wh30 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:4.-Tracks:White 4Tr"                          if rt:has_menu_entry(menu_entry.wh30) then rt:remove_menu_entry(menu_entry.wh30) end
    menu_entry.wh31 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:4.-Tracks:White 4Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.wh31) then rt:remove_menu_entry(menu_entry.wh31) end
    menu_entry.wh32 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:4.-Tracks:White 6Tr"                          if rt:has_menu_entry(menu_entry.wh32) then rt:remove_menu_entry(menu_entry.wh32) end
    menu_entry.wh33 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:4.-Tracks:White 8Tr"                          if rt:has_menu_entry(menu_entry.wh33) then rt:remove_menu_entry(menu_entry.wh33) end
    menu_entry.wh34 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:4.-Tracks:White 8Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.wh34) then rt:remove_menu_entry(menu_entry.wh34) end
    menu_entry.wh35 = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:4.-Tracks:White 1AuxTr"                       if rt:has_menu_entry(menu_entry.wh35) then rt:remove_menu_entry(menu_entry.wh35) end


    --Has & Remove Menu YELLOW yl
    menu_entry.yl01 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:1.-Main Group:Yellow 1MGr x 2Gr [2SGr x 2Tr]"  if rt:has_menu_entry(menu_entry.yl01) then rt:remove_menu_entry(menu_entry.yl01) end
    menu_entry.yl02 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:1.-Main Group:Yellow 1MGr x 2Gr [2SGr x 3Tr]"  if rt:has_menu_entry(menu_entry.yl02) then rt:remove_menu_entry(menu_entry.yl02) end
    menu_entry.yl03 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:1.-Main Group:Yellow 1MGr x 2Gr [2SGr x 4Tr]"  if rt:has_menu_entry(menu_entry.yl03) then rt:remove_menu_entry(menu_entry.yl03) end
    menu_entry.yl04 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:1.-Main Group:Yellow 1MGr x 2Gr [2SGr x 5Tr]"  if rt:has_menu_entry(menu_entry.yl04) then rt:remove_menu_entry(menu_entry.yl04) end
    menu_entry.yl05 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:1.-Main Group:Yellow 1MGr x 2Gr [2SGr x 6Tr]"  if rt:has_menu_entry(menu_entry.yl05) then rt:remove_menu_entry(menu_entry.yl05) end
    menu_entry.yl06 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:1.-Main Group:Yellow 1MGr x 2Gr [2SGr x 7Tr]"  if rt:has_menu_entry(menu_entry.yl06) then rt:remove_menu_entry(menu_entry.yl06) end
    menu_entry.yl07 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:1.-Main Group:Yellow 1MGr x 2Gr [2SGr x 8Tr]"  if rt:has_menu_entry(menu_entry.yl07) then rt:remove_menu_entry(menu_entry.yl07) end
    menu_entry.yl08 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:1.-Main Group:Yellow 1 Main Group"             if rt:has_menu_entry(menu_entry.yl08) then rt:remove_menu_entry(menu_entry.yl08) end

    menu_entry.yl09 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:2.-Groups:Yellow 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.yl09) then rt:remove_menu_entry(menu_entry.yl09) end
    menu_entry.yl10 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:2.-Groups:Yellow 4Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.yl10) then rt:remove_menu_entry(menu_entry.yl10) end
    menu_entry.yl11 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:2.-Groups:Yellow 2Gr [2SGr x 3Tr]"             if rt:has_menu_entry(menu_entry.yl11) then rt:remove_menu_entry(menu_entry.yl11) end
    menu_entry.yl12 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:2.-Groups:Yellow 2Gr [2SGr x 4Tr]"             if rt:has_menu_entry(menu_entry.yl12) then rt:remove_menu_entry(menu_entry.yl12) end
    menu_entry.yl13 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:2.-Groups:Yellow 2Gr [2SGr x 5Tr]"             if rt:has_menu_entry(menu_entry.yl13) then rt:remove_menu_entry(menu_entry.yl13) end
    menu_entry.yl14 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:2.-Groups:Yellow 2Gr [2SGr x 6Tr]"             if rt:has_menu_entry(menu_entry.yl14) then rt:remove_menu_entry(menu_entry.yl14) end
    menu_entry.yl15 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:2.-Groups:Yellow 2Gr [2SGr x 7Tr]"             if rt:has_menu_entry(menu_entry.yl15) then rt:remove_menu_entry(menu_entry.yl15) end
    menu_entry.yl16 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:2.-Groups:Yellow 2Gr [2SGr x 8Tr]"             if rt:has_menu_entry(menu_entry.yl16) then rt:remove_menu_entry(menu_entry.yl16) end
    menu_entry.yl17 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:2.-Groups:Yellow 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.yl17) then rt:remove_menu_entry(menu_entry.yl17) end
    menu_entry.yl18 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:2.-Groups:Yellow 1 Group"                      if rt:has_menu_entry(menu_entry.yl18) then rt:remove_menu_entry(menu_entry.yl18) end

    menu_entry.yl19 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:3.-SubGroups:Yellow 4SGr x 2Tr"                if rt:has_menu_entry(menu_entry.yl19) then rt:remove_menu_entry(menu_entry.yl19) end
    menu_entry.yl20 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:3.-SubGroups:Yellow 4SGr x 3Tr"                if rt:has_menu_entry(menu_entry.yl20) then rt:remove_menu_entry(menu_entry.yl20) end
    menu_entry.yl21 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:3.-SubGroups:Yellow 4SGr x 4Tr"                if rt:has_menu_entry(menu_entry.yl21) then rt:remove_menu_entry(menu_entry.yl21) end
    menu_entry.yl22 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:3.-SubGroups:Yellow 4SGr x 5Tr"                if rt:has_menu_entry(menu_entry.yl22) then rt:remove_menu_entry(menu_entry.yl22) end
    menu_entry.yl23 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:3.-SubGroups:Yellow 4SGr x 6Tr"                if rt:has_menu_entry(menu_entry.yl23) then rt:remove_menu_entry(menu_entry.yl23) end
    menu_entry.yl24 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:3.-SubGroups:Yellow 2SGr x 6Tr"                if rt:has_menu_entry(menu_entry.yl24) then rt:remove_menu_entry(menu_entry.yl24) end
    menu_entry.yl25 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:3.-SubGroups:Yellow 4SGr x 7Tr"                if rt:has_menu_entry(menu_entry.yl25) then rt:remove_menu_entry(menu_entry.yl25) end
    menu_entry.yl26 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:3.-SubGroups:Yellow 4SGr x 8Tr"                if rt:has_menu_entry(menu_entry.yl26) then rt:remove_menu_entry(menu_entry.yl26) end
    menu_entry.yl27 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:3.-SubGroups:Yellow 2SGr x 8Tr"                if rt:has_menu_entry(menu_entry.yl27) then rt:remove_menu_entry(menu_entry.yl27) end
    menu_entry.yl28 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:3.-SubGroups:Yellow 1SGr x 8Tr"                if rt:has_menu_entry(menu_entry.yl28) then rt:remove_menu_entry(menu_entry.yl28) end

    menu_entry.yl29 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:4.-Tracks:Yellow 2Tr"                          if rt:has_menu_entry(menu_entry.yl29) then rt:remove_menu_entry(menu_entry.yl29) end
    menu_entry.yl30 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:4.-Tracks:Yellow 4Tr"                          if rt:has_menu_entry(menu_entry.yl30) then rt:remove_menu_entry(menu_entry.yl30) end
    menu_entry.yl31 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:4.-Tracks:Yellow 4Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.yl31) then rt:remove_menu_entry(menu_entry.yl31) end
    menu_entry.yl32 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:4.-Tracks:Yellow 6Tr"                          if rt:has_menu_entry(menu_entry.yl32) then rt:remove_menu_entry(menu_entry.yl32) end
    menu_entry.yl33 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:4.-Tracks:Yellow 8Tr"                          if rt:has_menu_entry(menu_entry.yl33) then rt:remove_menu_entry(menu_entry.yl33) end
    menu_entry.yl34 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:4.-Tracks:Yellow 8Tr + 2AuxTr"                 if rt:has_menu_entry(menu_entry.yl34) then rt:remove_menu_entry(menu_entry.yl34) end
    menu_entry.yl35 = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:4.-Tracks:Yellow 1AuxTr"                       if rt:has_menu_entry(menu_entry.yl35) then rt:remove_menu_entry(menu_entry.yl35) end



    --Has & Remove Menu COMBINED cm
    menu_entry.cm01 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:1.-Main Groups:Comb. 2MGr x 2Gr [2SGr x 2Tr]"                 if rt:has_menu_entry(menu_entry.cm01) then rt:remove_menu_entry(menu_entry.cm01) end
    menu_entry.cm02 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:1.-Main Groups:Comb. 2MGr x 2Gr [2SGr x 2Tr] x2"              if rt:has_menu_entry(menu_entry.cm02) then rt:remove_menu_entry(menu_entry.cm02) end
    menu_entry.cm03 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:1.-Main Groups:Comb. 2MGr x 2Gr [2SGr x 4Tr]"                 if rt:has_menu_entry(menu_entry.cm03) then rt:remove_menu_entry(menu_entry.cm03) end
    menu_entry.cm04 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:1.-Main Groups:Comb. 2MGr x 2Gr [2SGr x 4Tr] x2"              if rt:has_menu_entry(menu_entry.cm04) then rt:remove_menu_entry(menu_entry.cm04) end
    menu_entry.cm05 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:1.-Main Groups:Comb. 2MGr x 2Gr [2SGr x 6Tr]"                 if rt:has_menu_entry(menu_entry.cm05) then rt:remove_menu_entry(menu_entry.cm05) end
    menu_entry.cm06 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:1.-Main Groups:Comb. 2MGr x 2Gr [2SGr x 6Tr] x2 ...Heavy!!!"  if rt:has_menu_entry(menu_entry.cm06) then rt:remove_menu_entry(menu_entry.cm06) end
    menu_entry.cm07 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:1.-Main Groups:Comb. 2MGr x 2Gr [2SGr x 8Tr]"                 if rt:has_menu_entry(menu_entry.cm07) then rt:remove_menu_entry(menu_entry.cm07) end
    menu_entry.cm08 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:1.-Main Groups:Comb. A1.-8MGr x 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.cm08) then rt:remove_menu_entry(menu_entry.cm08) end
    menu_entry.cm09 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:1.-Main Groups:Comb. A2.-8MGr x 2Gr [2SGr x 4Tr] ...Heavy!!!" if rt:has_menu_entry(menu_entry.cm09) then rt:remove_menu_entry(menu_entry.cm09) end
    menu_entry.cm10 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:1.-Main Groups:Comb. B1.-8MGr x 2Gr [2SGr x 2Tr]"             if rt:has_menu_entry(menu_entry.cm10) then rt:remove_menu_entry(menu_entry.cm10) end
    menu_entry.cm11 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:1.-Main Groups:Comb. B2.-8MGr x 2Gr [2SGr x 4Tr] ...Heavy!!!" if rt:has_menu_entry(menu_entry.cm11) then rt:remove_menu_entry(menu_entry.cm11) end

    menu_entry.cm12 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:2.-Groups:Comb. 5Gr [2SGr x 2Tr]"                if rt:has_menu_entry(menu_entry.cm12) then rt:remove_menu_entry(menu_entry.cm12) end
    menu_entry.cm13 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:2.-Groups:Comb. 5Gr [2SGr x 2Tr] x2"             if rt:has_menu_entry(menu_entry.cm13) then rt:remove_menu_entry(menu_entry.cm13) end
    menu_entry.cm14 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:2.-Groups:Comb. 5Gr [2SGr x 4Tr]"                if rt:has_menu_entry(menu_entry.cm14) then rt:remove_menu_entry(menu_entry.cm14) end
    menu_entry.cm15 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:2.-Groups:Comb. 5Gr [2SGr x 4Tr] x2"             if rt:has_menu_entry(menu_entry.cm15) then rt:remove_menu_entry(menu_entry.cm15) end
    menu_entry.cm16 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:2.-Groups:Comb. 5Gr [2SGr x 6Tr]"                if rt:has_menu_entry(menu_entry.cm16) then rt:remove_menu_entry(menu_entry.cm16) end
    menu_entry.cm17 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:2.-Groups:Comb. 5Gr [2SGr x 6Tr] x2 ...Heavy!!!" if rt:has_menu_entry(menu_entry.cm17) then rt:remove_menu_entry(menu_entry.cm17) end
    menu_entry.cm18 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:2.-Groups:Comb. 5Gr [2SGr x 8Tr]"                if rt:has_menu_entry(menu_entry.cm18) then rt:remove_menu_entry(menu_entry.cm18) end

    menu_entry.cm19 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:3.-SubGroups:Comb. 16SGr x 2Tr"                 if rt:has_menu_entry(menu_entry.cm19) then rt:remove_menu_entry(menu_entry.cm19) end
    menu_entry.cm20 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:3.-SubGroups:Comb. 16SGr x 4Tr"                 if rt:has_menu_entry(menu_entry.cm20) then rt:remove_menu_entry(menu_entry.cm20) end
    menu_entry.cm21 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:3.-SubGroups:Comb. 16SGr x 6Tr"                 if rt:has_menu_entry(menu_entry.cm21) then rt:remove_menu_entry(menu_entry.cm21) end
    menu_entry.cm22 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:3.-SubGroups:Comb. 16SGr x 8Tr"                 if rt:has_menu_entry(menu_entry.cm22) then rt:remove_menu_entry(menu_entry.cm22) end

    menu_entry.cm23 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:4.-Tracks:Comb. 16x 2Tr"             if rt:has_menu_entry(menu_entry.cm23) then rt:remove_menu_entry(menu_entry.cm23) end
    menu_entry.cm24 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:4.-Tracks:Comb. 16x 4Tr"             if rt:has_menu_entry(menu_entry.cm24) then rt:remove_menu_entry(menu_entry.cm24) end
    menu_entry.cm25 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:4.-Tracks:Comb. 16x 6Tr"             if rt:has_menu_entry(menu_entry.cm25) then rt:remove_menu_entry(menu_entry.cm25) end
    menu_entry.cm26 = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:4.-Tracks:Comb. 16x 8Tr"             if rt:has_menu_entry(menu_entry.cm26) then rt:remove_menu_entry(menu_entry.cm26) end

  


    --[[ == Menu & Invoke AQUA == ]]--
  
    -- Main Group --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:1.-Main Group:Aqua 1MGr x 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_aqua") insert_sgroup("sgroup_two_aqua") insert_group("group_two_aqua") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_aqua") insert_sgroup("sgroup_two_aqua") insert_group("group_one_aqua") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_aqua") instert_groups_to_main_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:1.-Main Group:Aqua 1MGr x 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_aqua") insert_sgroup("sgroup_three_aqua") insert_group("group_two_aqua") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_aqua") insert_sgroup("sgroup_three_aqua") insert_group("group_one_aqua") instert_sgroups_to_group_2Gx3T()
                        insert_main_group("main_group_aqua") instert_groups_to_main_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:1.-Main Group:Aqua 1MGr x 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_aqua") insert_sgroup("sgroup_four_aqua") insert_group("group_two_aqua") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_aqua") insert_sgroup("sgroup_four_aqua") insert_group("group_one_aqua") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_aqua") instert_groups_to_main_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:1.-Main Group:Aqua 1MGr x 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_aqua") insert_sgroup("sgroup_five_aqua") insert_group("group_two_aqua") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_aqua") insert_sgroup("sgroup_five_aqua") insert_group("group_one_aqua") instert_sgroups_to_group_2Gx5T()
                        insert_main_group("main_group_aqua") instert_groups_to_main_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:1.-Main Group:Aqua 1MGr x 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_aqua") insert_sgroup("sgroup_six_aqua") insert_group("group_two_aqua") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_aqua") insert_sgroup("sgroup_six_aqua") insert_group("group_one_aqua") instert_sgroups_to_group_2Gx6T()
                        insert_main_group("main_group_aqua") instert_groups_to_main_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:1.-Main Group:Aqua 1MGr x 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_aqua") insert_sgroup("sgroup_seven_aqua") insert_group("group_two_aqua") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_aqua") insert_sgroup("sgroup_seven_aqua") insert_group("group_one_aqua") instert_sgroups_to_group_2Gx7T()
                        insert_main_group("main_group_aqua") instert_groups_to_main_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:1.-Main Group:Aqua 1MGr x 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_aqua") insert_sgroup("sgroup_eight_aqua") insert_group("group_two_aqua") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_aqua") insert_sgroup("sgroup_eight_aqua") insert_group("group_one_aqua") instert_sgroups_to_group_2Gx8T()
                        insert_main_group("main_group_aqua") instert_groups_to_main_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:1.-Main Group:Aqua 1 Main Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, taq.a2)
                        insert_main_group("main_group_aqua")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- Groups (Not Main Group) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:2.-Groups:Aqua 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_aqua") insert_sgroup("sgroup_two_aqua") insert_group("group_two_aqua") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_aqua") insert_sgroup("sgroup_two_aqua") insert_group("group_one_aqua") instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:2.-Groups:Aqua 4Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_aqua") insert_sgroup("sgroup_two_aqua") insert_group("group_four_aqua")  instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_aqua") insert_sgroup("sgroup_two_aqua") insert_group("group_three_aqua") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_aqua") insert_sgroup("sgroup_two_aqua") insert_group("group_two_aqua")   instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_aqua") insert_sgroup("sgroup_two_aqua") insert_group("group_one_aqua")   instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:2.-Groups:Aqua 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_aqua") insert_sgroup("sgroup_three_aqua") insert_group("group_two_aqua") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_aqua") insert_sgroup("sgroup_three_aqua") insert_group("group_one_aqua") instert_sgroups_to_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:2.-Groups:Aqua 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_aqua") insert_sgroup("sgroup_four_aqua") insert_group("group_two_aqua") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_aqua") insert_sgroup("sgroup_four_aqua") insert_group("group_one_aqua") instert_sgroups_to_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:2.-Groups:Aqua 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_aqua") insert_sgroup("sgroup_five_aqua") insert_group("group_two_aqua") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_aqua") insert_sgroup("sgroup_five_aqua") insert_group("group_one_aqua") instert_sgroups_to_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:2.-Groups:Aqua 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_aqua") insert_sgroup("sgroup_six_aqua") insert_group("group_two_aqua") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_aqua") insert_sgroup("sgroup_six_aqua") insert_group("group_one_aqua") instert_sgroups_to_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:2.-Groups:Aqua 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_aqua") insert_sgroup("sgroup_seven_aqua") insert_group("group_two_aqua") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_aqua") insert_sgroup("sgroup_seven_aqua") insert_group("group_one_aqua") instert_sgroups_to_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:2.-Groups:Aqua 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_aqua") insert_sgroup("sgroup_eight_aqua") insert_group("group_two_aqua") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_aqua") insert_sgroup("sgroup_eight_aqua") insert_group("group_one_aqua") instert_sgroups_to_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:2.-Groups:Aqua 1 Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, taq.a2)
                        insert_group("group_one_aqua")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- SubGroups (Not Groups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:3.-SubGroups:Aqua 4SGr x 2Tr" ,
    invoke = function() insert_sgroup("sgroup_two_aqua") insert_sgroup("sgroup_two_aqua")
                        insert_sgroup("sgroup_two_aqua") insert_sgroup("sgroup_two_aqua")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:3.-SubGroups:Aqua 4SGr x 3Tr" ,
    invoke = function() insert_sgroup("sgroup_three_aqua") insert_sgroup("sgroup_three_aqua")
                        insert_sgroup("sgroup_three_aqua") insert_sgroup("sgroup_three_aqua")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:3.-SubGroups:Aqua 4SGr x 4Tr" ,
    invoke = function() insert_sgroup("sgroup_four_aqua") insert_sgroup("sgroup_four_aqua")
                        insert_sgroup("sgroup_four_aqua") insert_sgroup("sgroup_four_aqua")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:3.-SubGroups:Aqua 4SGr x 5Tr" ,
    invoke = function() insert_sgroup("sgroup_five_aqua") insert_sgroup("sgroup_five_aqua")
                        insert_sgroup("sgroup_five_aqua") insert_sgroup("sgroup_five_aqua")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:3.-SubGroups:Aqua 4SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_aqua") insert_sgroup("sgroup_six_aqua")
                        insert_sgroup("sgroup_six_aqua") insert_sgroup("sgroup_six_aqua")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:3.-SubGroups:Aqua 2SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_aqua") insert_sgroup("sgroup_six_aqua")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:3.-SubGroups:Aqua 4SGr x 7Tr" ,
    invoke = function() insert_sgroup("sgroup_seven_aqua") insert_sgroup("sgroup_seven_aqua")
                        insert_sgroup("sgroup_seven_aqua") insert_sgroup("sgroup_seven_aqua")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:3.-SubGroups:Aqua 4SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_aqua") insert_sgroup("sgroup_eight_aqua")
                        insert_sgroup("sgroup_eight_aqua") insert_sgroup("sgroup_eight_aqua")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:3.-SubGroups:Aqua 2SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_aqua") insert_sgroup("sgroup_eight_aqua")
             end
  } end
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:3.-SubGroups:Aqua 1SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_aqua")
             end
  } end
  
    -- Tracks (Not SubGroups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:4.-Tracks:Aqua 2Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , taq.two) insert_track_only(rnst , taq.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:4.-Tracks:Aqua 4Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , taq.four)  insert_track_only(rnst , taq.three) insert_track_only(rnst , taq.two) insert_track_only(rnst , taq.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:4.-Tracks:Aqua 4Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , taq.a2) insert_track_only(rnst , taq.a1)
                        insert_track_only(rnst , taq.four)  insert_track_only(rnst , taq.three) insert_track_only(rnst , taq.two) insert_track_only(rnst , taq.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:4.-Tracks:Aqua 6Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , taq.six)   insert_track_only(rnst , taq.five) insert_track_only(rnst , taq.four)
                        insert_track_only(rnst , taq.three) insert_track_only(rnst , taq.two)  insert_track_only(rnst , taq.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:4.-Tracks:Aqua 8Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , taq.eight) insert_track_only(rnst , taq.seven) insert_track_only(rnst , taq.six) insert_track_only(rnst , taq.five)
                        insert_track_only(rnst , taq.four)  insert_track_only(rnst , taq.three) insert_track_only(rnst , taq.two) insert_track_only(rnst , taq.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:4.-Tracks:Aqua 8Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , taq.a2) insert_track_only(rnst , taq.a1)
                        insert_track_only(rnst , taq.eight) insert_track_only(rnst , taq.seven) insert_track_only(rnst , taq.six) insert_track_only(rnst , taq.five)
                        insert_track_only(rnst , taq.four)  insert_track_only(rnst , taq.three) insert_track_only(rnst , taq.two) insert_track_only(rnst , taq.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Aqua Color:4.-Tracks:Aqua 1AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , taq.a1)
             end
  } end
  
  
  
    --[[ == Menu & Invoke BLACK == ]]--
  
    -- Main Group --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:1.-Main Group:Black 1MGr x 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_black") insert_sgroup("sgroup_two_black") insert_group("group_two_black") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_black") insert_sgroup("sgroup_two_black") insert_group("group_one_black") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_black") instert_groups_to_main_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:1.-Main Group:Black 1MGr x 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_black") insert_sgroup("sgroup_three_black") insert_group("group_two_black") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_black") insert_sgroup("sgroup_three_black") insert_group("group_one_black") instert_sgroups_to_group_2Gx3T()
                        insert_main_group("main_group_black") instert_groups_to_main_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:1.-Main Group:Black 1MGr x 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_black") insert_sgroup("sgroup_four_black") insert_group("group_two_black") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_black") insert_sgroup("sgroup_four_black") insert_group("group_one_black") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_black") instert_groups_to_main_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:1.-Main Group:Black 1MGr x 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_black") insert_sgroup("sgroup_five_black") insert_group("group_two_black") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_black") insert_sgroup("sgroup_five_black") insert_group("group_one_black") instert_sgroups_to_group_2Gx5T()
                        insert_main_group("main_group_black") instert_groups_to_main_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:1.-Main Group:Black 1MGr x 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_black") insert_sgroup("sgroup_six_black") insert_group("group_two_black") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_black") insert_sgroup("sgroup_six_black") insert_group("group_one_black") instert_sgroups_to_group_2Gx6T()
                        insert_main_group("main_group_black") instert_groups_to_main_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:1.-Main Group:Black 1MGr x 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_black") insert_sgroup("sgroup_seven_black") insert_group("group_two_black") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_black") insert_sgroup("sgroup_seven_black") insert_group("group_one_black") instert_sgroups_to_group_2Gx7T()
                        insert_main_group("main_group_black") instert_groups_to_main_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:1.-Main Group:Black 1MGr x 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_black") insert_sgroup("sgroup_eight_black") insert_group("group_two_black") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_black") insert_sgroup("sgroup_eight_black") insert_group("group_one_black") instert_sgroups_to_group_2Gx8T()
                        insert_main_group("main_group_black") instert_groups_to_main_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:1.-Main Group:Black 1 Main Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tbk.a2)
                        insert_main_group("main_group_black")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- Groups (Not Main Group) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:2.-Groups:Black 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_black") insert_sgroup("sgroup_two_black") insert_group("group_two_black") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_black") insert_sgroup("sgroup_two_black") insert_group("group_one_black") instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:2.-Groups:Black 4Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_black") insert_sgroup("sgroup_two_black") insert_group("group_four_black")  instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_black") insert_sgroup("sgroup_two_black") insert_group("group_three_black") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_black") insert_sgroup("sgroup_two_black") insert_group("group_two_black")   instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_black") insert_sgroup("sgroup_two_black") insert_group("group_one_black")   instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:2.-Groups:Black 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_black") insert_sgroup("sgroup_three_black") insert_group("group_two_black") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_black") insert_sgroup("sgroup_three_black") insert_group("group_one_black") instert_sgroups_to_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:2.-Groups:Black 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_black") insert_sgroup("sgroup_four_black") insert_group("group_two_black") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_black") insert_sgroup("sgroup_four_black") insert_group("group_one_black") instert_sgroups_to_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:2.-Groups:Black 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_black") insert_sgroup("sgroup_five_black") insert_group("group_two_black") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_black") insert_sgroup("sgroup_five_black") insert_group("group_one_black") instert_sgroups_to_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:2.-Groups:Black 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_black") insert_sgroup("sgroup_six_black") insert_group("group_two_black") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_black") insert_sgroup("sgroup_six_black") insert_group("group_one_black") instert_sgroups_to_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:2.-Groups:Black 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_black") insert_sgroup("sgroup_seven_black") insert_group("group_two_black") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_black") insert_sgroup("sgroup_seven_black") insert_group("group_one_black") instert_sgroups_to_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:2.-Groups:Black 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_black") insert_sgroup("sgroup_eight_black") insert_group("group_two_black") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_black") insert_sgroup("sgroup_eight_black") insert_group("group_one_black") instert_sgroups_to_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:2.-Groups:Black 1 Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tbk.a2)
                        insert_group("group_one_black")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- SubGroups (Not Groups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:3.-SubGroups:Black 4SGr x 2Tr" ,
    invoke = function() insert_sgroup("sgroup_two_black") insert_sgroup("sgroup_two_black")
                        insert_sgroup("sgroup_two_black") insert_sgroup("sgroup_two_black")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:3.-SubGroups:Black 4SGr x 3Tr" ,
    invoke = function() insert_sgroup("sgroup_three_black") insert_sgroup("sgroup_three_black")
                        insert_sgroup("sgroup_three_black") insert_sgroup("sgroup_three_black")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:3.-SubGroups:Black 4SGr x 4Tr" ,
    invoke = function() insert_sgroup("sgroup_four_black") insert_sgroup("sgroup_four_black")
                        insert_sgroup("sgroup_four_black") insert_sgroup("sgroup_four_black")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:3.-SubGroups:Black 4SGr x 5Tr" ,
    invoke = function() insert_sgroup("sgroup_five_black") insert_sgroup("sgroup_five_black")
                        insert_sgroup("sgroup_five_black") insert_sgroup("sgroup_five_black")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:3.-SubGroups:Black 4SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_black") insert_sgroup("sgroup_six_black")
                        insert_sgroup("sgroup_six_black") insert_sgroup("sgroup_six_black")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:3.-SubGroups:Black 2SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_black") insert_sgroup("sgroup_six_black")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:3.-SubGroups:Black 4SGr x 7Tr" ,
    invoke = function() insert_sgroup("sgroup_seven_black") insert_sgroup("sgroup_seven_black")
                        insert_sgroup("sgroup_seven_black") insert_sgroup("sgroup_seven_black")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:3.-SubGroups:Black 4SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_black") insert_sgroup("sgroup_eight_black")
                        insert_sgroup("sgroup_eight_black") insert_sgroup("sgroup_eight_black")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:3.-SubGroups:Black 2SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_black") insert_sgroup("sgroup_eight_black")
             end
  } end
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:3.-SubGroups:Black 1SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_black")
             end
  } end
  
    -- Tracks (Not SubGroups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:4.-Tracks:Black 2Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tbk.two) insert_track_only(rnst , tbk.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:4.-Tracks:Black 4Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tbk.four)  insert_track_only(rnst , tbk.three) insert_track_only(rnst , tbk.two) insert_track_only(rnst , tbk.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:4.-Tracks:Black 4Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tbk.a2) insert_track_only(rnst , tbk.a1)
                        insert_track_only(rnst , tbk.four)  insert_track_only(rnst , tbk.three) insert_track_only(rnst , tbk.two) insert_track_only(rnst , tbk.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:4.-Tracks:Black 6Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tbk.six)   insert_track_only(rnst , tbk.five) insert_track_only(rnst , tbk.four)
                        insert_track_only(rnst , tbk.three) insert_track_only(rnst , tbk.two)  insert_track_only(rnst , tbk.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:4.-Tracks:Black 8Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tbk.eight) insert_track_only(rnst , tbk.seven) insert_track_only(rnst , tbk.six) insert_track_only(rnst , tbk.five)
                        insert_track_only(rnst , tbk.four)  insert_track_only(rnst , tbk.three) insert_track_only(rnst , tbk.two) insert_track_only(rnst , tbk.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:4.-Tracks:Black 8Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tbk.a2) insert_track_only(rnst , tbk.a1)
                        insert_track_only(rnst , tbk.eight) insert_track_only(rnst , tbk.seven) insert_track_only(rnst , tbk.six) insert_track_only(rnst , tbk.five)
                        insert_track_only(rnst , tbk.four)  insert_track_only(rnst , tbk.three) insert_track_only(rnst , tbk.two) insert_track_only(rnst , tbk.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Black Color:4.-Tracks:Black 1AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tbk.a1)
             end
  } end
  
  
  
    --[[ == Menu & Invoke BLUE == ]]--
  
    -- Main Group --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:1.-Main Group:Blue 1MGr x 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_blue") insert_sgroup("sgroup_two_blue") insert_group("group_two_blue") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_blue") insert_sgroup("sgroup_two_blue") insert_group("group_one_blue") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_blue") instert_groups_to_main_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:1.-Main Group:Blue 1MGr x 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_blue") insert_sgroup("sgroup_three_blue") insert_group("group_two_blue") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_blue") insert_sgroup("sgroup_three_blue") insert_group("group_one_blue") instert_sgroups_to_group_2Gx3T()
                        insert_main_group("main_group_blue") instert_groups_to_main_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:1.-Main Group:Blue 1MGr x 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_blue") insert_sgroup("sgroup_four_blue") insert_group("group_two_blue") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_blue") insert_sgroup("sgroup_four_blue") insert_group("group_one_blue") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_blue") instert_groups_to_main_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:1.-Main Group:Blue 1MGr x 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_blue") insert_sgroup("sgroup_five_blue") insert_group("group_two_blue") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_blue") insert_sgroup("sgroup_five_blue") insert_group("group_one_blue") instert_sgroups_to_group_2Gx5T()
                        insert_main_group("main_group_blue") instert_groups_to_main_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:1.-Main Group:Blue 1MGr x 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_blue") insert_sgroup("sgroup_six_blue") insert_group("group_two_blue") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_blue") insert_sgroup("sgroup_six_blue") insert_group("group_one_blue") instert_sgroups_to_group_2Gx6T()
                        insert_main_group("main_group_blue") instert_groups_to_main_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:1.-Main Group:Blue 1MGr x 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_blue") insert_sgroup("sgroup_seven_blue") insert_group("group_two_blue") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_blue") insert_sgroup("sgroup_seven_blue") insert_group("group_one_blue") instert_sgroups_to_group_2Gx7T()
                        insert_main_group("main_group_blue") instert_groups_to_main_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:1.-Main Group:Blue 1MGr x 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_blue") insert_sgroup("sgroup_eight_blue") insert_group("group_two_blue") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_blue") insert_sgroup("sgroup_eight_blue") insert_group("group_one_blue") instert_sgroups_to_group_2Gx8T()
                        insert_main_group("main_group_blue") instert_groups_to_main_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:1.-Main Group:Blue 1 Main Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tbl.a2)
                        insert_main_group("main_group_blue")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- Groups (Not Main Group) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:2.-Groups:Blue 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_blue") insert_sgroup("sgroup_two_blue") insert_group("group_two_blue") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_blue") insert_sgroup("sgroup_two_blue") insert_group("group_one_blue") instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:2.-Groups:Blue 4Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_blue") insert_sgroup("sgroup_two_blue") insert_group("group_four_blue")  instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_blue") insert_sgroup("sgroup_two_blue") insert_group("group_three_blue") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_blue") insert_sgroup("sgroup_two_blue") insert_group("group_two_blue")   instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_blue") insert_sgroup("sgroup_two_blue") insert_group("group_one_blue")   instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:2.-Groups:Blue 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_blue") insert_sgroup("sgroup_three_blue") insert_group("group_two_blue") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_blue") insert_sgroup("sgroup_three_blue") insert_group("group_one_blue") instert_sgroups_to_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:2.-Groups:Blue 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_blue") insert_sgroup("sgroup_four_blue") insert_group("group_two_blue") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_blue") insert_sgroup("sgroup_four_blue") insert_group("group_one_blue") instert_sgroups_to_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:2.-Groups:Blue 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_blue") insert_sgroup("sgroup_five_blue") insert_group("group_two_blue") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_blue") insert_sgroup("sgroup_five_blue") insert_group("group_one_blue") instert_sgroups_to_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:2.-Groups:Blue 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_blue") insert_sgroup("sgroup_six_blue") insert_group("group_two_blue") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_blue") insert_sgroup("sgroup_six_blue") insert_group("group_one_blue") instert_sgroups_to_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:2.-Groups:Blue 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_blue") insert_sgroup("sgroup_seven_blue") insert_group("group_two_blue") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_blue") insert_sgroup("sgroup_seven_blue") insert_group("group_one_blue") instert_sgroups_to_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:2.-Groups:Blue 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_blue") insert_sgroup("sgroup_eight_blue") insert_group("group_two_blue") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_blue") insert_sgroup("sgroup_eight_blue") insert_group("group_one_blue") instert_sgroups_to_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:2.-Groups:Blue 1 Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tbl.a2)
                        insert_group("group_one_blue")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- SubGroups (Not Groups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:3.-SubGroups:Blue 4SGr x 2Tr" ,
    invoke = function() insert_sgroup("sgroup_two_blue") insert_sgroup("sgroup_two_blue")
                        insert_sgroup("sgroup_two_blue") insert_sgroup("sgroup_two_blue")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:3.-SubGroups:Blue 4SGr x 3Tr" ,
    invoke = function() insert_sgroup("sgroup_three_blue") insert_sgroup("sgroup_three_blue")
                        insert_sgroup("sgroup_three_blue") insert_sgroup("sgroup_three_blue")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:3.-SubGroups:Blue 4SGr x 4Tr" ,
    invoke = function() insert_sgroup("sgroup_four_blue") insert_sgroup("sgroup_four_blue")
                        insert_sgroup("sgroup_four_blue") insert_sgroup("sgroup_four_blue")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:3.-SubGroups:Blue 4SGr x 5Tr" ,
    invoke = function() insert_sgroup("sgroup_five_blue") insert_sgroup("sgroup_five_blue")
                        insert_sgroup("sgroup_five_blue") insert_sgroup("sgroup_five_blue")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:3.-SubGroups:Blue 4SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_blue") insert_sgroup("sgroup_six_blue")
                        insert_sgroup("sgroup_six_blue") insert_sgroup("sgroup_six_blue")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:3.-SubGroups:Blue 2SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_blue") insert_sgroup("sgroup_six_blue")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:3.-SubGroups:Blue 4SGr x 7Tr" ,
    invoke = function() insert_sgroup("sgroup_seven_blue") insert_sgroup("sgroup_seven_blue")
                        insert_sgroup("sgroup_seven_blue") insert_sgroup("sgroup_seven_blue")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:3.-SubGroups:Blue 4SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_blue") insert_sgroup("sgroup_eight_blue")
                        insert_sgroup("sgroup_eight_blue") insert_sgroup("sgroup_eight_blue")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:3.-SubGroups:Blue 2SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_blue") insert_sgroup("sgroup_eight_blue")
             end
  } end
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:3.-SubGroups:Blue 1SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_blue")
             end
  } end
  
    -- Tracks (Not SubGroups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:4.-Tracks:Blue 2Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tbl.two) insert_track_only(rnst , tbl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:4.-Tracks:Blue 4Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tbl.four)  insert_track_only(rnst , tbl.three) insert_track_only(rnst , tbl.two) insert_track_only(rnst , tbl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:4.-Tracks:Blue 4Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tbl.a2) insert_track_only(rnst , tbl.a1)
                        insert_track_only(rnst , tbl.four)  insert_track_only(rnst , tbl.three) insert_track_only(rnst , tbl.two) insert_track_only(rnst , tbl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:4.-Tracks:Blue 6Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tbl.six)   insert_track_only(rnst , tbl.five) insert_track_only(rnst , tbl.four)
                        insert_track_only(rnst , tbl.three) insert_track_only(rnst , tbl.two)  insert_track_only(rnst , tbl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:4.-Tracks:Blue 8Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tbl.eight) insert_track_only(rnst , tbl.seven) insert_track_only(rnst , tbl.six) insert_track_only(rnst , tbl.five)
                        insert_track_only(rnst , tbl.four)  insert_track_only(rnst , tbl.three) insert_track_only(rnst , tbl.two) insert_track_only(rnst , tbl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:4.-Tracks:Blue 8Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tbl.a2) insert_track_only(rnst , tbl.a1)
                        insert_track_only(rnst , tbl.eight) insert_track_only(rnst , tbl.seven) insert_track_only(rnst , tbl.six) insert_track_only(rnst , tbl.five)
                        insert_track_only(rnst , tbl.four)  insert_track_only(rnst , tbl.three) insert_track_only(rnst , tbl.two) insert_track_only(rnst , tbl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Blue Color:4.-Tracks:Blue 1AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tbl.a1)
             end
  } end
  
  
  
    --[[ == Menu & Invoke BROWN == ]]--
  
    -- Main Group --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:1.-Main Group:Brown 1MGr x 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_brown") insert_sgroup("sgroup_two_brown") insert_group("group_two_brown") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_brown") insert_sgroup("sgroup_two_brown") insert_group("group_one_brown") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_brown") instert_groups_to_main_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:1.-Main Group:Brown 1MGr x 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_brown") insert_sgroup("sgroup_three_brown") insert_group("group_two_brown") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_brown") insert_sgroup("sgroup_three_brown") insert_group("group_one_brown") instert_sgroups_to_group_2Gx3T()
                        insert_main_group("main_group_brown") instert_groups_to_main_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:1.-Main Group:Brown 1MGr x 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_brown") insert_sgroup("sgroup_four_brown") insert_group("group_two_brown") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_brown") insert_sgroup("sgroup_four_brown") insert_group("group_one_brown") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_brown") instert_groups_to_main_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:1.-Main Group:Brown 1MGr x 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_brown") insert_sgroup("sgroup_five_brown") insert_group("group_two_brown") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_brown") insert_sgroup("sgroup_five_brown") insert_group("group_one_brown") instert_sgroups_to_group_2Gx5T()
                        insert_main_group("main_group_brown") instert_groups_to_main_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:1.-Main Group:Brown 1MGr x 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_brown") insert_sgroup("sgroup_six_brown") insert_group("group_two_brown") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_brown") insert_sgroup("sgroup_six_brown") insert_group("group_one_brown") instert_sgroups_to_group_2Gx6T()
                        insert_main_group("main_group_brown") instert_groups_to_main_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:1.-Main Group:Brown 1MGr x 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_brown") insert_sgroup("sgroup_seven_brown") insert_group("group_two_brown") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_brown") insert_sgroup("sgroup_seven_brown") insert_group("group_one_brown") instert_sgroups_to_group_2Gx7T()
                        insert_main_group("main_group_brown") instert_groups_to_main_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:1.-Main Group:Brown 1MGr x 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_brown") insert_sgroup("sgroup_eight_brown") insert_group("group_two_brown") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_brown") insert_sgroup("sgroup_eight_brown") insert_group("group_one_brown") instert_sgroups_to_group_2Gx8T()
                        insert_main_group("main_group_brown") instert_groups_to_main_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:1.-Main Group:Brown 1 Main Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tbr.a2)
                        insert_main_group("main_group_brown")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- Groups (Not Main Group) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:2.-Groups:Brown 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_brown") insert_sgroup("sgroup_two_brown") insert_group("group_two_brown") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_brown") insert_sgroup("sgroup_two_brown") insert_group("group_one_brown") instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:2.-Groups:Brown 4Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_brown") insert_sgroup("sgroup_two_brown") insert_group("group_four_brown")  instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_brown") insert_sgroup("sgroup_two_brown") insert_group("group_three_brown") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_brown") insert_sgroup("sgroup_two_brown") insert_group("group_two_brown")   instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_brown") insert_sgroup("sgroup_two_brown") insert_group("group_one_brown")   instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:2.-Groups:Brown 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_brown") insert_sgroup("sgroup_three_brown") insert_group("group_two_brown") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_brown") insert_sgroup("sgroup_three_brown") insert_group("group_one_brown") instert_sgroups_to_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:2.-Groups:Brown 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_brown") insert_sgroup("sgroup_four_brown") insert_group("group_two_brown") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_brown") insert_sgroup("sgroup_four_brown") insert_group("group_one_brown") instert_sgroups_to_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:2.-Groups:Brown 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_brown") insert_sgroup("sgroup_five_brown") insert_group("group_two_brown") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_brown") insert_sgroup("sgroup_five_brown") insert_group("group_one_brown") instert_sgroups_to_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:2.-Groups:Brown 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_brown") insert_sgroup("sgroup_six_brown") insert_group("group_two_brown") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_brown") insert_sgroup("sgroup_six_brown") insert_group("group_one_brown") instert_sgroups_to_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:2.-Groups:Brown 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_brown") insert_sgroup("sgroup_seven_brown") insert_group("group_two_brown") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_brown") insert_sgroup("sgroup_seven_brown") insert_group("group_one_brown") instert_sgroups_to_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:2.-Groups:Brown 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_brown") insert_sgroup("sgroup_eight_brown") insert_group("group_two_brown") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_brown") insert_sgroup("sgroup_eight_brown") insert_group("group_one_brown") instert_sgroups_to_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:2.-Groups:Brown 1 Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tbr.a2)
                        insert_group("group_one_brown")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- SubGroups (Not Groups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:3.-SubGroups:Brown 4SGr x 2Tr" ,
    invoke = function() insert_sgroup("sgroup_two_brown") insert_sgroup("sgroup_two_brown")
                        insert_sgroup("sgroup_two_brown") insert_sgroup("sgroup_two_brown")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:3.-SubGroups:Brown 4SGr x 3Tr" ,
    invoke = function() insert_sgroup("sgroup_three_brown") insert_sgroup("sgroup_three_brown")
                        insert_sgroup("sgroup_three_brown") insert_sgroup("sgroup_three_brown")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:3.-SubGroups:Brown 4SGr x 4Tr" ,
    invoke = function() insert_sgroup("sgroup_four_brown") insert_sgroup("sgroup_four_brown")
                        insert_sgroup("sgroup_four_brown") insert_sgroup("sgroup_four_brown")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:3.-SubGroups:Brown 4SGr x 5Tr" ,
    invoke = function() insert_sgroup("sgroup_five_brown") insert_sgroup("sgroup_five_brown")
                        insert_sgroup("sgroup_five_brown") insert_sgroup("sgroup_five_brown")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:3.-SubGroups:Brown 4SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_brown") insert_sgroup("sgroup_six_brown")
                        insert_sgroup("sgroup_six_brown") insert_sgroup("sgroup_six_brown")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:3.-SubGroups:Brown 2SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_brown") insert_sgroup("sgroup_six_brown")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:3.-SubGroups:Brown 4SGr x 7Tr" ,
    invoke = function() insert_sgroup("sgroup_seven_brown") insert_sgroup("sgroup_seven_brown")
                        insert_sgroup("sgroup_seven_brown") insert_sgroup("sgroup_seven_brown")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:3.-SubGroups:Brown 4SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_brown") insert_sgroup("sgroup_eight_brown")
                        insert_sgroup("sgroup_eight_brown") insert_sgroup("sgroup_eight_brown")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:3.-SubGroups:Brown 2SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_brown") insert_sgroup("sgroup_eight_brown")
             end
  } end
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:3.-SubGroups:Brown 1SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_brown")
             end
  } end
  
    -- Tracks (Not SubGroups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:4.-Tracks:Brown 2Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tbr.two) insert_track_only(rnst , tbr.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:4.-Tracks:Brown 4Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tbr.four)  insert_track_only(rnst , tbr.three) insert_track_only(rnst , tbr.two) insert_track_only(rnst , tbr.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:4.-Tracks:Brown 4Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tbr.a2) insert_track_only(rnst , tbr.a1)
                        insert_track_only(rnst , tbr.four)  insert_track_only(rnst , tbr.three) insert_track_only(rnst , tbr.two) insert_track_only(rnst , tbr.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:4.-Tracks:Brown 6Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tbr.six)   insert_track_only(rnst , tbr.five) insert_track_only(rnst , tbr.four)
                        insert_track_only(rnst , tbr.three) insert_track_only(rnst , tbr.two)  insert_track_only(rnst , tbr.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:4.-Tracks:Brown 8Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tbr.eight) insert_track_only(rnst , tbr.seven) insert_track_only(rnst , tbr.six) insert_track_only(rnst , tbr.five)
                        insert_track_only(rnst , tbr.four)  insert_track_only(rnst , tbr.three) insert_track_only(rnst , tbr.two) insert_track_only(rnst , tbr.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:4.-Tracks:Brown 8Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tbr.a2) insert_track_only(rnst , tbr.a1)
                        insert_track_only(rnst , tbr.eight) insert_track_only(rnst , tbr.seven) insert_track_only(rnst , tbr.six) insert_track_only(rnst , tbr.five)
                        insert_track_only(rnst , tbr.four)  insert_track_only(rnst , tbr.three) insert_track_only(rnst , tbr.two) insert_track_only(rnst , tbr.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Brown Color:4.-Tracks:Brown 1AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tbr.a1)
             end
  } end
  
  
  
    --[[ == Menu & Invoke GOLD == ]]--
  
    -- Main Group --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:1.-Main Group:Gold 1MGr x 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_gold") insert_sgroup("sgroup_two_gold") insert_group("group_two_gold") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_gold") insert_sgroup("sgroup_two_gold") insert_group("group_one_gold") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_gold") instert_groups_to_main_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:1.-Main Group:Gold 1MGr x 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_gold") insert_sgroup("sgroup_three_gold") insert_group("group_two_gold") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_gold") insert_sgroup("sgroup_three_gold") insert_group("group_one_gold") instert_sgroups_to_group_2Gx3T()
                        insert_main_group("main_group_gold") instert_groups_to_main_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:1.-Main Group:Gold 1MGr x 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_gold") insert_sgroup("sgroup_four_gold") insert_group("group_two_gold") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_gold") insert_sgroup("sgroup_four_gold") insert_group("group_one_gold") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_gold") instert_groups_to_main_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:1.-Main Group:Gold 1MGr x 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_gold") insert_sgroup("sgroup_five_gold") insert_group("group_two_gold") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_gold") insert_sgroup("sgroup_five_gold") insert_group("group_one_gold") instert_sgroups_to_group_2Gx5T()
                        insert_main_group("main_group_gold") instert_groups_to_main_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:1.-Main Group:Gold 1MGr x 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_gold") insert_sgroup("sgroup_six_gold") insert_group("group_two_gold") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_gold") insert_sgroup("sgroup_six_gold") insert_group("group_one_gold") instert_sgroups_to_group_2Gx6T()
                        insert_main_group("main_group_gold") instert_groups_to_main_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:1.-Main Group:Gold 1MGr x 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_gold") insert_sgroup("sgroup_seven_gold") insert_group("group_two_gold") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_gold") insert_sgroup("sgroup_seven_gold") insert_group("group_one_gold") instert_sgroups_to_group_2Gx7T()
                        insert_main_group("main_group_gold") instert_groups_to_main_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:1.-Main Group:Gold 1MGr x 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_gold") insert_sgroup("sgroup_eight_gold") insert_group("group_two_gold") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_gold") insert_sgroup("sgroup_eight_gold") insert_group("group_one_gold") instert_sgroups_to_group_2Gx8T()
                        insert_main_group("main_group_gold") instert_groups_to_main_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:1.-Main Group:Gold 1 Main Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tgl.a2)
                        insert_main_group("main_group_gold")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- Groups (Not Main Group) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:2.-Groups:Gold 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_gold") insert_sgroup("sgroup_two_gold") insert_group("group_two_gold") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_gold") insert_sgroup("sgroup_two_gold") insert_group("group_one_gold") instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:2.-Groups:Gold 4Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_gold") insert_sgroup("sgroup_two_gold") insert_group("group_four_gold")  instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_gold") insert_sgroup("sgroup_two_gold") insert_group("group_three_gold") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_gold") insert_sgroup("sgroup_two_gold") insert_group("group_two_gold")   instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_gold") insert_sgroup("sgroup_two_gold") insert_group("group_one_gold")   instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:2.-Groups:Gold 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_gold") insert_sgroup("sgroup_three_gold") insert_group("group_two_gold") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_gold") insert_sgroup("sgroup_three_gold") insert_group("group_one_gold") instert_sgroups_to_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:2.-Groups:Gold 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_gold") insert_sgroup("sgroup_four_gold") insert_group("group_two_gold") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_gold") insert_sgroup("sgroup_four_gold") insert_group("group_one_gold") instert_sgroups_to_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:2.-Groups:Gold 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_gold") insert_sgroup("sgroup_five_gold") insert_group("group_two_gold") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_gold") insert_sgroup("sgroup_five_gold") insert_group("group_one_gold") instert_sgroups_to_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:2.-Groups:Gold 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_gold") insert_sgroup("sgroup_six_gold") insert_group("group_two_gold") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_gold") insert_sgroup("sgroup_six_gold") insert_group("group_one_gold") instert_sgroups_to_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:2.-Groups:Gold 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_gold") insert_sgroup("sgroup_seven_gold") insert_group("group_two_gold") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_gold") insert_sgroup("sgroup_seven_gold") insert_group("group_one_gold") instert_sgroups_to_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:2.-Groups:Gold 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_gold") insert_sgroup("sgroup_eight_gold") insert_group("group_two_gold") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_gold") insert_sgroup("sgroup_eight_gold") insert_group("group_one_gold") instert_sgroups_to_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:2.-Groups:Gold 1 Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tgl.a2)
                        insert_group("group_one_gold")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- SubGroups (Not Groups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:3.-SubGroups:Gold 4SGr x 2Tr" ,
    invoke = function() insert_sgroup("sgroup_two_gold") insert_sgroup("sgroup_two_gold")
                        insert_sgroup("sgroup_two_gold") insert_sgroup("sgroup_two_gold")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:3.-SubGroups:Gold 4SGr x 3Tr" ,
    invoke = function() insert_sgroup("sgroup_three_gold") insert_sgroup("sgroup_three_gold")
                        insert_sgroup("sgroup_three_gold") insert_sgroup("sgroup_three_gold")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:3.-SubGroups:Gold 4SGr x 4Tr" ,
    invoke = function() insert_sgroup("sgroup_four_gold") insert_sgroup("sgroup_four_gold")
                        insert_sgroup("sgroup_four_gold") insert_sgroup("sgroup_four_gold")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:3.-SubGroups:Gold 4SGr x 5Tr" ,
    invoke = function() insert_sgroup("sgroup_five_gold") insert_sgroup("sgroup_five_gold")
                        insert_sgroup("sgroup_five_gold") insert_sgroup("sgroup_five_gold")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:3.-SubGroups:Gold 4SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_gold") insert_sgroup("sgroup_six_gold")
                        insert_sgroup("sgroup_six_gold") insert_sgroup("sgroup_six_gold")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:3.-SubGroups:Gold 2SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_gold") insert_sgroup("sgroup_six_gold")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:3.-SubGroups:Gold 4SGr x 7Tr" ,
    invoke = function() insert_sgroup("sgroup_seven_gold") insert_sgroup("sgroup_seven_gold")
                        insert_sgroup("sgroup_seven_gold") insert_sgroup("sgroup_seven_gold")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:3.-SubGroups:Gold 4SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_gold") insert_sgroup("sgroup_eight_gold")
                        insert_sgroup("sgroup_eight_gold") insert_sgroup("sgroup_eight_gold")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:3.-SubGroups:Gold 2SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_gold") insert_sgroup("sgroup_eight_gold")
             end
  } end
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:3.-SubGroups:Gold 1SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_gold")
             end
  } end
  
    -- Tracks (Not SubGroups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:4.-Tracks:Gold 2Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tgl.two) insert_track_only(rnst , tgl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:4.-Tracks:Gold 4Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tgl.four)  insert_track_only(rnst , tgl.three) insert_track_only(rnst , tgl.two) insert_track_only(rnst , tgl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:4.-Tracks:Gold 4Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tgl.a2) insert_track_only(rnst , tgl.a1)
                        insert_track_only(rnst , tgl.four)  insert_track_only(rnst , tgl.three) insert_track_only(rnst , tgl.two) insert_track_only(rnst , tgl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:4.-Tracks:Gold 6Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tgl.six)   insert_track_only(rnst , tgl.five) insert_track_only(rnst , tgl.four)
                        insert_track_only(rnst , tgl.three) insert_track_only(rnst , tgl.two)  insert_track_only(rnst , tgl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:4.-Tracks:Gold 8Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tgl.eight) insert_track_only(rnst , tgl.seven) insert_track_only(rnst , tgl.six) insert_track_only(rnst , tgl.five)
                        insert_track_only(rnst , tgl.four)  insert_track_only(rnst , tgl.three) insert_track_only(rnst , tgl.two) insert_track_only(rnst , tgl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:4.-Tracks:Gold 8Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tgl.a2) insert_track_only(rnst , tgl.a1)
                        insert_track_only(rnst , tgl.eight) insert_track_only(rnst , tgl.seven) insert_track_only(rnst , tgl.six) insert_track_only(rnst , tgl.five)
                        insert_track_only(rnst , tgl.four)  insert_track_only(rnst , tgl.three) insert_track_only(rnst , tgl.two) insert_track_only(rnst , tgl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gold Color:4.-Tracks:Gold 1AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tgl.a1)
             end
  } end
  
  
  
    --[[ == Menu & Invoke GRAY == ]]--
  
    -- Main Group --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:1.-Main Group:Gray 1MGr x 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_gray") insert_sgroup("sgroup_two_gray") insert_group("group_two_gray") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_gray") insert_sgroup("sgroup_two_gray") insert_group("group_one_gray") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_gray") instert_groups_to_main_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:1.-Main Group:Gray 1MGr x 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_gray") insert_sgroup("sgroup_three_gray") insert_group("group_two_gray") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_gray") insert_sgroup("sgroup_three_gray") insert_group("group_one_gray") instert_sgroups_to_group_2Gx3T()
                        insert_main_group("main_group_gray") instert_groups_to_main_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:1.-Main Group:Gray 1MGr x 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_gray") insert_sgroup("sgroup_four_gray") insert_group("group_two_gray") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_gray") insert_sgroup("sgroup_four_gray") insert_group("group_one_gray") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_gray") instert_groups_to_main_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:1.-Main Group:Gray 1MGr x 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_gray") insert_sgroup("sgroup_five_gray") insert_group("group_two_gray") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_gray") insert_sgroup("sgroup_five_gray") insert_group("group_one_gray") instert_sgroups_to_group_2Gx5T()
                        insert_main_group("main_group_gray") instert_groups_to_main_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:1.-Main Group:Gray 1MGr x 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_gray") insert_sgroup("sgroup_six_gray") insert_group("group_two_gray") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_gray") insert_sgroup("sgroup_six_gray") insert_group("group_one_gray") instert_sgroups_to_group_2Gx6T()
                        insert_main_group("main_group_gray") instert_groups_to_main_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:1.-Main Group:Gray 1MGr x 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_gray") insert_sgroup("sgroup_seven_gray") insert_group("group_two_gray") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_gray") insert_sgroup("sgroup_seven_gray") insert_group("group_one_gray") instert_sgroups_to_group_2Gx7T()
                        insert_main_group("main_group_gray") instert_groups_to_main_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:1.-Main Group:Gray 1MGr x 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_gray") insert_sgroup("sgroup_eight_gray") insert_group("group_two_gray") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_gray") insert_sgroup("sgroup_eight_gray") insert_group("group_one_gray") instert_sgroups_to_group_2Gx8T()
                        insert_main_group("main_group_gray") instert_groups_to_main_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:1.-Main Group:Gray 1 Main Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tgy.a2)
                        insert_main_group("main_group_gray")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- Groups (Not Main Group) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:2.-Groups:Gray 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_gray") insert_sgroup("sgroup_two_gray") insert_group("group_two_gray") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_gray") insert_sgroup("sgroup_two_gray") insert_group("group_one_gray") instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:2.-Groups:Gray 4Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_gray") insert_sgroup("sgroup_two_gray") insert_group("group_four_gray")  instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_gray") insert_sgroup("sgroup_two_gray") insert_group("group_three_gray") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_gray") insert_sgroup("sgroup_two_gray") insert_group("group_two_gray")   instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_gray") insert_sgroup("sgroup_two_gray") insert_group("group_one_gray")   instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:2.-Groups:Gray 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_gray") insert_sgroup("sgroup_three_gray") insert_group("group_two_gray") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_gray") insert_sgroup("sgroup_three_gray") insert_group("group_one_gray") instert_sgroups_to_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:2.-Groups:Gray 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_gray") insert_sgroup("sgroup_four_gray") insert_group("group_two_gray") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_gray") insert_sgroup("sgroup_four_gray") insert_group("group_one_gray") instert_sgroups_to_group_2Gx4T()
             end
  } end
  
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:2.-Groups:Gray 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_gray") insert_sgroup("sgroup_five_gray") insert_group("group_two_gray") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_gray") insert_sgroup("sgroup_five_gray") insert_group("group_one_gray") instert_sgroups_to_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:2.-Groups:Gray 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_gray") insert_sgroup("sgroup_six_gray") insert_group("group_two_gray") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_gray") insert_sgroup("sgroup_six_gray") insert_group("group_one_gray") instert_sgroups_to_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:2.-Groups:Gray 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_gray") insert_sgroup("sgroup_seven_gray") insert_group("group_two_gray") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_gray") insert_sgroup("sgroup_seven_gray") insert_group("group_one_gray") instert_sgroups_to_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:2.-Groups:Gray 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_gray") insert_sgroup("sgroup_eight_gray") insert_group("group_two_gray") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_gray") insert_sgroup("sgroup_eight_gray") insert_group("group_one_gray") instert_sgroups_to_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:2.-Groups:Gray 1 Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tgy.a2)
                        insert_group("group_one_gray")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- SubGroups (Not Groups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:3.-SubGroups:Gray 4SGr x 2Tr" ,
    invoke = function() insert_sgroup("sgroup_two_gray") insert_sgroup("sgroup_two_gray")
                        insert_sgroup("sgroup_two_gray") insert_sgroup("sgroup_two_gray")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:3.-SubGroups:Gray 4SGr x 3Tr" ,
    invoke = function() insert_sgroup("sgroup_three_gray") insert_sgroup("sgroup_three_gray")
                        insert_sgroup("sgroup_three_gray") insert_sgroup("sgroup_three_gray")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:3.-SubGroups:Gray 4SGr x 4Tr" ,
    invoke = function() insert_sgroup("sgroup_four_gray") insert_sgroup("sgroup_four_gray")
                        insert_sgroup("sgroup_four_gray") insert_sgroup("sgroup_four_gray")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:3.-SubGroups:Gray 4SGr x 5Tr" ,
    invoke = function() insert_sgroup("sgroup_five_gray") insert_sgroup("sgroup_five_gray")
                        insert_sgroup("sgroup_five_gray") insert_sgroup("sgroup_five_gray")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:3.-SubGroups:Gray 4SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_gray") insert_sgroup("sgroup_six_gray")
                        insert_sgroup("sgroup_six_gray") insert_sgroup("sgroup_six_gray")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:3.-SubGroups:Gray 2SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_gray") insert_sgroup("sgroup_six_gray")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:3.-SubGroups:Gray 4SGr x 7Tr" ,
    invoke = function() insert_sgroup("sgroup_seven_gray") insert_sgroup("sgroup_seven_gray")
                        insert_sgroup("sgroup_seven_gray") insert_sgroup("sgroup_seven_gray")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:3.-SubGroups:Gray 4SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_gray") insert_sgroup("sgroup_eight_gray")
                        insert_sgroup("sgroup_eight_gray") insert_sgroup("sgroup_eight_gray")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:3.-SubGroups:Gray 2SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_gray") insert_sgroup("sgroup_eight_gray")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:3.-SubGroups:Gray 1SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_gray")
             end
  } end
  
    -- Tracks (Not SubGroups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:4.-Tracks:Gray 2Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tgy.two) insert_track_only(rnst , tgy.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:4.-Tracks:Gray 4Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tgy.four)  insert_track_only(rnst , tgy.three) insert_track_only(rnst , tgy.two) insert_track_only(rnst , tgy.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:4.-Tracks:Gray 4Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tgy.a2) insert_track_only(rnst , tgy.a1)
                        insert_track_only(rnst , tgy.four)  insert_track_only(rnst , tgy.three) insert_track_only(rnst , tgy.two) insert_track_only(rnst , tgy.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:4.-Tracks:Gray 6Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tgy.six)   insert_track_only(rnst , tgy.five) insert_track_only(rnst , tgy.four)
                        insert_track_only(rnst , tgy.three) insert_track_only(rnst , tgy.two)  insert_track_only(rnst , tgy.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:4.-Tracks:Gray 8Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tgy.eight) insert_track_only(rnst , tgy.seven) insert_track_only(rnst , tgy.six) insert_track_only(rnst , tgy.five)
                        insert_track_only(rnst , tgy.four)  insert_track_only(rnst , tgy.three) insert_track_only(rnst , tgy.two) insert_track_only(rnst , tgy.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:4.-Tracks:Gray 8Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tgy.a2) insert_track_only(rnst , tgy.a1)
                        insert_track_only(rnst , tgy.eight) insert_track_only(rnst , tgy.seven) insert_track_only(rnst , tgy.six) insert_track_only(rnst , tgy.five)
                        insert_track_only(rnst , tgy.four)  insert_track_only(rnst , tgy.three) insert_track_only(rnst , tgy.two) insert_track_only(rnst , tgy.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Gray Color:4.-Tracks:Gray 1AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tgy.a1)
             end
  } end
  
  
  
    --[[ == Menu & Invoke GREEN == ]]--
  
    -- Main Group --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:1.-Main Group:Green 1MGr x 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_green") insert_sgroup("sgroup_two_green") insert_group("group_two_green") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_green") insert_sgroup("sgroup_two_green") insert_group("group_one_green") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_green") instert_groups_to_main_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:1.-Main Group:Green 1MGr x 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_green") insert_sgroup("sgroup_three_green") insert_group("group_two_green") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_green") insert_sgroup("sgroup_three_green") insert_group("group_one_green") instert_sgroups_to_group_2Gx3T()
                        insert_main_group("main_group_green") instert_groups_to_main_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:1.-Main Group:Green 1MGr x 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_green") insert_sgroup("sgroup_four_green") insert_group("group_two_green") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_green") insert_sgroup("sgroup_four_green") insert_group("group_one_green") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_green") instert_groups_to_main_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:1.-Main Group:Green 1MGr x 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_green") insert_sgroup("sgroup_five_green") insert_group("group_two_green") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_green") insert_sgroup("sgroup_five_green") insert_group("group_one_green") instert_sgroups_to_group_2Gx5T()
                        insert_main_group("main_group_green") instert_groups_to_main_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:1.-Main Group:Green 1MGr x 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_green") insert_sgroup("sgroup_six_green") insert_group("group_two_green") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_green") insert_sgroup("sgroup_six_green") insert_group("group_one_green") instert_sgroups_to_group_2Gx6T()
                        insert_main_group("main_group_green") instert_groups_to_main_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:1.-Main Group:Green 1MGr x 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_green") insert_sgroup("sgroup_seven_green") insert_group("group_two_green") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_green") insert_sgroup("sgroup_seven_green") insert_group("group_one_green") instert_sgroups_to_group_2Gx7T()
                        insert_main_group("main_group_green") instert_groups_to_main_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:1.-Main Group:Green 1MGr x 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_green") insert_sgroup("sgroup_eight_green") insert_group("group_two_green") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_green") insert_sgroup("sgroup_eight_green") insert_group("group_one_green") instert_sgroups_to_group_2Gx8T()
                        insert_main_group("main_group_green") instert_groups_to_main_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:1.-Main Group:Green 1 Main Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tgr.a2)
                        insert_main_group("main_group_green")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- Groups (Not Main Group) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:2.-Groups:Green 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_green") insert_sgroup("sgroup_two_green") insert_group("group_two_green") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_green") insert_sgroup("sgroup_two_green") insert_group("group_one_green") instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:2.-Groups:Green 4Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_green") insert_sgroup("sgroup_two_green") insert_group("group_four_green")  instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_green") insert_sgroup("sgroup_two_green") insert_group("group_three_green") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_green") insert_sgroup("sgroup_two_green") insert_group("group_two_green")   instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_green") insert_sgroup("sgroup_two_green") insert_group("group_one_green")   instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:2.-Groups:Green 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_green") insert_sgroup("sgroup_three_green") insert_group("group_two_green") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_green") insert_sgroup("sgroup_three_green") insert_group("group_one_green")   instert_sgroups_to_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:2.-Groups:Green 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_green") insert_sgroup("sgroup_four_green") insert_group("group_two_green") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_green") insert_sgroup("sgroup_four_green") insert_group("group_one_green") instert_sgroups_to_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:2.-Groups:Green 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_green") insert_sgroup("sgroup_five_green") insert_group("group_two_green") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_green") insert_sgroup("sgroup_five_green") insert_group("group_one_green") instert_sgroups_to_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:2.-Groups:Green 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_green") insert_sgroup("sgroup_six_green") insert_group("group_two_green") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_green") insert_sgroup("sgroup_six_green") insert_group("group_one_green") instert_sgroups_to_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:2.-Groups:Green 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_green") insert_sgroup("sgroup_seven_green") insert_group("group_two_green") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_green") insert_sgroup("sgroup_seven_green") insert_group("group_one_green") instert_sgroups_to_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:2.-Groups:Green 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_green") insert_sgroup("sgroup_eight_green") insert_group("group_two_green") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_green") insert_sgroup("sgroup_eight_green") insert_group("group_one_green") instert_sgroups_to_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:2.-Groups:Green 1 Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tgr.a2)
                        insert_group("group_one_green")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- SubGroups (Not Groups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:3.-SubGroups:Green 4SGr x 2Tr" ,
    invoke = function() insert_sgroup("sgroup_two_green") insert_sgroup("sgroup_two_green")
                        insert_sgroup("sgroup_two_green") insert_sgroup("sgroup_two_green")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:3.-SubGroups:Green 4SGr x 3Tr" ,
    invoke = function() insert_sgroup("sgroup_three_green") insert_sgroup("sgroup_three_green")
                        insert_sgroup("sgroup_three_green") insert_sgroup("sgroup_three_green")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:3.-SubGroups:Green 4SGr x 4Tr" ,
    invoke = function() insert_sgroup("sgroup_four_green") insert_sgroup("sgroup_four_green")
                        insert_sgroup("sgroup_four_green") insert_sgroup("sgroup_four_green")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:3.-SubGroups:Green 4SGr x 5Tr" ,
    invoke = function() insert_sgroup("sgroup_five_green") insert_sgroup("sgroup_five_green")
                        insert_sgroup("sgroup_five_green") insert_sgroup("sgroup_five_green")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:3.-SubGroups:Green 4SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_green") insert_sgroup("sgroup_six_green")
                        insert_sgroup("sgroup_six_green") insert_sgroup("sgroup_six_green")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:3.-SubGroups:Green 2SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_green") insert_sgroup("sgroup_six_green")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:3.-SubGroups:Green 4SGr x 7Tr" ,
    invoke = function() insert_sgroup("sgroup_seven_green") insert_sgroup("sgroup_seven_green")
                        insert_sgroup("sgroup_seven_green") insert_sgroup("sgroup_seven_green")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:3.-SubGroups:Green 4SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_green") insert_sgroup("sgroup_eight_green")
                        insert_sgroup("sgroup_eight_green") insert_sgroup("sgroup_eight_green")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:3.-SubGroups:Green 2SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_green") insert_sgroup("sgroup_eight_green")
             end
  } end
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:3.-SubGroups:Green 1SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_green")
             end
  } end
  
    -- Tracks (Not SubGroups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:4.-Tracks:Green 2Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tgr.two) insert_track_only(rnst , tgr.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:4.-Tracks:Green 4Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tgr.four)  insert_track_only(rnst , tgr.three) insert_track_only(rnst , tgr.two) insert_track_only(rnst , tgr.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:4.-Tracks:Green 4Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tgr.a2) insert_track_only(rnst , tgr.a1)
                        insert_track_only(rnst , tgr.four)  insert_track_only(rnst , tgr.three) insert_track_only(rnst , tgr.two) insert_track_only(rnst , tgr.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:4.-Tracks:Green 6Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tgr.six)   insert_track_only(rnst , tgr.five) insert_track_only(rnst , tgr.four)
                        insert_track_only(rnst , tgr.three) insert_track_only(rnst , tgr.two)  insert_track_only(rnst , tgr.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:4.-Tracks:Green 8Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tgr.eight) insert_track_only(rnst , tgr.seven) insert_track_only(rnst , tgr.six) insert_track_only(rnst , tgr.five)
                        insert_track_only(rnst , tgr.four)  insert_track_only(rnst , tgr.three) insert_track_only(rnst , tgr.two) insert_track_only(rnst , tgr.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:4.-Tracks:Green 8Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tgr.a2) insert_track_only(rnst , tgr.a1)
                        insert_track_only(rnst , tgr.eight) insert_track_only(rnst , tgr.seven) insert_track_only(rnst , tgr.six) insert_track_only(rnst , tgr.five)
                        insert_track_only(rnst , tgr.four)  insert_track_only(rnst , tgr.three) insert_track_only(rnst , tgr.two) insert_track_only(rnst , tgr.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Green Color:4.-Tracks:Green 1AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tgr.a1)
             end
  } end
  
  
  
    --[[ == Menu & Invoke ORANGE == ]]--
  
    -- Main Group --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:1.-Main Group:Orange 1MGr x 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_orange") insert_sgroup("sgroup_two_orange") insert_group("group_two_orange") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_orange") insert_sgroup("sgroup_two_orange") insert_group("group_one_orange") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_orange") instert_groups_to_main_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:1.-Main Group:Orange 1MGr x 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_orange") insert_sgroup("sgroup_three_orange") insert_group("group_two_orange") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_orange") insert_sgroup("sgroup_three_orange") insert_group("group_one_orange") instert_sgroups_to_group_2Gx3T()
                        insert_main_group("main_group_orange") instert_groups_to_main_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:1.-Main Group:Orange 1MGr x 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_orange") insert_sgroup("sgroup_four_orange") insert_group("group_two_orange") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_orange") insert_sgroup("sgroup_four_orange") insert_group("group_one_orange") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_orange") instert_groups_to_main_group_2Gx4T()
             end
  } end
  
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:1.-Main Group:Orange 1MGr x 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_orange") insert_sgroup("sgroup_five_orange") insert_group("group_two_orange") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_orange") insert_sgroup("sgroup_five_orange") insert_group("group_one_orange") instert_sgroups_to_group_2Gx5T()
                        insert_main_group("main_group_orange") instert_groups_to_main_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:1.-Main Group:Orange 1MGr x 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_orange") insert_sgroup("sgroup_six_orange") insert_group("group_two_orange") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_orange") insert_sgroup("sgroup_six_orange") insert_group("group_one_orange") instert_sgroups_to_group_2Gx6T()
                        insert_main_group("main_group_orange") instert_groups_to_main_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:1.-Main Group:Orange 1MGr x 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_orange") insert_sgroup("sgroup_seven_orange") insert_group("group_two_orange") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_orange") insert_sgroup("sgroup_seven_orange") insert_group("group_one_orange") instert_sgroups_to_group_2Gx7T()
                        insert_main_group("main_group_orange") instert_groups_to_main_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:1.-Main Group:Orange 1MGr x 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_orange") insert_sgroup("sgroup_eight_orange") insert_group("group_two_orange") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_orange") insert_sgroup("sgroup_eight_orange") insert_group("group_one_orange") instert_sgroups_to_group_2Gx8T()
                        insert_main_group("main_group_orange") instert_groups_to_main_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:1.-Main Group:Orange 1 Main Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tor.a2)
                        insert_main_group("main_group_orange")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- Groups (Not Main Group) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:2.-Groups:Orange 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_orange") insert_sgroup("sgroup_two_orange") insert_group("group_two_orange") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_orange") insert_sgroup("sgroup_two_orange") insert_group("group_one_orange") instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:2.-Groups:Orange 4Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_orange") insert_sgroup("sgroup_two_orange") insert_group("group_four_orange")  instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_orange") insert_sgroup("sgroup_two_orange") insert_group("group_three_orange") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_orange") insert_sgroup("sgroup_two_orange") insert_group("group_two_orange")   instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_orange") insert_sgroup("sgroup_two_orange") insert_group("group_one_orange")   instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:2.-Groups:Orange 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_orange") insert_sgroup("sgroup_three_orange") insert_group("group_two_orange") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_orange") insert_sgroup("sgroup_three_orange") insert_group("group_one_orange") instert_sgroups_to_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:2.-Groups:Orange 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_orange") insert_sgroup("sgroup_four_orange") insert_group("group_two_orange") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_orange") insert_sgroup("sgroup_four_orange") insert_group("group_one_orange") instert_sgroups_to_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:2.-Groups:Orange 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_orange") insert_sgroup("sgroup_five_orange") insert_group("group_two_orange") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_orange") insert_sgroup("sgroup_five_orange") insert_group("group_one_orange") instert_sgroups_to_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:2.-Groups:Orange 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_orange") insert_sgroup("sgroup_six_orange") insert_group("group_two_orange") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_orange") insert_sgroup("sgroup_six_orange") insert_group("group_one_orange") instert_sgroups_to_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:2.-Groups:Orange 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_orange") insert_sgroup("sgroup_seven_orange") insert_group("group_two_orange") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_orange") insert_sgroup("sgroup_seven_orange") insert_group("group_one_orange") instert_sgroups_to_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:2.-Groups:Orange 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_orange") insert_sgroup("sgroup_eight_orange") insert_group("group_two_orange") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_orange") insert_sgroup("sgroup_eight_orange") insert_group("group_one_orange") instert_sgroups_to_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:2.-Groups:Orange 1 Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tor.a2)
                        insert_group("group_one_orange")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- SubGroups (Not Groups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:3.-SubGroups:Orange 4SGr x 2Tr" ,
    invoke = function() insert_sgroup("sgroup_two_orange") insert_sgroup("sgroup_two_orange")
                        insert_sgroup("sgroup_two_orange") insert_sgroup("sgroup_two_orange")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:3.-SubGroups:Orange 4SGr x 3Tr" ,
    invoke = function() insert_sgroup("sgroup_three_orange") insert_sgroup("sgroup_three_orange")
                        insert_sgroup("sgroup_three_orange") insert_sgroup("sgroup_three_orange")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:3.-SubGroups:Orange 4SGr x 4Tr" ,
    invoke = function() insert_sgroup("sgroup_four_orange") insert_sgroup("sgroup_four_orange")
                        insert_sgroup("sgroup_four_orange") insert_sgroup("sgroup_four_orange")
             end
  } end
  
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:3.-SubGroups:Orange 4SGr x 5Tr" ,
    invoke = function() insert_sgroup("sgroup_five_orange") insert_sgroup("sgroup_five_orange")
                        insert_sgroup("sgroup_five_orange") insert_sgroup("sgroup_five_orange")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:3.-SubGroups:Orange 4SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_orange") insert_sgroup("sgroup_six_orange")
                        insert_sgroup("sgroup_six_orange") insert_sgroup("sgroup_six_orange")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:3.-SubGroups:Orange 2SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_orange") insert_sgroup("sgroup_six_orange")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:3.-SubGroups:Orange 4SGr x 7Tr" ,
    invoke = function() insert_sgroup("sgroup_seven_orange") insert_sgroup("sgroup_seven_orange")
                        insert_sgroup("sgroup_seven_orange") insert_sgroup("sgroup_seven_orange")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:3.-SubGroups:Orange 4SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_orange") insert_sgroup("sgroup_eight_orange")
                        insert_sgroup("sgroup_eight_orange") insert_sgroup("sgroup_eight_orange")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:3.-SubGroups:Orange 2SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_orange") insert_sgroup("sgroup_eight_orange")
             end
  } end
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:3.-SubGroups:Orange 1SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_orange")
             end
  } end
  
    -- Tracks (Not SubGroups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:4.-Tracks:Orange 2Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tor.two) insert_track_only(rnst , tor.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:4.-Tracks:Orange 4Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tor.four)  insert_track_only(rnst , tor.three) insert_track_only(rnst , tor.two) insert_track_only(rnst , tor.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:4.-Tracks:Orange 4Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tor.a2) insert_track_only(rnst , tor.a1)
                        insert_track_only(rnst , tor.four)  insert_track_only(rnst , tor.three) insert_track_only(rnst , tor.two) insert_track_only(rnst , tor.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:4.-Tracks:Orange 6Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tor.six)   insert_track_only(rnst , tor.five) insert_track_only(rnst , tor.four)
                        insert_track_only(rnst , tor.three) insert_track_only(rnst , tor.two)  insert_track_only(rnst , tor.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:4.-Tracks:Orange 8Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tor.eight) insert_track_only(rnst , tor.seven) insert_track_only(rnst , tor.six) insert_track_only(rnst , tor.five)
                        insert_track_only(rnst , tor.four)  insert_track_only(rnst , tor.three) insert_track_only(rnst , tor.two) insert_track_only(rnst , tor.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:4.-Tracks:Orange 8Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tor.a2) insert_track_only(rnst , tor.a1)
                        insert_track_only(rnst , tor.eight) insert_track_only(rnst , tor.seven) insert_track_only(rnst , tor.six) insert_track_only(rnst , tor.five)
                        insert_track_only(rnst , tor.four)  insert_track_only(rnst , tor.three) insert_track_only(rnst , tor.two) insert_track_only(rnst , tor.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Orange Color:4.-Tracks:Orange 1AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tor.a1)
             end
  } end
  
  
  
    --[[ == Menu & Invoke PALE PINK == ]]--
  
    -- Main Group --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:1.-Main Group:Pale Pink 1MGr x 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_pale") insert_sgroup("sgroup_two_pale") insert_group("group_two_pale") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_pale") insert_sgroup("sgroup_two_pale") insert_group("group_one_pale") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_pale") instert_groups_to_main_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:1.-Main Group:Pale Pink 1MGr x 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_pale") insert_sgroup("sgroup_three_pale") insert_group("group_two_pale") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_pale") insert_sgroup("sgroup_three_pale") insert_group("group_one_pale") instert_sgroups_to_group_2Gx3T()
                        insert_main_group("main_group_pale") instert_groups_to_main_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:1.-Main Group:Pale Pink 1MGr x 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_pale") insert_sgroup("sgroup_four_pale") insert_group("group_two_pale") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_pale") insert_sgroup("sgroup_four_pale") insert_group("group_one_pale") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_pale") instert_groups_to_main_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:1.-Main Group:Pale Pink 1MGr x 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_pale") insert_sgroup("sgroup_five_pale") insert_group("group_two_pale") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_pale") insert_sgroup("sgroup_five_pale") insert_group("group_one_pale") instert_sgroups_to_group_2Gx5T()
                        insert_main_group("main_group_pale") instert_groups_to_main_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:1.-Main Group:Pale Pink 1MGr x 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_pale") insert_sgroup("sgroup_six_pale") insert_group("group_two_pale") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_pale") insert_sgroup("sgroup_six_pale") insert_group("group_one_pale") instert_sgroups_to_group_2Gx6T()
                        insert_main_group("main_group_pale") instert_groups_to_main_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:1.-Main Group:Pale Pink 1MGr x 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_pale") insert_sgroup("sgroup_seven_pale") insert_group("group_two_pale") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_pale") insert_sgroup("sgroup_seven_pale") insert_group("group_one_pale") instert_sgroups_to_group_2Gx7T()
                        insert_main_group("main_group_pale") instert_groups_to_main_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:1.-Main Group:Pale Pink 1MGr x 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_pale") insert_sgroup("sgroup_eight_pale") insert_group("group_two_pale") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_pale") insert_sgroup("sgroup_eight_pale") insert_group("group_one_pale") instert_sgroups_to_group_2Gx8T()
                        insert_main_group("main_group_pale") instert_groups_to_main_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:1.-Main Group:Pale Pink 1 Main Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tpl.a2)
                        insert_main_group("main_group_pale")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- Groups (Not Main Group) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:2.-Groups:Pale Pink 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_pale") insert_sgroup("sgroup_two_pale") insert_group("group_two_pale") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_pale") insert_sgroup("sgroup_two_pale") insert_group("group_one_pale") instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:2.-Groups:Pale Pink 4Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_pale") insert_sgroup("sgroup_two_pale") insert_group("group_four_pale")  instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_pale") insert_sgroup("sgroup_two_pale") insert_group("group_three_pale") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_pale") insert_sgroup("sgroup_two_pale") insert_group("group_two_pale")   instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_pale") insert_sgroup("sgroup_two_pale") insert_group("group_one_pale")   instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:2.-Groups:Pale Pink 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_pale") insert_sgroup("sgroup_three_pale") insert_group("group_two_pale") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_pale") insert_sgroup("sgroup_three_pale") insert_group("group_one_pale") instert_sgroups_to_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:2.-Groups:Pale Pink 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_pale") insert_sgroup("sgroup_four_pale") insert_group("group_two_pale") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_pale") insert_sgroup("sgroup_four_pale") insert_group("group_one_pale") instert_sgroups_to_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:2.-Groups:Pale Pink 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_pale") insert_sgroup("sgroup_five_pale") insert_group("group_two_pale") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_pale") insert_sgroup("sgroup_five_pale") insert_group("group_one_pale") instert_sgroups_to_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:2.-Groups:Pale Pink 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_pale") insert_sgroup("sgroup_six_pale") insert_group("group_two_pale") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_pale") insert_sgroup("sgroup_six_pale") insert_group("group_one_pale") instert_sgroups_to_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:2.-Groups:Pale Pink 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_pale") insert_sgroup("sgroup_seven_pale") insert_group("group_two_pale") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_pale") insert_sgroup("sgroup_seven_pale") insert_group("group_one_pale") instert_sgroups_to_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:2.-Groups:Pale Pink 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_pale") insert_sgroup("sgroup_eight_pale") insert_group("group_two_pale") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_pale") insert_sgroup("sgroup_eight_pale") insert_group("group_one_pale") instert_sgroups_to_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:2.-Groups:Pale Pink 1 Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tpl.a2)
                        insert_group("group_one_pale")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- SubGroups (Not Groups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:3.-SubGroups:Pale Pink 4SGr x 2Tr" ,
    invoke = function() insert_sgroup("sgroup_two_pale") insert_sgroup("sgroup_two_pale")
                        insert_sgroup("sgroup_two_pale") insert_sgroup("sgroup_two_pale")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:3.-SubGroups:Pale Pink 4SGr x 3Tr" ,
    invoke = function() insert_sgroup("sgroup_three_pale") insert_sgroup("sgroup_three_pale")
                        insert_sgroup("sgroup_three_pale") insert_sgroup("sgroup_three_pale")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:3.-SubGroups:Pale Pink 4SGr x 4Tr" ,
    invoke = function() insert_sgroup("sgroup_four_pale") insert_sgroup("sgroup_four_pale")
                        insert_sgroup("sgroup_four_pale") insert_sgroup("sgroup_four_pale")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:3.-SubGroups:Pale Pink 4SGr x 5Tr" ,
    invoke = function() insert_sgroup("sgroup_five_pale") insert_sgroup("sgroup_five_pale")
                        insert_sgroup("sgroup_five_pale") insert_sgroup("sgroup_five_pale")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:3.-SubGroups:Pale Pink 4SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_pale") insert_sgroup("sgroup_six_pale")
                        insert_sgroup("sgroup_six_pale") insert_sgroup("sgroup_six_pale")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:3.-SubGroups:Pale Pink 2SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_pale") insert_sgroup("sgroup_six_pale")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:3.-SubGroups:Pale Pink 4SGr x 7Tr" ,
    invoke = function() insert_sgroup("sgroup_seven_pale") insert_sgroup("sgroup_seven_pale")
                        insert_sgroup("sgroup_seven_pale") insert_sgroup("sgroup_seven_pale")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:3.-SubGroups:Pale Pink 4SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_pale") insert_sgroup("sgroup_eight_pale")
                        insert_sgroup("sgroup_eight_pale") insert_sgroup("sgroup_eight_pale")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:3.-SubGroups:Pale Pink 2SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_pale") insert_sgroup("sgroup_eight_pale")
             end
  } end
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:3.-SubGroups:Pale Pink 1SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_pale")
             end
  } end
  
    -- Tracks (Not SubGroups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:4.-Tracks:Pale Pink 2Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tpl.two) insert_track_only(rnst , tpl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:4.-Tracks:Pale Pink 4Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tpl.four)  insert_track_only(rnst , tpl.three) insert_track_only(rnst , tpl.two) insert_track_only(rnst , tpl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:4.-Tracks:Pale Pink 4Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tpl.a2) insert_track_only(rnst , tpl.a1)
                        insert_track_only(rnst , tpl.four)  insert_track_only(rnst , tpl.three) insert_track_only(rnst , tpl.two) insert_track_only(rnst , tpl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:4.-Tracks:Pale Pink 6Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tpl.six)   insert_track_only(rnst , tpl.five) insert_track_only(rnst , tpl.four)
                        insert_track_only(rnst , tpl.three) insert_track_only(rnst , tpl.two)  insert_track_only(rnst , tpl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:4.-Tracks:Pale Pink 8Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tpl.eight) insert_track_only(rnst , tpl.seven) insert_track_only(rnst , tpl.six) insert_track_only(rnst , tpl.five)
                        insert_track_only(rnst , tpl.four)  insert_track_only(rnst , tpl.three) insert_track_only(rnst , tpl.two) insert_track_only(rnst , tpl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:4.-Tracks:Pale Pink 8Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tpl.a2) insert_track_only(rnst , tpl.a1)
                        insert_track_only(rnst , tpl.eight) insert_track_only(rnst , tpl.seven) insert_track_only(rnst , tpl.six) insert_track_only(rnst , tpl.five)
                        insert_track_only(rnst , tpl.four)  insert_track_only(rnst , tpl.three) insert_track_only(rnst , tpl.two) insert_track_only(rnst , tpl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pale Pink Color:4.-Tracks:Pale Pink 1AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tpl.a1)
             end
  } end
  
  
    --[[ == Menu & Invoke PINK == ]]--
  
    -- Main Group --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:1.-Main Group:Pink 1MGr x 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_pink") insert_sgroup("sgroup_two_pink") insert_group("group_two_pink") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_pink") insert_sgroup("sgroup_two_pink") insert_group("group_one_pink") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_pink") instert_groups_to_main_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:1.-Main Group:Pink 1MGr x 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_pink") insert_sgroup("sgroup_three_pink") insert_group("group_two_pink") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_pink") insert_sgroup("sgroup_three_pink") insert_group("group_one_pink") instert_sgroups_to_group_2Gx3T()
                        insert_main_group("main_group_pink") instert_groups_to_main_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:1.-Main Group:Pink 1MGr x 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_pink") insert_sgroup("sgroup_four_pink") insert_group("group_two_pink") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_pink") insert_sgroup("sgroup_four_pink") insert_group("group_one_pink") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_pink") instert_groups_to_main_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:1.-Main Group:Pink 1MGr x 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_pink") insert_sgroup("sgroup_five_pink") insert_group("group_two_pink") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_pink") insert_sgroup("sgroup_five_pink") insert_group("group_one_pink") instert_sgroups_to_group_2Gx5T()
                        insert_main_group("main_group_pink") instert_groups_to_main_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:1.-Main Group:Pink 1MGr x 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_pink") insert_sgroup("sgroup_six_pink") insert_group("group_two_pink") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_pink") insert_sgroup("sgroup_six_pink") insert_group("group_one_pink") instert_sgroups_to_group_2Gx6T()
                        insert_main_group("main_group_pink") instert_groups_to_main_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:1.-Main Group:Pink 1MGr x 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_pink") insert_sgroup("sgroup_seven_pink") insert_group("group_two_pink") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_pink") insert_sgroup("sgroup_seven_pink") insert_group("group_one_pink") instert_sgroups_to_group_2Gx7T()
                        insert_main_group("main_group_pink") instert_groups_to_main_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:1.-Main Group:Pink 1MGr x 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_pink") insert_sgroup("sgroup_eight_pink") insert_group("group_two_pink") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_pink") insert_sgroup("sgroup_eight_pink") insert_group("group_one_pink") instert_sgroups_to_group_2Gx8T()
                        insert_main_group("main_group_pink") instert_groups_to_main_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:1.-Main Group:Pink 1 Main Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tpn.a2)
                        insert_main_group("main_group_pink")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- Groups (Not Main Group) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:2.-Groups:Pink 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_pink") insert_sgroup("sgroup_two_pink") insert_group("group_two_pink") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_pink") insert_sgroup("sgroup_two_pink") insert_group("group_one_pink") instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:2.-Groups:Pink 4Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_pink") insert_sgroup("sgroup_two_pink") insert_group("group_four_pink")  instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_pink") insert_sgroup("sgroup_two_pink") insert_group("group_three_pink") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_pink") insert_sgroup("sgroup_two_pink") insert_group("group_two_pink")   instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_pink") insert_sgroup("sgroup_two_pink") insert_group("group_one_pink")   instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:2.-Groups:Pink 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_pink") insert_sgroup("sgroup_three_pink") insert_group("group_two_pink") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_pink") insert_sgroup("sgroup_three_pink") insert_group("group_one_pink") instert_sgroups_to_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:2.-Groups:Pink 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_pink") insert_sgroup("sgroup_four_pink") insert_group("group_two_pink") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_pink") insert_sgroup("sgroup_four_pink") insert_group("group_one_pink") instert_sgroups_to_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:2.-Groups:Pink 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_pink") insert_sgroup("sgroup_five_pink") insert_group("group_two_pink") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_pink") insert_sgroup("sgroup_five_pink") insert_group("group_one_pink") instert_sgroups_to_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:2.-Groups:Pink 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_pink") insert_sgroup("sgroup_six_pink") insert_group("group_two_pink") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_pink") insert_sgroup("sgroup_six_pink") insert_group("group_one_pink") instert_sgroups_to_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:2.-Groups:Pink 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_pink") insert_sgroup("sgroup_seven_pink") insert_group("group_two_pink") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_pink") insert_sgroup("sgroup_seven_pink") insert_group("group_one_pink") instert_sgroups_to_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:2.-Groups:Pink 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_pink") insert_sgroup("sgroup_eight_pink") insert_group("group_two_pink") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_pink") insert_sgroup("sgroup_eight_pink") insert_group("group_one_pink") instert_sgroups_to_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:2.-Groups:Pink 1 Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tpn.a2)
                        insert_group("group_one_pink")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- SubGroups (Not Groups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:3.-SubGroups:Pink 4SGr x 2Tr" ,
    invoke = function() insert_sgroup("sgroup_two_pink") insert_sgroup("sgroup_two_pink")
                        insert_sgroup("sgroup_two_pink") insert_sgroup("sgroup_two_pink")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:3.-SubGroups:Pink 4SGr x 3Tr" ,
    invoke = function() insert_sgroup("sgroup_three_pink") insert_sgroup("sgroup_three_pink")
                        insert_sgroup("sgroup_three_pink") insert_sgroup("sgroup_three_pink")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:3.-SubGroups:Pink 4SGr x 4Tr" ,
    invoke = function() insert_sgroup("sgroup_four_pink") insert_sgroup("sgroup_four_pink")
                        insert_sgroup("sgroup_four_pink") insert_sgroup("sgroup_four_pink")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:3.-SubGroups:Pink 4SGr x 5Tr" ,
    invoke = function() insert_sgroup("sgroup_five_pink") insert_sgroup("sgroup_five_pink")
                        insert_sgroup("sgroup_five_pink") insert_sgroup("sgroup_five_pink")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:3.-SubGroups:Pink 4SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_pink") insert_sgroup("sgroup_six_pink")
                        insert_sgroup("sgroup_six_pink") insert_sgroup("sgroup_six_pink")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:3.-SubGroups:Pink 2SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_pink") insert_sgroup("sgroup_six_pink")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:3.-SubGroups:Pink 4SGr x 7Tr" ,
    invoke = function() insert_sgroup("sgroup_seven_pink") insert_sgroup("sgroup_seven_pink")
                        insert_sgroup("sgroup_seven_pink") insert_sgroup("sgroup_seven_pink")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:3.-SubGroups:Pink 4SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_pink") insert_sgroup("sgroup_eight_pink")
                        insert_sgroup("sgroup_eight_pink") insert_sgroup("sgroup_eight_pink")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:3.-SubGroups:Pink 2SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_pink") insert_sgroup("sgroup_eight_pink")
             end
  } end
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:3.-SubGroups:Pink 1SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_pink")
             end
  } end
  
    -- Tracks (Not SubGroups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:4.-Tracks:Pink 2Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tpn.two) insert_track_only(rnst , tpn.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:4.-Tracks:Pink 4Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tpn.four)  insert_track_only(rnst , tpn.three) insert_track_only(rnst , tpn.two) insert_track_only(rnst , tpn.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:4.-Tracks:Pink 4Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tpn.a2) insert_track_only(rnst , tpn.a1)
                        insert_track_only(rnst , tpn.four)  insert_track_only(rnst , tpn.three) insert_track_only(rnst , tpn.two) insert_track_only(rnst , tpn.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:4.-Tracks:Pink 6Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tpn.six)   insert_track_only(rnst , tpn.five) insert_track_only(rnst , tpn.four)
                        insert_track_only(rnst , tpn.three) insert_track_only(rnst , tpn.two)  insert_track_only(rnst , tpn.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:4.-Tracks:Pink 8Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tpn.eight) insert_track_only(rnst , tpn.seven) insert_track_only(rnst , tpn.six) insert_track_only(rnst , tpn.five)
                        insert_track_only(rnst , tpn.four)  insert_track_only(rnst , tpn.three) insert_track_only(rnst , tpn.two) insert_track_only(rnst , tpn.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:4.-Tracks:Pink 8Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tpn.a2) insert_track_only(rnst , tpn.a1)
                        insert_track_only(rnst , tpn.eight) insert_track_only(rnst , tpn.seven) insert_track_only(rnst , tpn.six) insert_track_only(rnst , tpn.five)
                        insert_track_only(rnst , tpn.four)  insert_track_only(rnst , tpn.three) insert_track_only(rnst , tpn.two) insert_track_only(rnst , tpn.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pink Color:4.-Tracks:Pink 1AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tpn.a1)
             end
  } end
  
  
  
    --[[ == Menu & Invoke PISTACHIO == ]]--
  
    -- Main Group --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:1.-Main Group:Pistachio 1MGr x 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_pistachio") insert_sgroup("sgroup_two_pistachio") insert_group("group_two_pistachio") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_pistachio") insert_sgroup("sgroup_two_pistachio") insert_group("group_one_pistachio") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_pistachio") instert_groups_to_main_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:1.-Main Group:Pistachio 1MGr x 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_pistachio") insert_sgroup("sgroup_three_pistachio") insert_group("group_two_pistachio") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_pistachio") insert_sgroup("sgroup_three_pistachio") insert_group("group_one_pistachio") instert_sgroups_to_group_2Gx3T()
                        insert_main_group("main_group_pistachio") instert_groups_to_main_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:1.-Main Group:Pistachio 1MGr x 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_pistachio") insert_sgroup("sgroup_four_pistachio") insert_group("group_two_pistachio") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_pistachio") insert_sgroup("sgroup_four_pistachio") insert_group("group_one_pistachio") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_pistachio") instert_groups_to_main_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:1.-Main Group:Pistachio 1MGr x 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_pistachio") insert_sgroup("sgroup_five_pistachio") insert_group("group_two_pistachio") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_pistachio") insert_sgroup("sgroup_five_pistachio") insert_group("group_one_pistachio") instert_sgroups_to_group_2Gx5T()
                        insert_main_group("main_group_pistachio") instert_groups_to_main_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:1.-Main Group:Pistachio 1MGr x 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_pistachio") insert_sgroup("sgroup_six_pistachio") insert_group("group_two_pistachio") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_pistachio") insert_sgroup("sgroup_six_pistachio") insert_group("group_one_pistachio") instert_sgroups_to_group_2Gx6T()
                        insert_main_group("main_group_pistachio") instert_groups_to_main_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:1.-Main Group:Pistachio 1MGr x 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_pistachio") insert_sgroup("sgroup_seven_pistachio") insert_group("group_two_pistachio") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_pistachio") insert_sgroup("sgroup_seven_pistachio") insert_group("group_one_pistachio") instert_sgroups_to_group_2Gx7T()
                        insert_main_group("main_group_pistachio") instert_groups_to_main_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:1.-Main Group:Pistachio 1MGr x 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_pistachio") insert_sgroup("sgroup_eight_pistachio") insert_group("group_two_pistachio") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_pistachio") insert_sgroup("sgroup_eight_pistachio") insert_group("group_one_pistachio") instert_sgroups_to_group_2Gx8T()
                        insert_main_group("main_group_pistachio") instert_groups_to_main_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:1.-Main Group:Pistachio 1 Main Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tps.a2)
                        insert_main_group("main_group_pistachio")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- Groups (Not Main Group) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:2.-Groups:Pistachio 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_pistachio") insert_sgroup("sgroup_two_pistachio") insert_group("group_two_pistachio") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_pistachio") insert_sgroup("sgroup_two_pistachio") insert_group("group_one_pistachio") instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:2.-Groups:Pistachio 4Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_pistachio") insert_sgroup("sgroup_two_pistachio") insert_group("group_four_pistachio")  instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_pistachio") insert_sgroup("sgroup_two_pistachio") insert_group("group_three_pistachio") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_pistachio") insert_sgroup("sgroup_two_pistachio") insert_group("group_two_pistachio")   instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_pistachio") insert_sgroup("sgroup_two_pistachio") insert_group("group_one_pistachio")   instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:2.-Groups:Pistachio 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_pistachio") insert_sgroup("sgroup_three_pistachio") insert_group("group_two_pistachio") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_pistachio") insert_sgroup("sgroup_three_pistachio") insert_group("group_one_pistachio") instert_sgroups_to_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:2.-Groups:Pistachio 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_pistachio") insert_sgroup("sgroup_four_pistachio") insert_group("group_two_pistachio") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_pistachio") insert_sgroup("sgroup_four_pistachio") insert_group("group_one_pistachio") instert_sgroups_to_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:2.-Groups:Pistachio 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_pistachio") insert_sgroup("sgroup_five_pistachio") insert_group("group_two_pistachio") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_pistachio") insert_sgroup("sgroup_five_pistachio") insert_group("group_one_pistachio") instert_sgroups_to_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:2.-Groups:Pistachio 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_pistachio") insert_sgroup("sgroup_six_pistachio") insert_group("group_two_pistachio") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_pistachio") insert_sgroup("sgroup_six_pistachio") insert_group("group_one_pistachio") instert_sgroups_to_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:2.-Groups:Pistachio 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_pistachio") insert_sgroup("sgroup_seven_pistachio") insert_group("group_two_pistachio") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_pistachio") insert_sgroup("sgroup_seven_pistachio") insert_group("group_one_pistachio") instert_sgroups_to_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:2.-Groups:Pistachio 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_pistachio") insert_sgroup("sgroup_eight_pistachio") insert_group("group_two_pistachio") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_pistachio") insert_sgroup("sgroup_eight_pistachio") insert_group("group_one_pistachio") instert_sgroups_to_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:2.-Groups:Pistachio 1 Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tps.a2)
                        insert_group("group_one_pistachio")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- SubGroups (Not Groups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:3.-SubGroups:Pistachio 4SGr x 2Tr" ,
    invoke = function() insert_sgroup("sgroup_two_pistachio") insert_sgroup("sgroup_two_pistachio")
                        insert_sgroup("sgroup_two_pistachio") insert_sgroup("sgroup_two_pistachio")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:3.-SubGroups:Pistachio 4SGr x 3Tr" ,
    invoke = function() insert_sgroup("sgroup_three_pistachio") insert_sgroup("sgroup_three_pistachio")
                        insert_sgroup("sgroup_three_pistachio") insert_sgroup("sgroup_three_pistachio")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:3.-SubGroups:Pistachio 4SGr x 4Tr" ,
    invoke = function() insert_sgroup("sgroup_four_pistachio") insert_sgroup("sgroup_four_pistachio")
                        insert_sgroup("sgroup_four_pistachio") insert_sgroup("sgroup_four_pistachio")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:3.-SubGroups:Pistachio 4SGr x 5Tr" ,
    invoke = function() insert_sgroup("sgroup_five_pistachio") insert_sgroup("sgroup_five_pistachio")
                        insert_sgroup("sgroup_five_pistachio") insert_sgroup("sgroup_five_pistachio")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:3.-SubGroups:Pistachio 4SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_pistachio") insert_sgroup("sgroup_six_pistachio")
                        insert_sgroup("sgroup_six_pistachio") insert_sgroup("sgroup_six_pistachio")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:3.-SubGroups:Pistachio 2SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_pistachio") insert_sgroup("sgroup_six_pistachio")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:3.-SubGroups:Pistachio 4SGr x 7Tr" ,
    invoke = function() insert_sgroup("sgroup_seven_pistachio") insert_sgroup("sgroup_seven_pistachio")
                        insert_sgroup("sgroup_seven_pistachio") insert_sgroup("sgroup_seven_pistachio")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:3.-SubGroups:Pistachio 4SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_pistachio") insert_sgroup("sgroup_eight_pistachio")
                        insert_sgroup("sgroup_eight_pistachio") insert_sgroup("sgroup_eight_pistachio")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:3.-SubGroups:Pistachio 2SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_pistachio") insert_sgroup("sgroup_eight_pistachio")
             end
  } end
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:3.-SubGroups:Pistachio 1SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_pistachio")
             end
  } end
  
    -- Tracks (Not SubGroups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:4.-Tracks:Pistachio 2Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tps.two) insert_track_only(rnst , tps.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:4.-Tracks:Pistachio 4Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tps.four)  insert_track_only(rnst , tps.three) insert_track_only(rnst , tps.two) insert_track_only(rnst , tps.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:4.-Tracks:Pistachio 4Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tps.a2) insert_track_only(rnst , tps.a1)
                        insert_track_only(rnst , tps.four)  insert_track_only(rnst , tps.three) insert_track_only(rnst , tps.two) insert_track_only(rnst , tps.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:4.-Tracks:Pistachio 6Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tps.six)   insert_track_only(rnst , tps.five) insert_track_only(rnst , tps.four)
                        insert_track_only(rnst , tps.three) insert_track_only(rnst , tps.two)  insert_track_only(rnst , tps.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:4.-Tracks:Pistachio 8Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tps.eight) insert_track_only(rnst , tps.seven) insert_track_only(rnst , tps.six) insert_track_only(rnst , tps.five)
                        insert_track_only(rnst , tps.four)  insert_track_only(rnst , tps.three) insert_track_only(rnst , tps.two) insert_track_only(rnst , tps.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:4.-Tracks:Pistachio 8Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tps.a2) insert_track_only(rnst , tps.a1)
                        insert_track_only(rnst , tps.eight) insert_track_only(rnst , tps.seven) insert_track_only(rnst , tps.six) insert_track_only(rnst , tps.five)
                        insert_track_only(rnst , tps.four)  insert_track_only(rnst , tps.three) insert_track_only(rnst , tps.two) insert_track_only(rnst , tps.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Pistachio Color:4.-Tracks:Pistachio 1AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tps.a1)
             end
  } end
  
  
  
    --[[ == Menu & Invoke RED == ]]--
  
    -- Main Group --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:1.-Main Group:Red 1MGr x 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_red") insert_sgroup("sgroup_two_red") insert_group("group_two_red") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_red") insert_sgroup("sgroup_two_red") insert_group("group_one_red") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_red") instert_groups_to_main_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:1.-Main Group:Red 1MGr x 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_red") insert_sgroup("sgroup_three_red") insert_group("group_two_red") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_red") insert_sgroup("sgroup_three_red") insert_group("group_one_red") instert_sgroups_to_group_2Gx3T()
                        insert_main_group("main_group_red") instert_groups_to_main_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:1.-Main Group:Red 1MGr x 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_red") insert_sgroup("sgroup_four_red") insert_group("group_two_red") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_red") insert_sgroup("sgroup_four_red") insert_group("group_one_red") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_red") instert_groups_to_main_group_2Gx4T()
             end
  } end
  
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:1.-Main Group:Red 1MGr x 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_red") insert_sgroup("sgroup_five_red") insert_group("group_two_red") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_red") insert_sgroup("sgroup_five_red") insert_group("group_one_red") instert_sgroups_to_group_2Gx5T()
                        insert_main_group("main_group_red") instert_groups_to_main_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:1.-Main Group:Red 1MGr x 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_red") insert_sgroup("sgroup_six_red") insert_group("group_two_red") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_red") insert_sgroup("sgroup_six_red") insert_group("group_one_red") instert_sgroups_to_group_2Gx6T()
                        insert_main_group("main_group_red") instert_groups_to_main_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:1.-Main Group:Red 1MGr x 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_red") insert_sgroup("sgroup_seven_red") insert_group("group_two_red") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_red") insert_sgroup("sgroup_seven_red") insert_group("group_one_red") instert_sgroups_to_group_2Gx7T()
                        insert_main_group("main_group_red") instert_groups_to_main_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:1.-Main Group:Red 1MGr x 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_red") insert_sgroup("sgroup_eight_red") insert_group("group_two_red") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_red") insert_sgroup("sgroup_eight_red") insert_group("group_one_red") instert_sgroups_to_group_2Gx8T()
                        insert_main_group("main_group_red") instert_groups_to_main_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:1.-Main Group:Red 1 Main Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, trd.a2)
                        insert_main_group("main_group_red")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- Groups (Not Main Group) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:2.-Groups:Red 2Gr [2SGr x 2Tr]" ,
    invoke = function() 
                        insert_sgroup("sgroup_two_red") insert_sgroup("sgroup_two_red") insert_group("group_two_red") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_red") insert_sgroup("sgroup_two_red") insert_group("group_one_red") instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:2.-Groups:Red 4Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_red") insert_sgroup("sgroup_two_red") insert_group("group_four_red")  instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_red") insert_sgroup("sgroup_two_red") insert_group("group_three_red") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_red") insert_sgroup("sgroup_two_red") insert_group("group_two_red")   instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_red") insert_sgroup("sgroup_two_red") insert_group("group_one_red")   instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:2.-Groups:Red 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_red") insert_sgroup("sgroup_three_red") insert_group("group_two_red") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_red") insert_sgroup("sgroup_three_red") insert_group("group_one_red") instert_sgroups_to_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:2.-Groups:Red 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_red") insert_sgroup("sgroup_four_red") insert_group("group_two_red") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_red") insert_sgroup("sgroup_four_red") insert_group("group_one_red") instert_sgroups_to_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:2.-Groups:Red 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_red") insert_sgroup("sgroup_five_red") insert_group("group_two_red") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_red") insert_sgroup("sgroup_five_red") insert_group("group_one_red") instert_sgroups_to_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:2.-Groups:Red 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_red") insert_sgroup("sgroup_six_red") insert_group("group_two_red") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_red") insert_sgroup("sgroup_six_red") insert_group("group_one_red") instert_sgroups_to_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:2.-Groups:Red 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_red") insert_sgroup("sgroup_seven_red") insert_group("group_two_red") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_red") insert_sgroup("sgroup_seven_red") insert_group("group_one_red") instert_sgroups_to_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:2.-Groups:Red 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_red") insert_sgroup("sgroup_eight_red") insert_group("group_two_red") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_red") insert_sgroup("sgroup_eight_red") insert_group("group_one_red") instert_sgroups_to_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:2.-Groups:Red 1 Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, trd.a2)
                        insert_group("group_one_red")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- SubGroups (Not Groups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:3.-SubGroups:Red 4SGr x 2Tr" ,
    invoke = function() insert_sgroup("sgroup_two_red") insert_sgroup("sgroup_two_red")
                        insert_sgroup("sgroup_two_red") insert_sgroup("sgroup_two_red")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:3.-SubGroups:Red 4SGr x 3Tr" ,
    invoke = function() insert_sgroup("sgroup_three_red") insert_sgroup("sgroup_three_red")
                        insert_sgroup("sgroup_three_red") insert_sgroup("sgroup_three_red")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:3.-SubGroups:Red 4SGr x 4Tr" ,
    invoke = function() insert_sgroup("sgroup_four_red") insert_sgroup("sgroup_four_red")
                        insert_sgroup("sgroup_four_red") insert_sgroup("sgroup_four_red")
             end
  } end
  
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:3.-SubGroups:Red 4SGr x 5Tr" ,
    invoke = function() insert_sgroup("sgroup_five_red") insert_sgroup("sgroup_five_red")
                        insert_sgroup("sgroup_five_red") insert_sgroup("sgroup_five_red")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:3.-SubGroups:Red 4SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_red") insert_sgroup("sgroup_six_red")
                        insert_sgroup("sgroup_six_red") insert_sgroup("sgroup_six_red")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:3.-SubGroups:Red 2SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_red") insert_sgroup("sgroup_six_red")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:3.-SubGroups:Red 4SGr x 7Tr" ,
    invoke = function() insert_sgroup("sgroup_seven_red") insert_sgroup("sgroup_seven_red")
                        insert_sgroup("sgroup_seven_red") insert_sgroup("sgroup_seven_red")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:3.-SubGroups:Red 4SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_red") insert_sgroup("sgroup_eight_red")
                        insert_sgroup("sgroup_eight_red") insert_sgroup("sgroup_eight_red")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:3.-SubGroups:Red 2SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_red") insert_sgroup("sgroup_eight_red")
             end
  } end
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:3.-SubGroups:Red 1SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_red")
             end
  } end
  
    -- Tracks (Not SubGroups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:4.-Tracks:Red 2Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , trd.two) insert_track_only(rnst , trd.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:4.-Tracks:Red 4Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , trd.four)  insert_track_only(rnst , trd.three) insert_track_only(rnst , trd.two) insert_track_only(rnst , trd.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:4.-Tracks:Red 4Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , trd.a2) insert_track_only(rnst , trd.a1)
                        insert_track_only(rnst , trd.four)  insert_track_only(rnst , trd.three) insert_track_only(rnst , trd.two) insert_track_only(rnst , trd.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:4.-Tracks:Red 6Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , trd.six)   insert_track_only(rnst , trd.five) insert_track_only(rnst , trd.four)
                        insert_track_only(rnst , trd.three) insert_track_only(rnst , trd.two)  insert_track_only(rnst , trd.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:4.-Tracks:Red 8Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , trd.eight) insert_track_only(rnst , trd.seven) insert_track_only(rnst , trd.six) insert_track_only(rnst , trd.five)
                        insert_track_only(rnst , trd.four)  insert_track_only(rnst , trd.three) insert_track_only(rnst , trd.two) insert_track_only(rnst , trd.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:4.-Tracks:Red 8Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , trd.a2) insert_track_only(rnst , trd.a1)
                        insert_track_only(rnst , trd.eight) insert_track_only(rnst , trd.seven) insert_track_only(rnst , trd.six) insert_track_only(rnst , trd.five)
                        insert_track_only(rnst , trd.four)  insert_track_only(rnst , trd.three) insert_track_only(rnst , trd.two) insert_track_only(rnst , trd.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Red Color:4.-Tracks:Red 1AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , trd.a1)
             end
  } end
  
  
  
    --[[ == Menu & Invoke SKY BLUE == ]]--
  
    -- Main Group --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:1.-Main Group:Sky Blue 1MGr x 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_sky") insert_sgroup("sgroup_two_sky") insert_group("group_two_sky") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_sky") insert_sgroup("sgroup_two_sky") insert_group("group_one_sky") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_sky") instert_groups_to_main_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:1.-Main Group:Sky Blue 1MGr x 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_sky") insert_sgroup("sgroup_three_sky") insert_group("group_two_sky") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_sky") insert_sgroup("sgroup_three_sky") insert_group("group_one_sky") instert_sgroups_to_group_2Gx3T()
                        insert_main_group("main_group_sky") instert_groups_to_main_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:1.-Main Group:Sky Blue 1MGr x 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_sky") insert_sgroup("sgroup_four_sky") insert_group("group_two_sky") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_sky") insert_sgroup("sgroup_four_sky") insert_group("group_one_sky") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_sky") instert_groups_to_main_group_2Gx4T()
             end
  } end
  
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:1.-Main Group:Sky Blue 1MGr x 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_sky") insert_sgroup("sgroup_five_sky") insert_group("group_two_sky") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_sky") insert_sgroup("sgroup_five_sky") insert_group("group_one_sky") instert_sgroups_to_group_2Gx5T()
                        insert_main_group("main_group_sky") instert_groups_to_main_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:1.-Main Group:Sky Blue 1MGr x 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_sky") insert_sgroup("sgroup_six_sky") insert_group("group_two_sky") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_sky") insert_sgroup("sgroup_six_sky") insert_group("group_one_sky") instert_sgroups_to_group_2Gx6T()
                        insert_main_group("main_group_sky") instert_groups_to_main_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:1.-Main Group:Sky Blue 1MGr x 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_sky") insert_sgroup("sgroup_seven_sky") insert_group("group_two_sky") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_sky") insert_sgroup("sgroup_seven_sky") insert_group("group_one_sky") instert_sgroups_to_group_2Gx7T()
                        insert_main_group("main_group_sky") instert_groups_to_main_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:1.-Main Group:Sky Blue 1MGr x 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_sky") insert_sgroup("sgroup_eight_sky") insert_group("group_two_sky") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_sky") insert_sgroup("sgroup_eight_sky") insert_group("group_one_sky") instert_sgroups_to_group_2Gx8T()
                        insert_main_group("main_group_sky") instert_groups_to_main_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:1.-Main Group:Sky Blue 1 Main Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tsk.a2)
                        insert_main_group("main_group_sky")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- Groups (Not Main Group) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:2.-Groups:Sky Blue 2Gr [2SGr x 2Tr]" ,
    invoke = function() 
                        insert_sgroup("sgroup_two_sky") insert_sgroup("sgroup_two_sky") insert_group("group_two_sky") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_sky") insert_sgroup("sgroup_two_sky") insert_group("group_one_sky") instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:2.-Groups:Sky Blue 4Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_sky") insert_sgroup("sgroup_two_sky") insert_group("group_four_sky")  instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_sky") insert_sgroup("sgroup_two_sky") insert_group("group_three_sky") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_sky") insert_sgroup("sgroup_two_sky") insert_group("group_two_sky")   instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_sky") insert_sgroup("sgroup_two_sky") insert_group("group_one_sky")   instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:2.-Groups:Sky Blue 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_sky") insert_sgroup("sgroup_three_sky") insert_group("group_two_sky") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_sky") insert_sgroup("sgroup_three_sky") insert_group("group_one_sky") instert_sgroups_to_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:2.-Groups:Sky Blue 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_sky") insert_sgroup("sgroup_four_sky") insert_group("group_two_sky") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_sky") insert_sgroup("sgroup_four_sky") insert_group("group_one_sky") instert_sgroups_to_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:2.-Groups:Sky Blue 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_sky") insert_sgroup("sgroup_five_sky") insert_group("group_two_sky") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_sky") insert_sgroup("sgroup_five_sky") insert_group("group_one_sky") instert_sgroups_to_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:2.-Groups:Sky Blue 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_sky") insert_sgroup("sgroup_six_sky") insert_group("group_two_sky") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_sky") insert_sgroup("sgroup_six_sky") insert_group("group_one_sky") instert_sgroups_to_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:2.-Groups:Sky Blue 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_sky") insert_sgroup("sgroup_seven_sky") insert_group("group_two_sky") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_sky") insert_sgroup("sgroup_seven_sky") insert_group("group_one_sky") instert_sgroups_to_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:2.-Groups:Sky Blue 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_sky") insert_sgroup("sgroup_eight_sky") insert_group("group_two_sky") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_sky") insert_sgroup("sgroup_eight_sky") insert_group("group_one_sky") instert_sgroups_to_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:2.-Groups:Sky Blue 1 Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tsk.a2)
                        insert_group("group_one_sky")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- SubGroups (Not Groups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:3.-SubGroups:Sky Blue 4SGr x 2Tr" ,
    invoke = function() insert_sgroup("sgroup_two_sky") insert_sgroup("sgroup_two_sky")
                        insert_sgroup("sgroup_two_sky") insert_sgroup("sgroup_two_sky")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:3.-SubGroups:Sky Blue 4SGr x 3Tr" ,
    invoke = function() insert_sgroup("sgroup_three_sky") insert_sgroup("sgroup_three_sky")
                        insert_sgroup("sgroup_three_sky") insert_sgroup("sgroup_three_sky")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:3.-SubGroups:Sky Blue 4SGr x 4Tr" ,
    invoke = function() insert_sgroup("sgroup_four_sky") insert_sgroup("sgroup_four_sky")
                        insert_sgroup("sgroup_four_sky") insert_sgroup("sgroup_four_sky")
             end
  } end
  
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:3.-SubGroups:Sky Blue 4SGr x 5Tr" ,
    invoke = function() insert_sgroup("sgroup_five_sky") insert_sgroup("sgroup_five_sky")
                        insert_sgroup("sgroup_five_sky") insert_sgroup("sgroup_five_sky")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:3.-SubGroups:Sky Blue 4SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_sky") insert_sgroup("sgroup_six_sky")
                        insert_sgroup("sgroup_six_sky") insert_sgroup("sgroup_six_sky")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:3.-SubGroups:Sky Blue 2SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_sky") insert_sgroup("sgroup_six_sky")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:3.-SubGroups:Sky Blue 4SGr x 7Tr" ,
    invoke = function() insert_sgroup("sgroup_seven_sky") insert_sgroup("sgroup_seven_sky")
                        insert_sgroup("sgroup_seven_sky") insert_sgroup("sgroup_seven_sky")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:3.-SubGroups:Sky Blue 4SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_sky") insert_sgroup("sgroup_eight_sky")
                        insert_sgroup("sgroup_eight_sky") insert_sgroup("sgroup_eight_sky")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:3.-SubGroups:Sky Blue 2SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_sky") insert_sgroup("sgroup_eight_sky")
             end
  } end
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:3.-SubGroups:Sky Blue 1SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_sky")
             end
  } end
  
    -- Tracks (Not SubGroups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:4.-Tracks:Sky Blue 2Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tsk.two) insert_track_only(rnst , tsk.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:4.-Tracks:Sky Blue 4Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tsk.four)  insert_track_only(rnst , tsk.three) insert_track_only(rnst , tsk.two) insert_track_only(rnst , tsk.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:4.-Tracks:Sky Blue 4Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tsk.a2) insert_track_only(rnst , tsk.a1)
                        insert_track_only(rnst , tsk.four)  insert_track_only(rnst , tsk.three) insert_track_only(rnst , tsk.two) insert_track_only(rnst , tsk.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:4.-Tracks:Sky Blue 6Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tsk.six)   insert_track_only(rnst , tsk.five) insert_track_only(rnst , tsk.four)
                        insert_track_only(rnst , tsk.three) insert_track_only(rnst , tsk.two)  insert_track_only(rnst , tsk.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:4.-Tracks:Sky Blue 8Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tsk.eight) insert_track_only(rnst , tsk.seven) insert_track_only(rnst , tsk.six) insert_track_only(rnst , tsk.five)
                        insert_track_only(rnst , tsk.four)  insert_track_only(rnst , tsk.three) insert_track_only(rnst , tsk.two) insert_track_only(rnst , tsk.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:4.-Tracks:Sky Blue 8Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tsk.a2) insert_track_only(rnst , tsk.a1)
                        insert_track_only(rnst , tsk.eight) insert_track_only(rnst , tsk.seven) insert_track_only(rnst , tsk.six) insert_track_only(rnst , tsk.five)
                        insert_track_only(rnst , tsk.four)  insert_track_only(rnst , tsk.three) insert_track_only(rnst , tsk.two) insert_track_only(rnst , tsk.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Sky Blue Color:4.-Tracks:Sky Blue 1AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tsk.a1)
             end
  } end
  
  
  
    --[[ == Menu & Invoke VIOLET == ]]--
  
    -- Main Group --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:1.-Main Group:Violet 1MGr x 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_violet") insert_sgroup("sgroup_two_violet") insert_group("group_two_violet") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_violet") insert_sgroup("sgroup_two_violet") insert_group("group_one_violet") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_violet") instert_groups_to_main_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:1.-Main Group:Violet 1MGr x 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_violet") insert_sgroup("sgroup_three_violet") insert_group("group_two_violet") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_violet") insert_sgroup("sgroup_three_violet") insert_group("group_one_violet") instert_sgroups_to_group_2Gx3T()
                        insert_main_group("main_group_violet") instert_groups_to_main_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:1.-Main Group:Violet 1MGr x 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_violet") insert_sgroup("sgroup_four_violet") insert_group("group_two_violet") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_violet") insert_sgroup("sgroup_four_violet") insert_group("group_one_violet") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_violet") instert_groups_to_main_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:1.-Main Group:Violet 1MGr x 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_violet") insert_sgroup("sgroup_five_violet") insert_group("group_two_violet") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_violet") insert_sgroup("sgroup_five_violet") insert_group("group_one_violet") instert_sgroups_to_group_2Gx5T()
                        insert_main_group("main_group_violet") instert_groups_to_main_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:1.-Main Group:Violet 1MGr x 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_violet") insert_sgroup("sgroup_six_violet") insert_group("group_two_violet") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_violet") insert_sgroup("sgroup_six_violet") insert_group("group_one_violet") instert_sgroups_to_group_2Gx6T()
                        insert_main_group("main_group_violet") instert_groups_to_main_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:1.-Main Group:Violet 1MGr x 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_violet") insert_sgroup("sgroup_seven_violet") insert_group("group_two_violet") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_violet") insert_sgroup("sgroup_seven_violet") insert_group("group_one_violet") instert_sgroups_to_group_2Gx7T()
                        insert_main_group("main_group_violet") instert_groups_to_main_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:1.-Main Group:Violet 1MGr x 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_violet") insert_sgroup("sgroup_eight_violet") insert_group("group_two_violet") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_violet") insert_sgroup("sgroup_eight_violet") insert_group("group_one_violet") instert_sgroups_to_group_2Gx8T()
                        insert_main_group("main_group_violet") instert_groups_to_main_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:1.-Main Group:Violet 1 Main Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tvl.a2)
                        insert_main_group("main_group_violet")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- Groups (Not Main Group) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:2.-Groups:Violet 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_violet") insert_sgroup("sgroup_two_violet") insert_group("group_two_violet") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_violet") insert_sgroup("sgroup_two_violet") insert_group("group_one_violet") instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:2.-Groups:Violet 4Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_violet") insert_sgroup("sgroup_two_violet") insert_group("group_four_violet")  instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_violet") insert_sgroup("sgroup_two_violet") insert_group("group_three_violet") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_violet") insert_sgroup("sgroup_two_violet") insert_group("group_two_violet")   instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_violet") insert_sgroup("sgroup_two_violet") insert_group("group_one_violet")   instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:2.-Groups:Violet 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_violet") insert_sgroup("sgroup_three_violet") insert_group("group_two_violet") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_violet") insert_sgroup("sgroup_three_violet") insert_group("group_one_violet")   instert_sgroups_to_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:2.-Groups:Violet 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_violet") insert_sgroup("sgroup_four_violet") insert_group("group_two_violet") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_violet") insert_sgroup("sgroup_four_violet") insert_group("group_one_violet") instert_sgroups_to_group_2Gx4T()
             end
  } end
  
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:2.-Groups:Violet 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_violet") insert_sgroup("sgroup_five_violet") insert_group("group_two_violet") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_violet") insert_sgroup("sgroup_five_violet") insert_group("group_one_violet") instert_sgroups_to_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:2.-Groups:Violet 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_violet") insert_sgroup("sgroup_six_violet") insert_group("group_two_violet") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_violet") insert_sgroup("sgroup_six_violet") insert_group("group_one_violet") instert_sgroups_to_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:2.-Groups:Violet 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_violet") insert_sgroup("sgroup_seven_violet") insert_group("group_two_violet") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_violet") insert_sgroup("sgroup_seven_violet") insert_group("group_one_violet") instert_sgroups_to_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:2.-Groups:Violet 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_violet") insert_sgroup("sgroup_eight_violet") insert_group("group_two_violet") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_violet") insert_sgroup("sgroup_eight_violet") insert_group("group_one_violet") instert_sgroups_to_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:2.-Groups:Violet 1 Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tvl.a2)
                        insert_group("group_one_violet")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- SubGroups (Not Groups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:3.-SubGroups:Violet 4SGr x 2Tr" ,
    invoke = function() insert_sgroup("sgroup_two_violet") insert_sgroup("sgroup_two_violet")
                        insert_sgroup("sgroup_two_violet") insert_sgroup("sgroup_two_violet")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:3.-SubGroups:Violet 4SGr x 3Tr" ,
    invoke = function() insert_sgroup("sgroup_three_violet") insert_sgroup("sgroup_three_violet")
                        insert_sgroup("sgroup_three_violet") insert_sgroup("sgroup_three_violet")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:3.-SubGroups:Violet 4SGr x 4Tr" ,
    invoke = function() insert_sgroup("sgroup_four_violet") insert_sgroup("sgroup_four_violet")
                        insert_sgroup("sgroup_four_violet") insert_sgroup("sgroup_four_violet")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:3.-SubGroups:Violet 4SGr x 5Tr" ,
    invoke = function() insert_sgroup("sgroup_five_violet") insert_sgroup("sgroup_five_violet")
                        insert_sgroup("sgroup_five_violet") insert_sgroup("sgroup_five_violet")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:3.-SubGroups:Violet 4SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_violet") insert_sgroup("sgroup_six_violet")
                        insert_sgroup("sgroup_six_violet") insert_sgroup("sgroup_six_violet")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:3.-SubGroups:Violet 2SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_violet") insert_sgroup("sgroup_six_violet")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:3.-SubGroups:Violet 4SGr x 7Tr" ,
    invoke = function() insert_sgroup("sgroup_seven_violet") insert_sgroup("sgroup_seven_violet")
                        insert_sgroup("sgroup_seven_violet") insert_sgroup("sgroup_seven_violet")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:3.-SubGroups:Violet 4SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_violet") insert_sgroup("sgroup_eight_violet")
                        insert_sgroup("sgroup_eight_violet") insert_sgroup("sgroup_eight_violet")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:3.-SubGroups:Violet 2SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_violet") insert_sgroup("sgroup_eight_violet")
             end
  } end
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:3.-SubGroups:Violet 1SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_violet")
             end
  } end
  
    -- Tracks (Not SubGroups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:4.-Tracks:Violet 2Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tvl.two) insert_track_only(rnst , tvl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:4.-Tracks:Violet 4Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tvl.four)  insert_track_only(rnst , tvl.three) insert_track_only(rnst , tvl.two) insert_track_only(rnst , tvl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:4.-Tracks:Violet 4Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tvl.a2) insert_track_only(rnst , tvl.a1)
                        insert_track_only(rnst , tvl.four)  insert_track_only(rnst , tvl.three) insert_track_only(rnst , tvl.two) insert_track_only(rnst , tvl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:4.-Tracks:Violet 6Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tvl.six)   insert_track_only(rnst , tvl.five) insert_track_only(rnst , tvl.four)
                        insert_track_only(rnst , tvl.three) insert_track_only(rnst , tvl.two)  insert_track_only(rnst , tvl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:4.-Tracks:Violet 8Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tvl.eight) insert_track_only(rnst , tvl.seven) insert_track_only(rnst , tvl.six) insert_track_only(rnst , tvl.five)
                        insert_track_only(rnst , tvl.four)  insert_track_only(rnst , tvl.three) insert_track_only(rnst , tvl.two) insert_track_only(rnst , tvl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:4.-Tracks:Violet 8Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tvl.a2) insert_track_only(rnst , tvl.a1)
                        insert_track_only(rnst , tvl.eight) insert_track_only(rnst , tvl.seven) insert_track_only(rnst , tvl.six) insert_track_only(rnst , tvl.five)
                        insert_track_only(rnst , tvl.four)  insert_track_only(rnst , tvl.three) insert_track_only(rnst , tvl.two) insert_track_only(rnst , tvl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Violet Color:4.-Tracks:Violet 1AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tvl.a1)
             end
  } end
  
  
  
  
    --[[ == Menu & Invoke WHITE == ]]--
  
    -- Main Group --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:1.-Main Group:White 1MGr x 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_white") insert_sgroup("sgroup_two_white") insert_group("group_two_white") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_white") insert_sgroup("sgroup_two_white") insert_group("group_one_white") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_white") instert_groups_to_main_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:1.-Main Group:White 1MGr x 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_white") insert_sgroup("sgroup_three_white") insert_group("group_two_white") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_white") insert_sgroup("sgroup_three_white") insert_group("group_one_white") instert_sgroups_to_group_2Gx3T()
                        insert_main_group("main_group_white") instert_groups_to_main_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:1.-Main Group:White 1MGr x 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_white") insert_sgroup("sgroup_four_white") insert_group("group_two_white") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_white") insert_sgroup("sgroup_four_white") insert_group("group_one_white") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_white") instert_groups_to_main_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:1.-Main Group:White 1MGr x 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_white") insert_sgroup("sgroup_five_white") insert_group("group_two_white") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_white") insert_sgroup("sgroup_five_white") insert_group("group_one_white") instert_sgroups_to_group_2Gx5T()
                        insert_main_group("main_group_white") instert_groups_to_main_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:1.-Main Group:White 1MGr x 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_white") insert_sgroup("sgroup_six_white") insert_group("group_two_white") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_white") insert_sgroup("sgroup_six_white") insert_group("group_one_white") instert_sgroups_to_group_2Gx6T()
                        insert_main_group("main_group_white") instert_groups_to_main_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:1.-Main Group:White 1MGr x 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_white") insert_sgroup("sgroup_seven_white") insert_group("group_two_white") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_white") insert_sgroup("sgroup_seven_white") insert_group("group_one_white") instert_sgroups_to_group_2Gx7T()
                        insert_main_group("main_group_white") instert_groups_to_main_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:1.-Main Group:White 1MGr x 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_white") insert_sgroup("sgroup_eight_white") insert_group("group_two_white") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_white") insert_sgroup("sgroup_eight_white") insert_group("group_one_white") instert_sgroups_to_group_2Gx8T()
                        insert_main_group("main_group_white") instert_groups_to_main_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:1.-Main Group:White 1 Main Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, twh.a2)
                        insert_main_group("main_group_white")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- Groups (Not Main Group) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:2.-Groups:White 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_white") insert_sgroup("sgroup_two_white") insert_group("group_two_white") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_white") insert_sgroup("sgroup_two_white") insert_group("group_one_white") instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:2.-Groups:White 4Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_white") insert_sgroup("sgroup_two_white") insert_group("group_four_white")  instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_white") insert_sgroup("sgroup_two_white") insert_group("group_three_white") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_white") insert_sgroup("sgroup_two_white") insert_group("group_two_white")   instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_white") insert_sgroup("sgroup_two_white") insert_group("group_one_white")   instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:2.-Groups:White 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_white") insert_sgroup("sgroup_three_white") insert_group("group_two_white") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_white") insert_sgroup("sgroup_three_white") insert_group("group_one_white") instert_sgroups_to_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:2.-Groups:White 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_white") insert_sgroup("sgroup_four_white") insert_group("group_two_white") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_white") insert_sgroup("sgroup_four_white") insert_group("group_one_white") instert_sgroups_to_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:2.-Groups:White 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_white") insert_sgroup("sgroup_five_white") insert_group("group_two_white") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_white") insert_sgroup("sgroup_five_white") insert_group("group_one_white") instert_sgroups_to_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:2.-Groups:White 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_white") insert_sgroup("sgroup_six_white") insert_group("group_two_white") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_white") insert_sgroup("sgroup_six_white") insert_group("group_one_white") instert_sgroups_to_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:2.-Groups:White 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_white") insert_sgroup("sgroup_seven_white") insert_group("group_two_white") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_white") insert_sgroup("sgroup_seven_white") insert_group("group_one_white") instert_sgroups_to_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:2.-Groups:White 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_white") insert_sgroup("sgroup_eight_white") insert_group("group_two_white") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_white") insert_sgroup("sgroup_eight_white") insert_group("group_one_white") instert_sgroups_to_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:2.-Groups:White 1 Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, twh.a2)
                        insert_group("group_one_white")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- SubGroups (Not Groups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:3.-SubGroups:White 4SGr x 2Tr" ,
    invoke = function() insert_sgroup("sgroup_two_white") insert_sgroup("sgroup_two_white")
                        insert_sgroup("sgroup_two_white") insert_sgroup("sgroup_two_white")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:3.-SubGroups:White 4SGr x 3Tr" ,
    invoke = function() insert_sgroup("sgroup_three_white") insert_sgroup("sgroup_three_white")
                        insert_sgroup("sgroup_three_white") insert_sgroup("sgroup_three_white")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:3.-SubGroups:White 4SGr x 4Tr" ,
    invoke = function() insert_sgroup("sgroup_four_white") insert_sgroup("sgroup_four_white")
                        insert_sgroup("sgroup_four_white") insert_sgroup("sgroup_four_white")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:3.-SubGroups:White 4SGr x 5Tr" ,
    invoke = function() insert_sgroup("sgroup_five_white") insert_sgroup("sgroup_five_white")
                        insert_sgroup("sgroup_five_white") insert_sgroup("sgroup_five_white")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:3.-SubGroups:White 4SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_white") insert_sgroup("sgroup_six_white")
                        insert_sgroup("sgroup_six_white") insert_sgroup("sgroup_six_white")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:3.-SubGroups:White 2SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_white") insert_sgroup("sgroup_six_white")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:3.-SubGroups:White 4SGr x 7Tr" ,
    invoke = function() insert_sgroup("sgroup_seven_white") insert_sgroup("sgroup_seven_white")
                        insert_sgroup("sgroup_seven_white") insert_sgroup("sgroup_seven_white")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:3.-SubGroups:White 4SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_white") insert_sgroup("sgroup_eight_white")
                        insert_sgroup("sgroup_eight_white") insert_sgroup("sgroup_eight_white")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:3.-SubGroups:White 2SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_white") insert_sgroup("sgroup_eight_white")
             end
  } end
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:3.-SubGroups:White 1SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_white")
             end
  } end
  
    -- Tracks (Not SubGroups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:4.-Tracks:White 2Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , twh.two) insert_track_only(rnst , twh.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:4.-Tracks:White 4Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , twh.four)  insert_track_only(rnst , twh.three) insert_track_only(rnst , twh.two) insert_track_only(rnst , twh.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:4.-Tracks:White 4Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , twh.a2) insert_track_only(rnst , twh.a1)
                        insert_track_only(rnst , twh.four)  insert_track_only(rnst , twh.three) insert_track_only(rnst , twh.two) insert_track_only(rnst , twh.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:4.-Tracks:White 6Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , twh.six)   insert_track_only(rnst , twh.five) insert_track_only(rnst , twh.four)
                        insert_track_only(rnst , twh.three) insert_track_only(rnst , twh.two)  insert_track_only(rnst , twh.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:4.-Tracks:White 8Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , twh.eight) insert_track_only(rnst , twh.seven) insert_track_only(rnst , twh.six) insert_track_only(rnst , twh.five)
                        insert_track_only(rnst , twh.four)  insert_track_only(rnst , twh.three) insert_track_only(rnst , twh.two) insert_track_only(rnst , twh.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:4.-Tracks:White 8Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , twh.a2) insert_track_only(rnst , twh.a1)
                        insert_track_only(rnst , twh.eight) insert_track_only(rnst , twh.seven) insert_track_only(rnst , twh.six) insert_track_only(rnst , twh.five)
                        insert_track_only(rnst , twh.four)  insert_track_only(rnst , twh.three) insert_track_only(rnst , twh.two) insert_track_only(rnst , twh.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:White Color:4.-Tracks:White 1AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , twh.a1)
             end
  } end
  
  
  
    --[[ == Menu & Invoke YELLOW == ]]--
  
    -- Main Group --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:1.-Main Group:Yellow 1MGr x 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_yellow") insert_sgroup("sgroup_two_yellow") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_yellow") insert_sgroup("sgroup_two_yellow") insert_group("group_one_yellow") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_yellow") instert_groups_to_main_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:1.-Main Group:Yellow 1MGr x 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_yellow") insert_sgroup("sgroup_three_yellow") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_yellow") insert_sgroup("sgroup_three_yellow") insert_group("group_one_yellow") instert_sgroups_to_group_2Gx3T()
                        insert_main_group("main_group_yellow") instert_groups_to_main_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:1.-Main Group:Yellow 1MGr x 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_yellow") insert_sgroup("sgroup_four_yellow") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_yellow") insert_sgroup("sgroup_four_yellow") insert_group("group_one_yellow") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_yellow") instert_groups_to_main_group_2Gx4T()
             end
  } end
  
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:1.-Main Group:Yellow 1MGr x 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_yellow") insert_sgroup("sgroup_five_yellow") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_yellow") insert_sgroup("sgroup_five_yellow") insert_group("group_one_yellow") instert_sgroups_to_group_2Gx5T()
                        insert_main_group("main_group_yellow") instert_groups_to_main_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:1.-Main Group:Yellow 1MGr x 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_yellow") insert_sgroup("sgroup_six_yellow") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_yellow") insert_sgroup("sgroup_six_yellow") insert_group("group_one_yellow") instert_sgroups_to_group_2Gx6T()
                        insert_main_group("main_group_yellow") instert_groups_to_main_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:1.-Main Group:Yellow 1MGr x 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_yellow") insert_sgroup("sgroup_seven_yellow") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_yellow") insert_sgroup("sgroup_seven_yellow") insert_group("group_one_yellow") instert_sgroups_to_group_2Gx7T()
                        insert_main_group("main_group_yellow") instert_groups_to_main_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:1.-Main Group:Yellow 1MGr x 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_yellow") insert_sgroup("sgroup_eight_yellow") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_yellow") insert_sgroup("sgroup_eight_yellow") insert_group("group_one_yellow") instert_sgroups_to_group_2Gx8T()
                        insert_main_group("main_group_yellow") instert_groups_to_main_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:1.-Main Group:Yellow 1 Main Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tyl.a2)
                        insert_main_group("main_group_yellow")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- Groups (Not Main Group) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:2.-Groups:Yellow 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_yellow") insert_sgroup("sgroup_two_yellow") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_yellow") insert_sgroup("sgroup_two_yellow") insert_group("group_one_yellow") instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:2.-Groups:Yellow 4Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_yellow") insert_sgroup("sgroup_two_yellow") insert_group("group_four_yellow")  instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_yellow") insert_sgroup("sgroup_two_yellow") insert_group("group_three_yellow") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_yellow") insert_sgroup("sgroup_two_yellow") insert_group("group_two_yellow")   instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_yellow") insert_sgroup("sgroup_two_yellow") insert_group("group_one_yellow")   instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:2.-Groups:Yellow 2Gr [2SGr x 3Tr]" ,
    invoke = function() insert_sgroup("sgroup_three_yellow") insert_sgroup("sgroup_three_yellow") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx3T()
                        insert_sgroup("sgroup_three_yellow") insert_sgroup("sgroup_three_yellow") insert_group("group_one_yellow") instert_sgroups_to_group_2Gx3T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:2.-Groups:Yellow 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_yellow") insert_sgroup("sgroup_four_yellow") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_yellow") insert_sgroup("sgroup_four_yellow") insert_group("group_one_yellow") instert_sgroups_to_group_2Gx4T()
             end
  } end
  
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:2.-Groups:Yellow 2Gr [2SGr x 5Tr]" ,
    invoke = function() insert_sgroup("sgroup_five_yellow") insert_sgroup("sgroup_five_yellow") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx5T()
                        insert_sgroup("sgroup_five_yellow") insert_sgroup("sgroup_five_yellow") insert_group("group_one_yellow") instert_sgroups_to_group_2Gx5T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:2.-Groups:Yellow 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_yellow") insert_sgroup("sgroup_six_yellow") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_yellow") insert_sgroup("sgroup_six_yellow") insert_group("group_one_yellow") instert_sgroups_to_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:2.-Groups:Yellow 2Gr [2SGr x 7Tr]" ,
    invoke = function() insert_sgroup("sgroup_seven_yellow") insert_sgroup("sgroup_seven_yellow") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx7T()
                        insert_sgroup("sgroup_seven_yellow") insert_sgroup("sgroup_seven_yellow") insert_group("group_one_yellow") instert_sgroups_to_group_2Gx7T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:2.-Groups:Yellow 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_yellow") insert_sgroup("sgroup_eight_yellow") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_yellow") insert_sgroup("sgroup_eight_yellow") insert_group("group_one_yellow") instert_sgroups_to_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:2.-Groups:Yellow 1 Group" ,
    invoke = function() local song = renoise.song()
                        insert_track_only(song.selected_track_index + 1, tyl.a2)
                        insert_group("group_one_yellow")
                        song:add_track_to_group(song.selected_track_index +2 , song.selected_track_index + 1)
                        song:select_next_track()
             end
  } end
  
    -- SubGroups (Not Groups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:3.-SubGroups:Yellow 4SGr x 2Tr" ,
    invoke = function() insert_sgroup("sgroup_two_yellow") insert_sgroup("sgroup_two_yellow")
                        insert_sgroup("sgroup_two_yellow") insert_sgroup("sgroup_two_yellow")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:3.-SubGroups:Yellow 4SGr x 3Tr" ,
    invoke = function() insert_sgroup("sgroup_three_yellow") insert_sgroup("sgroup_three_yellow")
                        insert_sgroup("sgroup_three_yellow") insert_sgroup("sgroup_three_yellow")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:3.-SubGroups:Yellow 4SGr x 4Tr" ,
    invoke = function() insert_sgroup("sgroup_four_yellow") insert_sgroup("sgroup_four_yellow")
                        insert_sgroup("sgroup_four_yellow") insert_sgroup("sgroup_four_yellow")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:3.-SubGroups:Yellow 4SGr x 5Tr" ,
    invoke = function() insert_sgroup("sgroup_five_yellow") insert_sgroup("sgroup_five_yellow")
                        insert_sgroup("sgroup_five_yellow") insert_sgroup("sgroup_five_yellow")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:3.-SubGroups:Yellow 4SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_yellow") insert_sgroup("sgroup_six_yellow")
                        insert_sgroup("sgroup_six_yellow") insert_sgroup("sgroup_six_yellow")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:3.-SubGroups:Yellow 2SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_yellow") insert_sgroup("sgroup_six_yellow")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:3.-SubGroups:Yellow 4SGr x 7Tr" ,
    invoke = function() insert_sgroup("sgroup_seven_yellow") insert_sgroup("sgroup_seven_yellow")
                        insert_sgroup("sgroup_seven_yellow") insert_sgroup("sgroup_seven_yellow")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:3.-SubGroups:Yellow 4SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_yellow") insert_sgroup("sgroup_eight_yellow")
                        insert_sgroup("sgroup_eight_yellow") insert_sgroup("sgroup_eight_yellow")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:3.-SubGroups:Yellow 2SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_yellow") insert_sgroup("sgroup_eight_yellow")
             end
  } end
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:3.-SubGroups:Yellow 1SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_yellow")
             end
  } end
  
    -- Tracks (Not SubGroups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:4.-Tracks:Yellow 2Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tyl.two) insert_track_only(rnst , tyl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:4.-Tracks:Yellow 4Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tyl.four)  insert_track_only(rnst , tyl.three) insert_track_only(rnst , tyl.two) insert_track_only(rnst , tyl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:4.-Tracks:Yellow 4Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tyl.a2) insert_track_only(rnst , tyl.a1)
                        insert_track_only(rnst , tyl.four)  insert_track_only(rnst , tyl.three) insert_track_only(rnst , tyl.two) insert_track_only(rnst , tyl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:4.-Tracks:Yellow 6Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tyl.six)   insert_track_only(rnst , tyl.five) insert_track_only(rnst , tyl.four)
                        insert_track_only(rnst , tyl.three) insert_track_only(rnst , tyl.two)  insert_track_only(rnst , tyl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:4.-Tracks:Yellow 8Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tyl.eight) insert_track_only(rnst , tyl.seven) insert_track_only(rnst , tyl.six) insert_track_only(rnst , tyl.five)
                        insert_track_only(rnst , tyl.four)  insert_track_only(rnst , tyl.three) insert_track_only(rnst , tyl.two) insert_track_only(rnst , tyl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:4.-Tracks:Yellow 8Tr + 2AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tyl.a2) insert_track_only(rnst , tyl.a1)
                        insert_track_only(rnst , tyl.eight) insert_track_only(rnst , tyl.seven) insert_track_only(rnst , tyl.six) insert_track_only(rnst , tyl.five)
                        insert_track_only(rnst , tyl.four)  insert_track_only(rnst , tyl.three) insert_track_only(rnst , tyl.two) insert_track_only(rnst , tyl.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:Yellow Color:4.-Tracks:Yellow 1AuxTr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        insert_track_only(rnst , tyl.a1)
             end
  } end
  
  
  
    --[[ == Menu & Invoke ...COMBINED == ]]--
  
    -- Main Groups --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:1.-Main Groups:Comb. 2MGr x 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_white") insert_sgroup("sgroup_two_gold") insert_group("group_four_pistachio") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_aqua") insert_sgroup("sgroup_two_brown") insert_group("group_three_violet") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_pink") instert_groups_to_main_group_2Gx2T()
                        insert_sgroup("sgroup_two_orange") insert_sgroup("sgroup_two_pale") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_sky") insert_sgroup("sgroup_two_green") insert_group("group_one_red") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_blue") instert_groups_to_main_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:1.-Main Groups:Comb. 2MGr x 2Gr [2SGr x 2Tr] x2" ,
    invoke = function() insert_sgroup("sgroup_two_white") insert_sgroup("sgroup_two_gold") insert_group("group_four_pistachio") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_aqua") insert_sgroup("sgroup_two_brown") insert_group("group_three_violet") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_pink") instert_groups_to_main_group_2Gx2T()
                        insert_sgroup("sgroup_two_orange") insert_sgroup("sgroup_two_pale") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_sky") insert_sgroup("sgroup_two_green") insert_group("group_one_red") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_blue") instert_groups_to_main_group_2Gx2T()
  
                        insert_sgroup("sgroup_two_white") insert_sgroup("sgroup_two_gold") insert_group("group_four_pistachio") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_aqua") insert_sgroup("sgroup_two_brown") insert_group("group_three_violet") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_pink") instert_groups_to_main_group_2Gx2T()
                        insert_sgroup("sgroup_two_orange") insert_sgroup("sgroup_two_pale") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_sky") insert_sgroup("sgroup_two_green") insert_group("group_one_red") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_blue") instert_groups_to_main_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:1.-Main Groups:Comb. 2MGr x 2Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_white") insert_sgroup("sgroup_four_gold") insert_group("group_four_pistachio") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_aqua") insert_sgroup("sgroup_four_brown") insert_group("group_three_violet") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_pink") instert_groups_to_main_group_2Gx4T()
                        insert_sgroup("sgroup_four_orange") insert_sgroup("sgroup_four_pale") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_sky") insert_sgroup("sgroup_four_green") insert_group("group_one_red") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_blue") instert_groups_to_main_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:1.-Main Groups:Comb. 2MGr x 2Gr [2SGr x 4Tr] x2" ,
    invoke = function() insert_sgroup("sgroup_four_white") insert_sgroup("sgroup_four_gold") insert_group("group_four_pistachio") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_aqua") insert_sgroup("sgroup_four_brown") insert_group("group_three_violet") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_pink") instert_groups_to_main_group_2Gx4T()
                        insert_sgroup("sgroup_four_orange") insert_sgroup("sgroup_four_pale") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_sky") insert_sgroup("sgroup_four_green") insert_group("group_one_red") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_blue") instert_groups_to_main_group_2Gx4T()
  
                        insert_sgroup("sgroup_four_white") insert_sgroup("sgroup_four_gold") insert_group("group_four_pistachio") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_aqua") insert_sgroup("sgroup_four_brown") insert_group("group_three_violet") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_pink") instert_groups_to_main_group_2Gx4T()
                        insert_sgroup("sgroup_four_orange") insert_sgroup("sgroup_four_pale") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_sky") insert_sgroup("sgroup_four_green") insert_group("group_one_red") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_blue") instert_groups_to_main_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:1.-Main Groups:Comb. 2MGr x 2Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_white") insert_sgroup("sgroup_six_gold") insert_group("group_four_pistachio") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_aqua") insert_sgroup("sgroup_six_brown") insert_group("group_three_violet") instert_sgroups_to_group_2Gx6T()
                        insert_main_group("main_group_pink") instert_groups_to_main_group_2Gx6T()
                        insert_sgroup("sgroup_six_orange") insert_sgroup("sgroup_six_pale") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_sky") insert_sgroup("sgroup_six_green") insert_group("group_one_red") instert_sgroups_to_group_2Gx6T()
                        insert_main_group("main_group_blue") instert_groups_to_main_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:1.-Main Groups:Comb. 2MGr x 2Gr [2SGr x 6Tr] x2 ...Heavy!!!" ,
    invoke = function() insert_sgroup("sgroup_six_white") insert_sgroup("sgroup_six_gold") insert_group("group_four_pistachio") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_aqua") insert_sgroup("sgroup_six_brown") insert_group("group_three_violet") instert_sgroups_to_group_2Gx6T()
                        insert_main_group("main_group_pink") instert_groups_to_main_group_2Gx6T()
                        insert_sgroup("sgroup_six_orange") insert_sgroup("sgroup_six_pale") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_sky") insert_sgroup("sgroup_six_green") insert_group("group_one_red") instert_sgroups_to_group_2Gx6T()
                        insert_main_group("main_group_blue") instert_groups_to_main_group_2Gx6T()
  
                        insert_sgroup("sgroup_six_white") insert_sgroup("sgroup_six_gold") insert_group("group_four_pistachio") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_aqua") insert_sgroup("sgroup_six_brown") insert_group("group_three_violet") instert_sgroups_to_group_2Gx6T()
                        insert_main_group("main_group_pink") instert_groups_to_main_group_2Gx6T()
                        insert_sgroup("sgroup_six_orange") insert_sgroup("sgroup_six_pale") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_sky") insert_sgroup("sgroup_six_green") insert_group("group_one_red") instert_sgroups_to_group_2Gx6T()
                        insert_main_group("main_group_blue") instert_groups_to_main_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:1.-Main Groups:Comb. 2MGr x 2Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_white") insert_sgroup("sgroup_eight_gold") insert_group("group_four_pistachio") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_aqua") insert_sgroup("sgroup_eight_brown") insert_group("group_three_violet") instert_sgroups_to_group_2Gx8T()
                        insert_main_group("main_group_pink") instert_groups_to_main_group_2Gx8T()
                        insert_sgroup("sgroup_eight_orange") insert_sgroup("sgroup_eight_pale") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_sky") insert_sgroup("sgroup_eight_green") insert_group("group_one_red") instert_sgroups_to_group_2Gx8T()
                        insert_main_group("main_group_blue") instert_groups_to_main_group_2Gx8T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:1.-Main Groups:Comb. A1.-8MGr x 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_white") insert_sgroup("sgroup_two_white") insert_group("group_two_white") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_white") insert_sgroup("sgroup_two_white") insert_group("group_one_white") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_white") instert_groups_to_main_group_2Gx2T()
  
                        insert_sgroup("sgroup_two_violet") insert_sgroup("sgroup_two_violet") insert_group("group_two_violet") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_violet") insert_sgroup("sgroup_two_violet") insert_group("group_one_violet") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_violet") instert_groups_to_main_group_2Gx2T()
  
                        insert_sgroup("sgroup_two_orange") insert_sgroup("sgroup_two_orange") insert_group("group_two_orange") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_orange") insert_sgroup("sgroup_two_orange") insert_group("group_one_orange") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_orange") instert_groups_to_main_group_2Gx2T()
  
                        insert_sgroup("sgroup_two_pink") insert_sgroup("sgroup_two_pink") insert_group("group_two_pink") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_pink") insert_sgroup("sgroup_two_pink") insert_group("group_one_pink") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_pink") instert_groups_to_main_group_2Gx2T()
  
                        insert_sgroup("sgroup_two_yellow") insert_sgroup("sgroup_two_yellow") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_yellow") insert_sgroup("sgroup_two_yellow") insert_group("group_one_yellow") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_yellow") instert_groups_to_main_group_2Gx2T()
  
                        insert_sgroup("sgroup_two_blue") insert_sgroup("sgroup_two_blue") insert_group("group_two_blue") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_blue") insert_sgroup("sgroup_two_blue") insert_group("group_one_blue") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_blue") instert_groups_to_main_group_2Gx2T()
  
                        insert_sgroup("sgroup_two_green") insert_sgroup("sgroup_two_green") insert_group("group_two_green") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_green") insert_sgroup("sgroup_two_green") insert_group("group_one_green") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_green") instert_groups_to_main_group_2Gx2T()
  
                        insert_sgroup("sgroup_two_red") insert_sgroup("sgroup_two_red") insert_group("group_two_red") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_red") insert_sgroup("sgroup_two_red") insert_group("group_one_red") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_red") instert_groups_to_main_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:1.-Main Groups:Comb. A2.-8MGr x 2Gr [2SGr x 4Tr] ...Heavy!!!" ,
    invoke = function() insert_sgroup("sgroup_four_white") insert_sgroup("sgroup_four_white") insert_group("group_two_white") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_white") insert_sgroup("sgroup_four_white") insert_group("group_one_white") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_white") instert_groups_to_main_group_2Gx4T()
  
                        insert_sgroup("sgroup_four_violet") insert_sgroup("sgroup_four_violet") insert_group("group_two_violet") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_violet") insert_sgroup("sgroup_four_violet") insert_group("group_one_violet") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_violet") instert_groups_to_main_group_2Gx4T()
  
                        insert_sgroup("sgroup_four_orange") insert_sgroup("sgroup_four_orange") insert_group("group_two_orange") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_orange") insert_sgroup("sgroup_four_orange") insert_group("group_one_orange") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_orange") instert_groups_to_main_group_2Gx4T()
  
                        insert_sgroup("sgroup_four_pink") insert_sgroup("sgroup_four_pink") insert_group("group_two_pink") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_pink") insert_sgroup("sgroup_four_pink") insert_group("group_one_pink") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_pink") instert_groups_to_main_group_2Gx4T()
  
                        insert_sgroup("sgroup_four_yellow") insert_sgroup("sgroup_four_yellow") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_yellow") insert_sgroup("sgroup_four_yellow") insert_group("group_one_yellow") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_yellow") instert_groups_to_main_group_2Gx4T()
  
                        insert_sgroup("sgroup_four_blue") insert_sgroup("sgroup_four_blue") insert_group("group_two_blue") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_blue") insert_sgroup("sgroup_four_blue") insert_group("group_one_blue") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_blue") instert_groups_to_main_group_2Gx4T()
  
                        insert_sgroup("sgroup_four_green") insert_sgroup("sgroup_four_green") insert_group("group_two_green") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_green") insert_sgroup("sgroup_four_green") insert_group("group_one_green") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_green") instert_groups_to_main_group_2Gx4T()
  
                        insert_sgroup("sgroup_four_red") insert_sgroup("sgroup_four_red") insert_group("group_two_red") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_red") insert_sgroup("sgroup_four_red") insert_group("group_one_red") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_red") instert_groups_to_main_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:1.-Main Groups:Comb. B1.-8MGr x 2Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_brown") insert_sgroup("sgroup_two_brown") insert_group("group_two_brown") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_brown") insert_sgroup("sgroup_two_brown") insert_group("group_one_brown") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_brown") instert_groups_to_main_group_2Gx2T()
  
                        insert_sgroup("sgroup_two_pale") insert_sgroup("sgroup_two_pale") insert_group("group_two_pale") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_pale") insert_sgroup("sgroup_two_pale") insert_group("group_one_pale") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_pale") instert_groups_to_main_group_2Gx2T()
  
                        insert_sgroup("sgroup_two_aqua") insert_sgroup("sgroup_two_aqua") insert_group("group_two_aqua") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_aqua") insert_sgroup("sgroup_two_aqua") insert_group("group_one_aqua") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_aqua") instert_groups_to_main_group_2Gx2T()
  
                        insert_sgroup("sgroup_two_black") insert_sgroup("sgroup_two_black") insert_group("group_two_black") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_black") insert_sgroup("sgroup_two_black") insert_group("group_one_black") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_black") instert_groups_to_main_group_2Gx2T()
  
                        insert_sgroup("sgroup_two_pistachio") insert_sgroup("sgroup_two_pistachio") insert_group("group_two_pistachio") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_pistachio") insert_sgroup("sgroup_two_pistachio") insert_group("group_one_pistachio") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_pistachio") instert_groups_to_main_group_2Gx2T()
  
                        insert_sgroup("sgroup_two_gray") insert_sgroup("sgroup_two_gray") insert_group("group_two_gray") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_gray") insert_sgroup("sgroup_two_gray") insert_group("group_one_gray") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_gray") instert_groups_to_main_group_2Gx2T()
  
                        insert_sgroup("sgroup_two_gold") insert_sgroup("sgroup_two_gold") insert_group("group_two_gold") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_gold") insert_sgroup("sgroup_two_gold") insert_group("group_one_gold") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_gold") instert_groups_to_main_group_2Gx2T()
  
                        insert_sgroup("sgroup_two_sky") insert_sgroup("sgroup_two_sky") insert_group("group_two_sky") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_sky") insert_sgroup("sgroup_two_sky") insert_group("group_one_sky") instert_sgroups_to_group_2Gx2T()
                        insert_main_group("main_group_sky") instert_groups_to_main_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:1.-Main Groups:Comb. B2.-8MGr x 2Gr [2SGr x 4Tr] ...Heavy!!!" ,
    invoke = function() insert_sgroup("sgroup_four_brown") insert_sgroup("sgroup_four_brown") insert_group("group_two_brown") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_brown") insert_sgroup("sgroup_four_brown") insert_group("group_one_brown") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_brown") instert_groups_to_main_group_2Gx4T()
  
                        insert_sgroup("sgroup_four_pale") insert_sgroup("sgroup_four_pale") insert_group("group_two_pale") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_pale") insert_sgroup("sgroup_four_pale") insert_group("group_one_pale") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_pale") instert_groups_to_main_group_2Gx4T()
  
                        insert_sgroup("sgroup_four_aqua") insert_sgroup("sgroup_four_aqua") insert_group("group_two_aqua") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_aqua") insert_sgroup("sgroup_four_aqua") insert_group("group_one_aqua") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_aqua") instert_groups_to_main_group_2Gx4T()
  
                        insert_sgroup("sgroup_four_black") insert_sgroup("sgroup_four_black") insert_group("group_two_black") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_black") insert_sgroup("sgroup_four_black") insert_group("group_one_black") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_black") instert_groups_to_main_group_2Gx4T()
  
                        insert_sgroup("sgroup_four_pistachio") insert_sgroup("sgroup_four_pistachio") insert_group("group_two_pistachio") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_pistachio") insert_sgroup("sgroup_four_pistachio") insert_group("group_one_pistachio") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_pistachio") instert_groups_to_main_group_2Gx4T()
  
                        insert_sgroup("sgroup_four_gray") insert_sgroup("sgroup_four_gray") insert_group("group_two_gray") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_gray") insert_sgroup("sgroup_four_gray") insert_group("group_one_gray") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_gray") instert_groups_to_main_group_2Gx4T()
  
                        insert_sgroup("sgroup_four_gold") insert_sgroup("sgroup_four_gold") insert_group("group_two_gold") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_gold") insert_sgroup("sgroup_four_gold") insert_group("group_one_gold") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_gold") instert_groups_to_main_group_2Gx4T()
  
                        insert_sgroup("sgroup_four_sky") insert_sgroup("sgroup_four_sky") insert_group("group_two_sky") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_sky") insert_sgroup("sgroup_four_sky") insert_group("group_one_sky") instert_sgroups_to_group_2Gx4T()
                        insert_main_group("main_group_sky") instert_groups_to_main_group_2Gx4T()
             end
  } end
  
    -- Groups --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:2.-Groups:Comb. 5Gr [2SGr x 2Tr]" ,
    invoke = function() insert_sgroup("sgroup_two_orange") insert_sgroup("sgroup_two_pale") insert_group("group_five_violet") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_white") insert_sgroup("sgroup_two_gold") insert_group("group_four_pistachio") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_aqua") insert_sgroup("sgroup_two_brown") insert_group("group_three_pink") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_sky") insert_sgroup("sgroup_two_gray") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_blue") insert_sgroup("sgroup_two_green") insert_group("group_one_red") instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:2.-Groups:Comb. 5Gr [2SGr x 2Tr] x2" ,
    invoke = function() insert_sgroup("sgroup_two_orange") insert_sgroup("sgroup_two_pale") insert_group("group_five_violet") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_white") insert_sgroup("sgroup_two_gold") insert_group("group_four_pistachio") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_aqua") insert_sgroup("sgroup_two_brown") insert_group("group_three_pink") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_sky") insert_sgroup("sgroup_two_gray") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_blue") insert_sgroup("sgroup_two_green") insert_group("group_one_red") instert_sgroups_to_group_2Gx2T()
  
                        insert_sgroup("sgroup_two_orange") insert_sgroup("sgroup_two_pale") insert_group("group_five_violet") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_white") insert_sgroup("sgroup_two_gold") insert_group("group_four_pistachio") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_aqua") insert_sgroup("sgroup_two_brown") insert_group("group_three_pink") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_sky") insert_sgroup("sgroup_two_gray") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx2T()
                        insert_sgroup("sgroup_two_blue") insert_sgroup("sgroup_two_green") insert_group("group_one_red") instert_sgroups_to_group_2Gx2T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:2.-Groups:Comb. 5Gr [2SGr x 4Tr]" ,
    invoke = function() insert_sgroup("sgroup_four_orange") insert_sgroup("sgroup_four_pale") insert_group("group_five_violet") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_white") insert_sgroup("sgroup_four_gold") insert_group("group_four_pistachio") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_aqua") insert_sgroup("sgroup_four_brown") insert_group("group_three_pink") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_sky") insert_sgroup("sgroup_four_gray") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_blue") insert_sgroup("sgroup_four_green") insert_group("group_one_red") instert_sgroups_to_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:2.-Groups:Comb. 5Gr [2SGr x 4Tr] x2" ,
    invoke = function() insert_sgroup("sgroup_four_orange") insert_sgroup("sgroup_four_pale") insert_group("group_five_violet") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_white") insert_sgroup("sgroup_four_gold") insert_group("group_four_pistachio") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_aqua") insert_sgroup("sgroup_four_brown") insert_group("group_three_pink") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_sky") insert_sgroup("sgroup_four_gray") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_blue") insert_sgroup("sgroup_four_green") insert_group("group_one_red") instert_sgroups_to_group_2Gx4T()
  
                        insert_sgroup("sgroup_four_orange") insert_sgroup("sgroup_four_pale") insert_group("group_five_violet") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_white") insert_sgroup("sgroup_four_gold") insert_group("group_four_pistachio") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_aqua") insert_sgroup("sgroup_four_brown") insert_group("group_three_pink") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_sky") insert_sgroup("sgroup_four_gray") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx4T()
                        insert_sgroup("sgroup_four_blue") insert_sgroup("sgroup_four_green") insert_group("group_one_red") instert_sgroups_to_group_2Gx4T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:2.-Groups:Comb. 5Gr [2SGr x 6Tr]" ,
    invoke = function() insert_sgroup("sgroup_six_orange") insert_sgroup("sgroup_six_pale") insert_group("group_five_violet") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_white") insert_sgroup("sgroup_six_gold") insert_group("group_four_pistachio") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_aqua") insert_sgroup("sgroup_six_brown") insert_group("group_three_pink") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_sky") insert_sgroup("sgroup_six_gray") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_blue") insert_sgroup("sgroup_six_green") insert_group("group_one_red") instert_sgroups_to_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:2.-Groups:Comb. 5Gr [2SGr x 6Tr] x2 ...Heavy!!!" ,
    invoke = function() insert_sgroup("sgroup_six_orange") insert_sgroup("sgroup_six_pale") insert_group("group_five_violet") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_white") insert_sgroup("sgroup_six_gold") insert_group("group_four_pistachio") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_aqua") insert_sgroup("sgroup_six_brown") insert_group("group_three_pink") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_sky") insert_sgroup("sgroup_six_gray") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_blue") insert_sgroup("sgroup_six_green") insert_group("group_one_red") instert_sgroups_to_group_2Gx6T()
  
                        insert_sgroup("sgroup_six_orange") insert_sgroup("sgroup_six_pale") insert_group("group_five_violet") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_white") insert_sgroup("sgroup_six_gold") insert_group("group_four_pistachio") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_aqua") insert_sgroup("sgroup_six_brown") insert_group("group_three_pink") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_sky") insert_sgroup("sgroup_six_gray") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx6T()
                        insert_sgroup("sgroup_six_blue") insert_sgroup("sgroup_six_green") insert_group("group_one_red") instert_sgroups_to_group_2Gx6T()
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:2.-Groups:Comb. 5Gr [2SGr x 8Tr]" ,
    invoke = function() insert_sgroup("sgroup_eight_orange") insert_sgroup("sgroup_eight_pale") insert_group("group_five_violet") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_white") insert_sgroup("sgroup_eight_gold") insert_group("group_four_pistachio") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_aqua") insert_sgroup("sgroup_eight_brown") insert_group("group_three_pink") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_sky") insert_sgroup("sgroup_eight_gray") insert_group("group_two_yellow") instert_sgroups_to_group_2Gx8T()
                        insert_sgroup("sgroup_eight_blue") insert_sgroup("sgroup_eight_green") insert_group("group_one_red") instert_sgroups_to_group_2Gx8T()
             end
  } end
  
    -- SubGroups (Not Groups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:3.-SubGroups:Comb. 16SGr x 2Tr" ,
    invoke = function() insert_sgroup("sgroup_two_pale") insert_sgroup("sgroup_two_sky") insert_sgroup("sgroup_two_black") insert_sgroup("sgroup_two_pistachio")
                        insert_sgroup("sgroup_two_gray") insert_sgroup("sgroup_two_gold") insert_sgroup("sgroup_two_white") insert_sgroup("sgroup_two_aqua")
                        insert_sgroup("sgroup_two_brown") insert_sgroup("sgroup_two_violet") insert_sgroup("sgroup_two_orange") insert_sgroup("sgroup_two_pink")
                        insert_sgroup("sgroup_two_yellow") insert_sgroup("sgroup_two_blue") insert_sgroup("sgroup_two_green") insert_sgroup("sgroup_two_red")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:3.-SubGroups:Comb. 16SGr x 4Tr" ,
    invoke = function() insert_sgroup("sgroup_four_pale") insert_sgroup("sgroup_four_sky") insert_sgroup("sgroup_four_black") insert_sgroup("sgroup_four_pistachio")
                        insert_sgroup("sgroup_four_gray") insert_sgroup("sgroup_four_gold") insert_sgroup("sgroup_four_white") insert_sgroup("sgroup_four_aqua")
                        insert_sgroup("sgroup_four_brown") insert_sgroup("sgroup_four_violet") insert_sgroup("sgroup_four_orange") insert_sgroup("sgroup_four_pink")
                        insert_sgroup("sgroup_four_yellow") insert_sgroup("sgroup_four_blue") insert_sgroup("sgroup_four_green") insert_sgroup("sgroup_four_red")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:3.-SubGroups:Comb. 16SGr x 6Tr" ,
    invoke = function() insert_sgroup("sgroup_six_pale") insert_sgroup("sgroup_six_sky") insert_sgroup("sgroup_six_black") insert_sgroup("sgroup_six_pistachio")
                        insert_sgroup("sgroup_six_gray") insert_sgroup("sgroup_six_gold") insert_sgroup("sgroup_six_white") insert_sgroup("sgroup_six_aqua")
                        insert_sgroup("sgroup_six_brown") insert_sgroup("sgroup_six_violet") insert_sgroup("sgroup_six_orange") insert_sgroup("sgroup_six_pink")
                        insert_sgroup("sgroup_six_yellow") insert_sgroup("sgroup_six_blue") insert_sgroup("sgroup_six_green") insert_sgroup("sgroup_six_red")
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:3.-SubGroups:Comb. 16SGr x 8Tr" ,
    invoke = function() insert_sgroup("sgroup_eight_pale") insert_sgroup("sgroup_eight_sky") insert_sgroup("sgroup_eight_black") insert_sgroup("sgroup_eight_pistachio")
                        insert_sgroup("sgroup_eight_gray") insert_sgroup("sgroup_eight_gold") insert_sgroup("sgroup_eight_white") insert_sgroup("sgroup_eight_aqua")
                        insert_sgroup("sgroup_eight_brown") insert_sgroup("sgroup_eight_violet") insert_sgroup("sgroup_eight_orange") insert_sgroup("sgroup_eight_pink")
                        insert_sgroup("sgroup_eight_yellow") insert_sgroup("sgroup_eight_blue") insert_sgroup("sgroup_eight_green") insert_sgroup("sgroup_eight_red")
             end
  } end
  
    -- Tracks (Not SubGroups) --
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:4.-Tracks:Comb. 16x 2Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        local ito = insert_track_only
                        ito(rnst , tpl.one) ito(rnst , tsk.two) ito(rnst , tsk.one) ito(rnst , tgl.two) ito(rnst , tgl.one) ito(rnst , twh.two) ito(rnst , twh.one) ito(rnst , tps.two)
                        ito(rnst , tps.one) ito(rnst , tgy.two) ito(rnst , tgy.one) ito(rnst , taq.two) ito(rnst , taq.one) ito(rnst , tbk.two) ito(rnst , tbk.one) ito(rnst , tbr.two)
                        ito(rnst , tbr.one) ito(rnst , tvl.two) ito(rnst , tvl.one) ito(rnst , tor.two) ito(rnst , tor.one) ito(rnst , tpn.two) ito(rnst , tpn.one) ito(rnst , tyl.two)
                        ito(rnst , tyl.one) ito(rnst , tbl.two) ito(rnst , tbl.one) ito(rnst , tgr.two) ito(rnst , tgr.one) ito(rnst , trd.two) ito(rnst , trd.one) ito(rnst , tpl.two)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:4.-Tracks:Comb. 16x 4Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        local ito = insert_track_only
                        ito(rnst , tpl.four) ito(rnst , tpl.three) ito(rnst , tpl.two) ito(rnst , tpl.one) ito(rnst , tsk.four) ito(rnst , tsk.three) ito(rnst , tsk.two) ito(rnst , tsk.one)
                        ito(rnst , tgl.four) ito(rnst , tgl.three) ito(rnst , tgl.two) ito(rnst , tgl.one) ito(rnst , twh.four) ito(rnst , twh.three) ito(rnst , twh.two) ito(rnst , twh.one)
                        ito(rnst , tps.four) ito(rnst , tps.three) ito(rnst , tps.two) ito(rnst , tps.one) ito(rnst , tgy.four) ito(rnst , tgy.three) ito(rnst , tgy.two) ito(rnst , tgy.one)
                        ito(rnst , taq.four) ito(rnst , taq.three) ito(rnst , taq.two) ito(rnst , taq.one) ito(rnst , tbk.four) ito(rnst , tbk.three) ito(rnst , tbk.two) ito(rnst , tbk.one)
                        ito(rnst , tbr.four) ito(rnst , tbr.three) ito(rnst , tbr.two) ito(rnst , tbr.one) ito(rnst , tvl.four) ito(rnst , tvl.three) ito(rnst , tvl.two) ito(rnst , tvl.one)
                        ito(rnst , tor.four) ito(rnst , tor.three) ito(rnst , tor.two) ito(rnst , tor.one) ito(rnst , tpn.four) ito(rnst , tpn.three) ito(rnst , tpn.two) ito(rnst , tpn.one)
                        ito(rnst , tyl.four) ito(rnst , tyl.three) ito(rnst , tyl.two) ito(rnst , tyl.one) ito(rnst , tbl.four) ito(rnst , tbl.three) ito(rnst , tbl.two) ito(rnst , tbl.one)
                        ito(rnst , tgr.four) ito(rnst , tgr.three) ito(rnst , tgr.two) ito(rnst , tgr.one) ito(rnst , trd.four) ito(rnst , trd.three) ito(rnst , trd.two) ito(rnst , trd.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:4.-Tracks:Comb. 16x 6Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        local ito = insert_track_only
                        ito(rnst , tpl.six) ito(rnst , tpl.five) ito(rnst , tpl.four) ito(rnst , tpl.three) ito(rnst , tpl.two) ito(rnst , tpl.one)
                        ito(rnst , tsk.six) ito(rnst , tsk.five) ito(rnst , tsk.four) ito(rnst , tsk.three) ito(rnst , tsk.two) ito(rnst , tsk.one)
                        ito(rnst , tgl.six) ito(rnst , tgl.five) ito(rnst , tgl.four) ito(rnst , tgl.three) ito(rnst , tgl.two) ito(rnst , tgl.one)
                        ito(rnst , twh.six) ito(rnst , twh.five) ito(rnst , twh.four) ito(rnst , twh.three) ito(rnst , twh.two) ito(rnst , twh.one)
                        ito(rnst , tps.six) ito(rnst , tps.five) ito(rnst , tps.four) ito(rnst , tps.three) ito(rnst , tps.two) ito(rnst , tps.one)
                        ito(rnst , tgy.six) ito(rnst , tgy.five) ito(rnst , tgy.four) ito(rnst , tgy.three) ito(rnst , tgy.two) ito(rnst , tgy.one)
                        ito(rnst , taq.six) ito(rnst , taq.five) ito(rnst , taq.four) ito(rnst , taq.three) ito(rnst , taq.two) ito(rnst , taq.one)
                        ito(rnst , tbk.six) ito(rnst , tbk.five) ito(rnst , tbk.four) ito(rnst , tbk.three) ito(rnst , tbk.two) ito(rnst , tbk.one)
                        ito(rnst , tbr.six) ito(rnst , tbr.five) ito(rnst , tbr.four) ito(rnst , tbr.three) ito(rnst , tbr.two) ito(rnst , tbr.one)
                        ito(rnst , tvl.six) ito(rnst , tvl.five) ito(rnst , tvl.four) ito(rnst , tvl.three) ito(rnst , tvl.two) ito(rnst , tvl.one)
                        ito(rnst , tor.six) ito(rnst , tor.five) ito(rnst , tor.four) ito(rnst , tor.three) ito(rnst , tor.two) ito(rnst , tor.one)
                        ito(rnst , tpn.six) ito(rnst , tpn.five) ito(rnst , tpn.four) ito(rnst , tpn.three) ito(rnst , tpn.two) ito(rnst , tpn.one)
                        ito(rnst , tyl.six) ito(rnst , tyl.five) ito(rnst , tyl.four) ito(rnst , tyl.three) ito(rnst , tyl.two) ito(rnst , tyl.one)
                        ito(rnst , tbl.six) ito(rnst , tbl.five) ito(rnst , tbl.four) ito(rnst , tbl.three) ito(rnst , tbl.two) ito(rnst , tbl.one)
                        ito(rnst , tgr.six) ito(rnst , tgr.five) ito(rnst , tgr.four) ito(rnst , tgr.three) ito(rnst , tgr.two) ito(rnst , tgr.one)
                        ito(rnst , trd.six) ito(rnst , trd.five) ito(rnst , trd.four) ito(rnst , trd.three) ito(rnst , trd.two) ito(rnst , trd.one)
             end
  } end
  
  if (song.selected_track.type == renoise.Track.TRACK_TYPE_SEQUENCER) or (song.selected_track.type == renoise.Track.TRACK_TYPE_GROUP) then renoise.tool():add_menu_entry {
    name = "Pattern Editor:Insert Groups & Tracks per Colors:...Combined:4.-Tracks:Comb. 16x 8Tr" ,
    invoke = function()
                        local rnst = renoise.song().selected_track_index + 1
                        local ito = insert_track_only
                        ito(rnst , tpl.eight) ito(rnst , tpl.seven) ito(rnst , tpl.six) ito(rnst , tpl.five) ito(rnst , tpl.four) ito(rnst , tpl.three) ito(rnst , tpl.two) ito(rnst , tpl.one)
                        ito(rnst , tsk.eight) ito(rnst , tsk.seven) ito(rnst , tsk.six) ito(rnst , tsk.five) ito(rnst , tsk.four) ito(rnst , tsk.three) ito(rnst , tsk.two) ito(rnst , tsk.one)
                        ito(rnst , tgl.eight) ito(rnst , tgl.seven) ito(rnst , tgl.six) ito(rnst , tgl.five) ito(rnst , tgl.four) ito(rnst , tgl.three) ito(rnst , tgl.two) ito(rnst , tgl.one)
                        ito(rnst , twh.eight) ito(rnst , twh.seven) ito(rnst , twh.six) ito(rnst , twh.five) ito(rnst , twh.four) ito(rnst , twh.three) ito(rnst , twh.two) ito(rnst , twh.one)
                        ito(rnst , tps.eight) ito(rnst , tps.seven) ito(rnst , tps.six) ito(rnst , tps.five) ito(rnst , tps.four) ito(rnst , tps.three) ito(rnst , tps.two) ito(rnst , tps.one)
                        ito(rnst , tgy.eight) ito(rnst , tgy.seven) ito(rnst , tgy.six) ito(rnst , tgy.five) ito(rnst , tgy.four) ito(rnst , tgy.three) ito(rnst , tgy.two) ito(rnst , tgy.one)
                        ito(rnst , taq.eight) ito(rnst , taq.seven) ito(rnst , taq.six) ito(rnst , taq.five) ito(rnst , taq.four) ito(rnst , taq.three) ito(rnst , taq.two) ito(rnst , taq.one)
                        ito(rnst , tbk.eight) ito(rnst , tbk.seven) ito(rnst , tbk.six) ito(rnst , tbk.five) ito(rnst , tbk.four) ito(rnst , tbk.three) ito(rnst , tbk.two) ito(rnst , tbk.one)
                        ito(rnst , tbr.eight) ito(rnst , tbr.seven) ito(rnst , tbr.six) ito(rnst , tbr.five) ito(rnst , tbr.four) ito(rnst , tbr.three) ito(rnst , tbr.two) ito(rnst , tbr.one)
                        ito(rnst , tvl.eight) ito(rnst , tvl.seven) ito(rnst , tvl.six) ito(rnst , tvl.five) ito(rnst , tvl.four) ito(rnst , tvl.three) ito(rnst , tvl.two) ito(rnst , tvl.one)
                        ito(rnst , tor.eight) ito(rnst , tor.seven) ito(rnst , tor.six) ito(rnst , tor.five) ito(rnst , tor.four) ito(rnst , tor.three) ito(rnst , tor.two) ito(rnst , tor.one)
                        ito(rnst , tpn.eight) ito(rnst , tpn.seven) ito(rnst , tpn.six) ito(rnst , tpn.five) ito(rnst , tpn.four) ito(rnst , tpn.three) ito(rnst , tpn.two) ito(rnst , tpn.one)
                        ito(rnst , tyl.eight) ito(rnst , tyl.seven) ito(rnst , tyl.six) ito(rnst , tyl.five) ito(rnst , tyl.four) ito(rnst , tyl.three) ito(rnst , tyl.two) ito(rnst , tyl.one)
                        ito(rnst , tbl.eight) ito(rnst , tbl.seven) ito(rnst , tbl.six) ito(rnst , tbl.five) ito(rnst , tbl.four) ito(rnst , tbl.three) ito(rnst , tbl.two) ito(rnst , tbl.one)
                        ito(rnst , tgr.eight) ito(rnst , tgr.seven) ito(rnst , tgr.six) ito(rnst , tgr.five) ito(rnst , tgr.four) ito(rnst , tgr.three) ito(rnst , tgr.two) ito(rnst , tgr.one)
                        ito(rnst , trd.eight) ito(rnst , trd.seven) ito(rnst , trd.six) ito(rnst , trd.five) ito(rnst , trd.four) ito(rnst , trd.three) ito(rnst , trd.two) ito(rnst , trd.one)
             end
  } end

end


function start()
  renoise.song().selected_track_observable:add_notifier(rebuild_menu)
  rebuild_menu()
end

renoise.tool().app_new_document_observable:add_notifier(start)
